// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 82);
/******/ })
/************************************************************************/
/******/ ({

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(39)
)

/* script */
__vue_exports__ = __webpack_require__(40)

/* template */
var __vue_template__ = __webpack_require__(41)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/components/asset/summarizecell.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7ea07164"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 39:
/***/ (function(module, exports) {

module.exports = {
  "sum-body": {
    "marginTop": "10wx",
    "marginLeft": "15wx",
    "marginRight": "15wx",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "color": "#666666"
  },
  "sum-text": {
    "fontSize": "13wx",
    "color": "#666666"
  },
  "cell-body": {
    "height": "120",
    "paddingTop": "30wx",
    "paddingBottom": "30wx",
    "paddingLeft": "15wx",
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "cell-text": {
    "flexDirection": "column"
  },
  "cell-right": {
    "position": "absolute",
    "right": "15wx"
  },
  "cell-title": {
    "marginLeft": "12wx",
    "fontSize": "15wx"
  },
  "cell-time": {
    "marginLeft": "12wx",
    "fontSize": "12wx"
  },
  "cell-amount": {
    "fontSize": "15wx",
    "flex": 1,
    "textAlign": "right"
  },
  "cell-status": {
    "fontSize": "12wx",
    "flex": 1,
    "textAlign": "right"
  }
}

/***/ }),

/***/ 40:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var route = weex.requireModule('wsRoute');

var that = undefined;

module.exports = {
  name: "summarize-cell",
  props: {
    item: {
      type: Object,
      default: function _default() {
        return {
          item_icon: "",
          item_title: "交通银行",
          ctime: "2019-08-30",
          status_text: "发起提现",
          amount: "1.00"
        };
      }
    }
  },
  data: function data() {
    return {
      bankstyle: {},
      timestyle: {},
      amountstyle: {},
      statusstyle: {}
    };
  },

  watch: {},
  computed: {},
  created: function created() {
    var op_status = this.item.op_check_status;
    if (op_status == 1 //STATUS_APPLY_FOR
    || op_status == 4 //STATUS_APPLY_FOR_SUCC
    || op_status == 5 //STATUS_FINANCE
    || op_status == 9) {
      //STATUS_EXCEPTION
      this.bankstyle = { color: "#4A4A4A" };
      this.timestyle = { color: "#9B9B9B" };
      this.amountstyle = { color: "#4A4A4A" };
      this.statusstyle = { color: "#666666" };
    } else if (op_status == 6 //STATUS_ARRIVE
    || op_status == 8) {
      //STATUS_MANUAL)
      this.bankstyle = { color: "#4A4A4A" };
      this.timestyle = { color: "#9B9B9B" };
      this.amountstyle = { color: "#4A4A4A" };
      this.statusstyle = { color: "#4DAA04" };
    } else if (op_status == 2 //STATUS_REJECT
    || op_status == 3 //STATUS_FREEZE
    || op_status == 7) {
      //STATUS_FINANCE_FAIL
      this.bankstyle = { color: "#C2C2C2" };
      this.timestyle = { color: "#C2C2C2" };
      this.amountstyle = { color: "#C2C2C2" };
      this.statusstyle = { color: "#FF8371" };
    }
  },
  methods: {
    onCellClick: function onCellClick() {
      this.$emit("onCellClick", this.item);
    }
  }
};

/***/ }),

/***/ 41:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.item.is_show) ? _c('div', {
    staticClass: ["sum-body"]
  }, [_c('text', {
    staticClass: ["sum-text"]
  }, [_vm._v(" " + _vm._s(_vm.item.date))]), _c('text', {
    staticClass: ["sum-text"]
  }, [_vm._v(" 共" + _vm._s(_vm.item.total_num) + "笔 " + _vm._s(_vm.item.total_amount) + "元")])]) : _vm._e(), _c('div', {
    staticClass: ["cell-body"],
    on: {
      "click": _vm.onCellClick
    }
  }, [_c('image', {
    staticStyle: {
      width: "30wx",
      height: "30wx"
    },
    attrs: {
      "src": _vm.item.item_icon,
      "resize": "contain"
    }
  }), _c('div', {
    staticClass: ["cell-text"]
  }, [_c('text', {
    staticClass: ["cell-title"],
    style: _vm.bankstyle
  }, [_vm._v(_vm._s(_vm.item.item_title))]), _c('text', {
    staticClass: ["cell-time"],
    style: _vm.timestyle
  }, [_vm._v(_vm._s(_vm.item.ctime))])]), _c('div', {
    staticClass: ["cell-right", "cell-text"]
  }, [_c('text', {
    staticClass: ["cell-amount"],
    style: _vm.amountstyle
  }, [_vm._v(_vm._s(_vm.item.amount) + "元")]), _c('text', {
    staticClass: ["cell-status"],
    style: _vm.statusstyle
  }, [_vm._v(_vm._s(_vm.item.status_text))])])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 82:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _summarizecell = __webpack_require__(38);

var _summarizecell2 = _interopRequireDefault(_summarizecell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_summarizecell2.default.el = '#root';
new Vue(_summarizecell2.default);

/***/ })

/******/ });