// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 102);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 102:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _asset = __webpack_require__(103);

var _asset2 = _interopRequireDefault(_asset);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_asset2.default.el = '#root';
new Vue(_asset2.default);

/***/ }),

/***/ 103:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(104)
)

/* script */
__vue_exports__ = __webpack_require__(105)

/* template */
var __vue_template__ = __webpack_require__(106)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/asset/asset.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4a6d0086"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 104:
/***/ (function(module, exports) {

module.exports = {
  "list": {
    "backgroundColor": "#F6F6F6"
  },
  "top-box": {
    "height": "155wx",
    "backgroundColor": "#FFFFFF",
    "alignItems": "center"
  },
  "refresh": {
    "alignItems": "center",
    "width": "375wx",
    "height": "50wx"
  },
  "top-tips": {
    "paddingTop": "4wx",
    "paddingRight": "4wx",
    "paddingBottom": "4wx",
    "paddingLeft": "4wx",
    "justifyContent": "center"
  },
  "cell-body": {
    "height": "50wx",
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "16wx",
    "paddingRight": "16wx"
  },
  "cell-title": {
    "fontSize": "17wx",
    "marginLeft": "8wx"
  },
  "cell-desc": {
    "marginRight": "8wx",
    "fontSize": "16wx",
    "color": "#666666",
    "flex": 1,
    "textAlign": "right"
  },
  "cell-indictor": {
    "width": "7wx",
    "height": "11wx"
  },
  "top-container": {
    "height": "36wx",
    "backgroundColor": "#FEFCEC",
    "alignItems": "center",
    "flexDirection": "row"
  },
  "imgTip": {
    "width": "13wx",
    "height": "13wx",
    "marginLeft": "15wx",
    "marginRight": "10wx"
  },
  "total-asset": {
    "fontSize": "88"
  }
}

/***/ }),

/***/ 105:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var nav = weex.requireModule('wsNavibar'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var stream = weex.requireModule('stream');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var openapi = weex.requireModule('wsOpenApi');
var cache = weex.requireModule('wsStorage');
var gesture = weex.requireModule('wsGesture');
var wsUI = weex.requireModule('wsUI');

var that = undefined;

exports.default = {
    data: function data() {
        return {
            list: [{ name: '收款账户',
                icon: 'weex_asset_balance',
                letters: '',
                subpage: 'wosaishouqianba://fund/withdraw',
                marginTop: 40 }],
            refreshing: true,
            showTopItem: false,
            financeItem: {},
            rollList: [],
            tipText: '',
            totalAsset: '--',
            showTips: false,
            insurance: { display: 0 },
            ic_tips: 'local:///weex_tips.png',
            ic_indictor: 'local:///weex_indictor.png',
            ic_top_bugle: 'local:///weex_bugle.png'
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "总资产",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
        },
        regNotification: function regNotification() {
            // 页面生命周期通知
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();

                that.fetchTotal();
                that.fetchPage();
                that.fetchBalance();
                that.fetchFinanceInfo();
                that.fetchAdvertisement();
                that.fetchInsurance();
                that.fetchBalanceRule();
            });
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwilldisappear' }, function (ret) {});
        },
        addBankcard: function addBankcard(marginTop) {
            if (this.list.find(function (x) {
                return x.name == '提现银行卡';
            }) != undefined) {
                return;
            }
            this.list.push({ name: '提现银行卡',
                icon: 'weex_asset_bankcard',
                letters: '',
                marginTop: marginTop,
                subpage: 'wosaishouqianba://app/page/bankcard/list' });
        },
        onrefresh: function onrefresh() {
            that.refreshing = true;

            that.fetchTotal();
            that.fetchPage();
            that.fetchBalance();
            that.fetchFinanceInfo();
            that.fetchAdvertisement();
            that.fetchInsurance();
            that.fetchBalanceRule();
        },
        fetchSubpage: function fetchSubpage(n) {
            var SubPage = _utils2.default.getOriginalHost() + '/v4/module?fieldId=' + n.data.id;
            stream.fetch({
                method: 'GET',
                url: SubPage,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    if (that.list.length > 1) {
                        that.list.splice(1, that.list.length - 1);
                    }
                    for (var i = 0; i < ret.data.length; i++) {
                        var item = ret.data[i];

                        if (that.list.find(function (x) {
                            return x.name == item.name;
                        }) != undefined) {
                            continue;
                        }
                        item.marginTop = 1;
                        that.list.push(item);
                    }
                    that.addBankcard(24);
                } else {
                    that.addBankcard(1);
                }
            });
        },
        fetchPage: function fetchPage() {
            var PageAPI = _utils2.default.getOriginalHost() + '/v4/page/node';
            stream.fetch({
                method: 'GET',
                url: PageAPI,
                type: 'json',
                body: { pageId: 60000 }
            }, function (ret) {
                that.refreshing = false;
                if (ret.ok) {
                    var nodes = ret.data.children;
                    for (var i = 0; i < nodes.length; i++) {
                        var n = nodes[i];
                        // if (n.lazy) {
                        that.fetchSubpage(n);
                        // }
                    }
                }
            });
        },
        fetchBalance: function fetchBalance() {
            var BalanceAPI = _utils2.default.getOriginalHost() + '/V2/Wallet/balance';
            stream.fetch({
                method: 'GET',
                url: BalanceAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    if (that.list.length > 0) {
                        var first = that.list[0];
                        first.letters = ret.data.result + '元';
                    }
                }
            });
        },
        fetchBalanceRule: function fetchBalanceRule() {
            var TotalBalanceAPI = _utils2.default.getOriginalHost() + '/v3/balance/rule';
            stream.fetch({
                method: 'GET',
                url: TotalBalanceAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var text = ret.data.text ? ret.data.text : '';
                    that.showTips = text.length > 0;
                    that.tipText = text;
                }
            });
        },
        fetchFinanceInfo: function fetchFinanceInfo() {
            // 顶部提示
            var API = _utils2.default.getOriginalHost() + '/v3/finance/noticerule/my';
            stream.fetch({
                method: 'GET',
                url: API,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var result = ret.data;
                    that.financeItem = result;
                    that.rollList = [];

                    that.showTopItem = result.display;
                    if (result.display) {
                        that.rollList.push(result.title);
                    }
                }
            });
        },
        fetchAdvertisement: function fetchAdvertisement() {
            var ADVAPI = _utils2.default.getOriginalHost() + '/V2/AppAds/assets';
            stream.fetch({
                method: 'GET',
                url: ADVAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var result = ret.data;
                    if (result.length > 0) {
                        var firstObj = result[0];
                        var user = openapi.getUserInfoSync();
                        var cellphone = user.admin.cellphone;
                        var firstKey = 'ad.assets.total.id.' + firstObj.id + '.' + cellphone;

                        cache.getStorage({ key: firstKey }, function (retCache) {
                            // nav.nativeLog('\n============广告' + JSON.stringify(retCache));

                            if (_utils2.default.isEmptyDictionary(retCache.data)) {
                                firstObj.closePosition = 1;
                                route.openURL({
                                    url: _utils2.default.getfuncRouter('advertisement/show'),
                                    params: firstObj
                                }, function (ret) {
                                    route.openURL(firstObj.url);
                                });
                            }
                        });

                        for (var i = 0; i < result.length; i++) {
                            var obj = result[i];
                            var key = 'ad.assets.total.id.' + obj.id + '.' + cellphone;

                            cache.setStorage({
                                key: key,
                                data: obj });
                        }
                    }
                }
            });
        },
        fetchTotal: function fetchTotal() {
            var TOTALAPI = _utils2.default.getOriginalHost() + '/v3/balance/total';
            stream.fetch({
                method: 'GET',
                url: TOTALAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var result = ret.data.result;
                    that.totalAsset = (parseFloat(result) * 0.01).toFixed(2);
                }
            });
        },
        fetchInsurance: function fetchInsurance() {
            // 保险占位符
            var AUTHAPI = _utils2.default.getOriginalHost() + '/V2/AppPlaceholder/listWithAuth';
            stream.fetch({
                method: 'GET',
                url: AUTHAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var result = ret.data;

                    for (var i = 0; i < result.length; i++) {
                        var d = result[i];
                        if (d.key == 'WALLET_TOP_PLACEHOLDER') {
                            that.insurance = d;
                            break;
                        }
                    }
                }
            });
        },
        fetchFinanceCollect: function fetchFinanceCollect(n) {
            var API = _utils2.default.getOriginalHost() + '/v3/finance/main/collect';
            stream.fetch({
                method: 'GET',
                url: API,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var result = ret.data;
                    if (result.finance_enabled) {
                        cache.setStorage({ key: 'routes.finance' });
                        route.openURL({ url: _utils2.default.getWosaiRouter('finance/web'), params: { url: n.subpage } });
                    } else {
                        route.openURL(result.guide_url);
                    }
                } else {
                    route.openURL(n.subpage);
                }
            });
        },
        onCellClick: function onCellClick(n) {
            // 是理财承载页则开通理财，开通跳转承载页，未开通跳转开通页
            if (n.id == '600011') {
                that.fetchFinanceCollect(n);
                return;
            }
            route.openURL(n.subpage);
        },
        onTopItemClick: function onTopItemClick() {
            // 顶部消息点击
            if (!that.financeItem) {
                return;
            }
            if (that.financeItem.click_url) {
                route.openURL(that.financeItem.click_url);
            }
        },
        onTipsClick: function onTipsClick() {
            // 提示
            if (that.tipText.length < 1) {
                return;
            }
            wsUI.showAlert({ title: '提示', content: that.tipText, options: ['知道了'] });
        },
        onInsuranceClick: function onInsuranceClick() {
            if (!that.insurance || that.insurance.dest.length < 0) {
                return;
            }
            route.openURL(that.insurance.dest);
        },
        iconWithOriginal: function iconWithOriginal(ori) {
            if (ori.indexOf('http') !== -1) {
                return ori;
            }
            return _utils2.default.imageWithName(ori);
        }
    },
    created: function created() {
        that = this;
        this.applyNavibar();
        this.regNotification();

        that.ic_tips = _utils2.default.imageWithName('weex_tips');
        that.ic_indictor = _utils2.default.imageWithName('weex_indictor');
        that.ic_top_bugle = _utils2.default.imageWithName('weex_bugle');
    }
};

/***/ }),

/***/ 106:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.showTopItem) ? _c('div', {
    staticClass: ["top-container"],
    on: {
      "click": _vm.onTopItemClick
    }
  }, [_c('image', {
    staticClass: ["imgTip"],
    attrs: {
      "src": _vm.ic_top_bugle
    }
  }), _c('text', {
    staticStyle: {
      color: "#D9AF5C",
      fontSize: "24px",
      textOverflow: "ellipsis",
      lines: "1",
      width: "650px"
    }
  }, [_vm._v(_vm._s(_vm.financeItem.title))])]) : _vm._e(), _c('list', {
    staticClass: ["list"]
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh
    }
  }, [_c('image', {
    staticStyle: {
      width: "48px",
      height: "88px"
    },
    attrs: {
      "src": "https://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif"
    }
  })]), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["top-box"]
  }, [_c('div', {
    staticStyle: {
      flexDirection: "row",
      marginTop: "50px",
      justifyContent: "center"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "26px",
      color: "#686868"
    }
  }, [_vm._v("总资产(元)")]), (_vm.showTips) ? _c('div', {
    staticClass: ["top-tips"],
    on: {
      "click": _vm.onTipsClick
    }
  }, [_c('image', {
    staticStyle: {
      width: "26px",
      height: "26px"
    },
    attrs: {
      "src": _vm.ic_tips
    }
  })]) : _vm._e()]), _c('text', {
    staticClass: ["total-asset"]
  }, [_vm._v(_vm._s(_vm.totalAsset))]), (_vm.insurance.display) ? _c('image', {
    staticStyle: {
      width: "220px",
      height: "32px",
      marginTop: "20px"
    },
    attrs: {
      "src": _vm.insurance.icon,
      "resize": "contain"
    },
    on: {
      "click": _vm.onInsuranceClick
    }
  }) : _vm._e()])]), _vm._l((_vm.list), function(item, i) {
    return _c('cell', {
      key: i,
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["cell-body"],
      style: {
        marginTop: item.marginTop + 'px',
        borderTopWidth: item.marginTop > 0 ? 1 : 0 + 'px',
        borderBottomWidth: (item.marginTop > 0 && i != 0) ? 1 : 0 + 'px',
        borderColor: '#efefef'
      },
      on: {
        "click": function($event) {
          _vm.onCellClick(item)
        }
      }
    }, [_c('image', {
      staticStyle: {
        width: "40px",
        height: "40px"
      },
      attrs: {
        "src": _vm.iconWithOriginal(item.icon),
        "resize": "contain"
      }
    }), _c('text', {
      staticClass: ["cell-title"]
    }, [_vm._v(_vm._s(item.name))]), _c('text', {
      staticClass: ["cell-desc"]
    }, [_vm._v(_vm._s(item.letters))]), _c('image', {
      staticClass: ["cell-indictor"],
      attrs: {
        "src": _vm.ic_indictor,
        "resize": "contain"
      }
    })])])
  })], 2)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });