// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 107);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 107:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _withdrawrecord = __webpack_require__(108);

var _withdrawrecord2 = _interopRequireDefault(_withdrawrecord);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_withdrawrecord2.default.el = '#root';
new Vue(_withdrawrecord2.default);

/***/ }),

/***/ 108:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(109)
)

/* script */
__vue_exports__ = __webpack_require__(110)

/* template */
var __vue_template__ = __webpack_require__(111)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/asset/withdrawrecord.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3da3a65e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 109:
/***/ (function(module, exports) {

module.exports = {
  "list": {
    "backgroundColor": "#F6F6F6"
  },
  "refresh": {
    "alignItems": "center",
    "width": "750",
    "height": "100"
  },
  "image-body": {
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "image-nodata": {
    "height": "115wx",
    "width": "135wx",
    "justifyContent": "center"
  },
  "image-desc": {
    "marginTop": "40wx",
    "marginLeft": "80wx",
    "marginRight": "80wx",
    "fontSize": "15wx",
    "color": "#9B9B9B",
    "justifyContent": "center"
  }
}

/***/ }),

/***/ 110:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _summarizecell = __webpack_require__(40);

var _summarizecell2 = _interopRequireDefault(_summarizecell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var nav = weex.requireModule('wsNavibar'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var stream = weex.requireModule('stream');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var openapi = weex.requireModule('wsOpenApi');
var cache = weex.requireModule('wsStorage');
var gesture = weex.requireModule('wsGesture');
var wsUI = weex.requireModule('wsUI');
var modal = weex.requireModule('modal');

var that;
var date;
var curDateIndex; //当前日期的第一条
var curTotalNum; //当前日期记录总数
var curTotalAmount; //当前日期金额总数
var currentPage = 1;
exports.default = {
    components: {
        "summarize-cell": _summarizecell2.default
    },
    data: function data() {
        return {
            list: [],
            refreshing: true,
            loading: false,
            loadingImg: 'https://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif',
            image_no_data: _utils2.default.imageWithName('weex_nodata'),
            image_desc: '暂无明细记录',
            iserror: false,
            imgstyle: {}
        };
    },

    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "提现记录",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
        },
        regNotification: function regNotification() {
            // 页面生命周期通知
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwilldisappear' }, function (ret) {});
        },
        onrefresh: function onrefresh() {
            //下拉加载更多
            currentPage = 1;
            this.list = [];
            this.refreshing = true;
            this.fetchWithdrawList();
        },
        onloadmore: function onloadmore() {
            // 上拉加载更多
            if (this.list.length != 0) {
                currentPage++;
                this.loading = true;
                this.fetchWithdrawList();
            }
        },
        fetchWithdrawList: function fetchWithdrawList() {
            var WithdrawAPI = _utils2.default.getOriginalHost() + '/V2/Withdraw/list?page=' + currentPage;
            stream.fetch({
                method: 'GET',
                url: WithdrawAPI,
                type: 'json'
            }, function (ret) {
                route.nativeLog('\n-----查询提现记录：' + JSON.stringify(ret));
                that.stopLoadingAnimation();
                if (ret.ok) {
                    if (currentPage == 1) {
                        //判断是否有提现记录
                        if (!ret.data.length) {
                            that.iserror = true;
                            that.image_no_data = _utils2.default.imageWithName('weex_nodata');
                            that.image_desc = '暂无明细记录';
                            return;
                        } else {
                            that.iserror = false;
                        }
                    }

                    if (!ret.data.length) {
                        //已访问完最后一页, 最后一页返回的是"data":{}
                        return;
                    }
                    that.calculateDailyTotal(ret.data);
                } else {
                    //出错处理
                    var data = JSON.stringify(ret);
                    if (data.search('ERR_CONNECT_FAILED') != -1) {
                        that.iserror = true;
                        that.image_no_data = _utils2.default.imageWithName('weex_no_internet');
                        that.image_desc = '网络异常，请稍后重试';
                    } else {
                        modal.toast({ message: data, duration: 1 });
                    }
                }
            });
        },
        calculateDailyTotal: function calculateDailyTotal(newdata) {
            for (var i = 0; i < newdata.length; i++) {
                date = newdata[i].ctime.substring(0, 10);
                if (that.list.length == 0 || date != that.list[that.list.length - 1].ctime.substring(0, 10)) {
                    //第一条记录，或是和前一条记录日期不同
                    newdata[i].is_show = true;
                    newdata[i].date = date.split('-')[0] + "年" + date.split('-')[1] + "月" + date.split('-')[2] + "日";
                    newdata[i].total_num = 1;
                    newdata[i].total_amount = +newdata[i].amount;

                    //修改小数位
                    if (that.list.length > 0) {
                        var total_amount = +that.list[curDateIndex].total_amount;
                        that.list[curDateIndex].total_amount = total_amount.toFixed(2);
                    }
                    curDateIndex = that.list.length;
                } else {
                    that.list[curDateIndex].total_num += 1;
                    that.list[curDateIndex].total_amount = Number(that.list[curDateIndex].total_amount) + Number(newdata[i].amount);
                }
                that.list.push(newdata[i]);
            }

            //修改小数位
            if (that.list.length > 0) {
                var total_amount = +that.list[curDateIndex].total_amount;
                that.list[curDateIndex].total_amount = total_amount.toFixed(2);
            }
        },
        showDetail: function showDetail(item) {
            route.openURL(item.url);
        },
        stopLoadingAnimation: function stopLoadingAnimation() {
            if (that.loading) {
                that.loading = false;
            }
            if (that.refreshing) {
                that.refreshing = false;
            }
        }
    },
    created: function created() {
        that = this;
        this.imgstyle = { height: weex.config.env.deviceHeight / 2 + 'px' };
        this.applyNavibar();
        this.regNotification();
        this.fetchWithdrawList();
    }
};

/***/ }),

/***/ 111:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    staticClass: ["list"],
    attrs: {
      "showScrollbar": "false",
      "scrollToBegin": "false"
    }
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh
    }
  }, [_c('image', {
    staticStyle: {
      width: "48px",
      height: "88px"
    },
    attrs: {
      "src": _vm.loadingImg
    }
  })]), (_vm.iserror) ? _c('div', {
    staticClass: ["image-body"],
    style: _vm.imgstyle
  }, [_c('image', {
    staticClass: ["image-nodata"],
    attrs: {
      "src": _vm.image_no_data
    }
  }), _c('text', {
    staticClass: ["image-desc"]
  }, [_vm._v(_vm._s(_vm.image_desc))])]) : _vm._e(), (!_vm.iserror) ? _c('div', _vm._l((_vm.list), function(item, index) {
    return _c('summarize-cell', {
      key: index,
      attrs: {
        "item": item
      },
      on: {
        "onCellClick": _vm.showDetail
      }
    })
  })) : _vm._e(), _c('loading', {
    staticStyle: {
      height: "100px",
      width: "750px",
      alignItems: "center",
      paddingTop: "10px"
    },
    attrs: {
      "display": _vm.loading ? 'show' : 'hide'
    },
    on: {
      "loading": _vm.onloadmore
    }
  }, [_c('image', {
    staticStyle: {
      width: "48px",
      height: "88px"
    },
    attrs: {
      "src": _vm.loadingImg
    }
  })])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 40:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(41)
)

/* script */
__vue_exports__ = __webpack_require__(42)

/* template */
var __vue_template__ = __webpack_require__(43)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/components/asset/summarizecell.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7ea07164"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 41:
/***/ (function(module, exports) {

module.exports = {
  "sum-body": {
    "marginTop": "10wx",
    "marginLeft": "15wx",
    "marginRight": "15wx",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "color": "#666666"
  },
  "sum-text": {
    "fontSize": "13wx",
    "color": "#666666"
  },
  "cell-body": {
    "height": "120",
    "paddingTop": "30wx",
    "paddingBottom": "30wx",
    "paddingLeft": "15wx",
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "cell-text": {
    "flexDirection": "column"
  },
  "cell-right": {
    "position": "absolute",
    "right": "15wx"
  },
  "cell-title": {
    "marginLeft": "12wx",
    "fontSize": "15wx"
  },
  "cell-time": {
    "marginLeft": "12wx",
    "fontSize": "12wx"
  },
  "cell-amount": {
    "fontSize": "15wx",
    "flex": 1,
    "textAlign": "right"
  },
  "cell-status": {
    "fontSize": "12wx",
    "flex": 1,
    "textAlign": "right"
  }
}

/***/ }),

/***/ 42:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var route = weex.requireModule('wsRoute');

var that = undefined;

module.exports = {
  name: "summarize-cell",
  props: {
    item: {
      type: Object,
      default: function _default() {
        return {
          item_icon: "",
          item_title: "交通银行",
          ctime: "2019-08-30",
          status_text: "发起提现",
          amount: "1.00"
        };
      }
    }
  },
  data: function data() {
    return {
      bankstyle: {},
      timestyle: {},
      amountstyle: {},
      statusstyle: {}
    };
  },

  watch: {},
  computed: {},
  created: function created() {
    var op_status = this.item.op_check_status;
    if (op_status == 1 //STATUS_APPLY_FOR
    || op_status == 4 //STATUS_APPLY_FOR_SUCC
    || op_status == 5 //STATUS_FINANCE
    || op_status == 9) {
      //STATUS_EXCEPTION
      this.bankstyle = { color: "#4A4A4A" };
      this.timestyle = { color: "#9B9B9B" };
      this.amountstyle = { color: "#4A4A4A" };
      this.statusstyle = { color: "#666666" };
    } else if (op_status == 6 //STATUS_ARRIVE
    || op_status == 8) {
      //STATUS_MANUAL)
      this.bankstyle = { color: "#4A4A4A" };
      this.timestyle = { color: "#9B9B9B" };
      this.amountstyle = { color: "#4A4A4A" };
      this.statusstyle = { color: "#4DAA04" };
    } else if (op_status == 2 //STATUS_REJECT
    || op_status == 3 //STATUS_FREEZE
    || op_status == 7) {
      //STATUS_FINANCE_FAIL
      this.bankstyle = { color: "#C2C2C2" };
      this.timestyle = { color: "#C2C2C2" };
      this.amountstyle = { color: "#C2C2C2" };
      this.statusstyle = { color: "#FF8371" };
    }
  },
  methods: {
    onCellClick: function onCellClick() {
      this.$emit("onCellClick", this.item);
    }
  }
};

/***/ }),

/***/ 43:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.item.is_show) ? _c('div', {
    staticClass: ["sum-body"]
  }, [_c('text', {
    staticClass: ["sum-text"]
  }, [_vm._v(" " + _vm._s(_vm.item.date))]), _c('text', {
    staticClass: ["sum-text"]
  }, [_vm._v(" 共" + _vm._s(_vm.item.total_num) + "笔 " + _vm._s(_vm.item.total_amount) + "元")])]) : _vm._e(), _c('div', {
    staticClass: ["cell-body"],
    on: {
      "click": _vm.onCellClick
    }
  }, [_c('image', {
    staticStyle: {
      width: "30wx",
      height: "30wx"
    },
    attrs: {
      "src": _vm.item.item_icon,
      "resize": "contain"
    }
  }), _c('div', {
    staticClass: ["cell-text"]
  }, [_c('text', {
    staticClass: ["cell-title"],
    style: _vm.bankstyle
  }, [_vm._v(_vm._s(_vm.item.item_title))]), _c('text', {
    staticClass: ["cell-time"],
    style: _vm.timestyle
  }, [_vm._v(_vm._s(_vm.item.ctime))])]), _c('div', {
    staticClass: ["cell-right", "cell-text"]
  }, [_c('text', {
    staticClass: ["cell-amount"],
    style: _vm.amountstyle
  }, [_vm._v(_vm._s(_vm.item.amount) + "元")]), _c('text', {
    staticClass: ["cell-status"],
    style: _vm.statusstyle
  }, [_vm._v(_vm._s(_vm.item.status_text))])])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });