// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 147);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 常量

var SQBConstant = exports.SQBConstant = {
    IMGHOST: 'https://shouqianba-qr-paycode.oss-cn-hangzhou.aliyuncs.com',
    IMG_HELP_DEFAULT: "https://mp.weixin.qq.com/mp/homepage?hid=1&sn=fb4ae29d498978abf6e7c73af646c82c&__biz=MzI0MzA2MDcwMQ==",
    GIF_REFRESH: 'http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif', // 下拉刷新图片
    ONLINE_SERVICE: 'https://www.shouqianba.com/antservice', // 在线客服地址
    BANDCARD_STORAGEA_KEY: 'com.sqb.cache.bankcard.latestSubmit' // 异名/同名换卡上次提交的数据缓存key
};
exports.default = SQBConstant;

/***/ }),

/***/ 147:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _IDInput = __webpack_require__(148);

var _IDInput2 = _interopRequireDefault(_IDInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_IDInput2.default.el = '#root';
new Vue(_IDInput2.default);

/***/ }),

/***/ 148:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(149)
)

/* script */
__vue_exports__ = __webpack_require__(150)

/* template */
var __vue_template__ = __webpack_require__(153)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/bankcard/ID-input.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-db0746b2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 149:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#F6F6F6"
  },
  "cell-bg": {
    "marginLeft": "32",
    "height": "88",
    "borderBottomColor": "#EFEFEF",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "detail": {
    "fontSize": "30",
    "textAlign": "right"
  },
  "detail-img": {
    "width": "64",
    "height": "64",
    "marginRight": "0",
    "backgroundColor": "#EFEFEF"
  },
  "div-demo": {
    "flexDirection": "row",
    "alignItems": "center",
    "height": "80",
    "marginLeft": "16"
  },
  "icon-tip": {
    "width": "26",
    "height": "26"
  },
  "text-demo": {
    "color": "#D9AF5C",
    "fontSize": "26",
    "marginLeft": "8"
  },
  "desc": {
    "color": "#9B9B9B",
    "fontSize": "30",
    "flex": 1,
    "textAlign": "right"
  },
  "indictor": {
    "marginRight": "32",
    "marginLeft": "16",
    "width": "14",
    "height": "22"
  },
  "header-title": {
    "marginLeft": "32",
    "marginTop": "30",
    "fontSize": "26",
    "color": "#666666"
  },
  "btn": {
    "backgroundColor": "#D9AF5C",
    "marginLeft": "32",
    "marginRight": "32",
    "height": "96",
    "marginTop": "64",
    "borderRadius": "8",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "btn-title": {
    "color": "#FFFFFF",
    "fontSize": "36",
    "fontWeight": "500"
  },
  "cell-bg-upload": {
    "marginTop": "32",
    "height": "280",
    "backgroundColor": "#FFFFFF"
  },
  "upload-border": {
    "backgroundColor": "#FAFAFA",
    "width": 164,
    "height": "164",
    "marginLeft": "32",
    "marginTop": "36",
    "borderColor": "#D7D7D7",
    "borderWidth": "1",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "upload-title": {
    "color": "#000000",
    "fontSize": "32",
    "marginLeft": "32",
    "marginTop": "20",
    "height": "40"
  },
  "close-btn": {
    "width": "40",
    "height": "40",
    "position": "absolute",
    "top": 0,
    "right": 0
  },
  "div-photo": {
    "flex": 1,
    "flexDirection": "row",
    "justifyContent": "flex-end",
    "alignItems": "center"
  },
  "cell-input": {
    "fontSize": "30",
    "textAlign": "right",
    "height": "44",
    "width": "400",
    "marginRight": "32",
    "color": "#D9AF5C"
  }
}

/***/ }),

/***/ 150:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _date = __webpack_require__(151);

var _date2 = _interopRequireDefault(_date);

var _constant = __webpack_require__(1);

var _constant2 = _interopRequireDefault(_constant);

var _bankcardApi = __webpack_require__(77);

var _bankcardApi2 = _interopRequireDefault(_bankcardApi);

var _funcroute = __webpack_require__(152);

var _funcroute2 = _interopRequireDefault(_funcroute);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var nav = weex.requireModule('wsNavibar');
var stream = weex.requireModule('stream');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var wsUI = weex.requireModule('wsUI');
var wsWorkflow = weex.requireModule('wsWorkflow');
var that;
var isIdCardFront;
var isInHand;
var LONG_EFFECT_KEY = '99991231';

var cache = weex.requireModule('wsStorage');
exports.default = {
    data: function data() {
        return {
            params: {},
            list: [{ title: '证件类型', detail: '身份证', id_type: 1, header: '上传结算人证件', headerHeight: 82, indictor: 'weex_indictor' }, { title: '身份证人像面', iconTip: 'weex_tips', detail: '上传图片', indictor: 'weex_indictor', color: '#9b9b9b' }, { title: '身份证国徽面', iconTip: 'weex_tips', detail: '上传图片', indictor: 'weex_indictor', color: '#9b9b9b' }, { title: '结算人姓名', color: '#4A4A4A' }, { title: '身份证号', color: '#4A4A4A' }, { title: '证件起始日期', indictor: 'weex_indictor', color: '#4A4A4A' }, { title: '证件截止日期', indictor: 'weex_indictor', color: '#4A4A4A' }],
            isXiaowei: false, // true:小微商户 
            uploadList: [{}], // 关系证明图片列表
            IDList: [], // 证件列表
            selectedIDIndex: 0
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "账户信息填写",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
            nav.applyNavibarRightBtn({ items: [{ title: '在线客服', bgColor: '#ffffff', color: '#D9AF5C' }] }, function (ret) {
                route.openURL(_constant2.default.ONLINE_SERVICE);
            });

            nav.applyNavibarLeftBtn({ items: [{ icon: "weex_nav_back" }] }, function (index) {
                if (that.isXiaowei) {
                    wsWorkflow.setBackWorkFlowID({ // 回到银行卡列表
                        backWorkflowID: 'workflow_id_bankcard_list'
                    });
                }
                route.pop();
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });

            notification.registerNotification({ name: 'com.SQB.notification.idcard.edit' }, function (ret) {
                var item = isIdCardFront ? that.list[1] : that.list[2];
                var data = ret.data;
                item.imgURL = data.photo;
                item.detail = undefined;
                if (isIdCardFront) {
                    var itemName = that.list[3];
                    var itemID = that.list[4];
                    itemName.detail = data.name;
                    itemID.detail = data.identity;
                } else {
                    if (data.id_card_start_date.length < 4 || data.id_card_start_date.length < 4) {
                        return;
                    }
                    var itemStart = that.list[5];
                    var itemEnd = that.list[6];
                    var start = that.insertStr(data.id_card_start_date, 4, '.');
                    var end = that.insertStr(data.id_card_end_date, 4, '.');
                    if (data.id_card_end_date == '99991231') {
                        end = '长期有效';
                        itemEnd.detailValue = LONG_EFFECT_KEY;
                    } else {
                        end = that.insertStr(end, 7, '.');
                        itemEnd.detailValue = data.id_card_end_date;
                    }
                    itemStart.detailValue = data.id_card_start_date;
                    start = that.insertStr(start, 7, '.');
                    itemStart.detail = start;
                    itemEnd.detail = end;
                }
                that.$forceUpdate();
            });

            notification.registerNotification({ name: 'com.SQB.notification.attorney.photo' }, function (ret) {
                var item = that.list[isInHand ? 8 : 7];
                item.imgURL = ret.data;
                item.indictor = 'weex_indictor';
                item.width = undefined;
                item.height = undefined;
                that.$forceUpdate();
            });
        },
        initialize: function initialize() {
            // route.nativeLog('\n=======ID-input环境变量：' + JSON.stringify(weex.config));
            that.params = weex.config.data ? _typeof(weex.config.data) == 'object' ? weex.config.data : JSON.parse(weex.config.data) : weex.config;
            if (weex.config.data) {
                that.handleTypesFromCache();
                if (weex.config.faceid) {
                    that.params.real_name_auth_id = weex.config.faceid;
                }
            }
            cache.getStorage({ key: _constant2.default.BANDCARD_STORAGEA_KEY }, function (ret) {
                // if (that.isXiaowei) {
                //     wsWorkflow.setBackWorkFlowID({  // 回到银行卡列表
                //         backWorkflowID:'workflow_id_bankcard_list',
                //     });
                // }

                if (!ret) {
                    return;
                }
                if (!ret.data) {
                    return;
                }
                for (var key in ret.data) {
                    that.params[key] = ret.data[key];
                }

                if (weex.config.faceid) {
                    that.params.real_name_auth_id = weex.config.faceid;
                }
                that.handleLastSubmit();
            });

            that.fetchIDTypes();
        },
        handleTypesFromCache: function handleTypesFromCache() {
            if (that.params.selectType) {
                that.isXiaowei = that.params.selectType == 11;
            } else if (that.params.types) {
                that.isXiaowei = JSON.stringify(that.params.types).search(11) != -1;
            }

            if (!that.isXiaowei) {
                var hasHand = that.params.license_type == 1 && that.params.selectType == 3;
                that.list.push({ title: '授权委托书', iconTip: 'weex_tips', indictor: 'weex_camera', width: '40', height: '30', desc: '拍摄照片', headerHeight: '16', left: hasHand ? '16' : '0' });
                if (hasHand) {
                    that.list.push({ title: '手持授权委托书', iconTip: 'weex_tips', indictor: 'weex_camera', width: '40', height: '30', desc: '拍摄照片', left: '0' });
                }
            }
        },
        handleLastSubmit: function handleLastSubmit() {
            that.handleTypesFromCache();
            if (!that.params.latestSubmit) {
                return;
            }

            var lastData = that.params.latestSubmit;
            var item0 = that.list[0];
            var item1 = that.list[1];
            var item2 = that.list[2];
            var item3 = that.list[3];
            var item4 = that.list[4];
            var item5 = that.list[5];
            var item6 = that.list[6];
            var item7 = that.list[7];
            var item8 = that.list[8];

            that.selectedIDIndex = lastData.id_type - 1;
            that.showIDTypeWithKeyIndex(that.selectedIDIndex, false);
            item1.imgURL = lastData.holder_id_front_photo;
            if (lastData.holder_id_back_photo) {
                item2.imgURL = lastData.holder_id_back_photo;
            }
            item3.detail = lastData.holder;
            item4.detail = lastData.identity;

            var times = lastData.id_validity.split('-');
            if (times.length > 0) {
                item5.detailValue = times[0];
                var st = that.insertStr(times[0], 4, '.');
                item5.detail = that.insertStr(st, 7, '.');
            }
            if (times.length > 1) {
                item6.detailValue = times[1];
                var et = that.insertStr(times[1], 4, '.');
                et = that.insertStr(et, 7, '.');
                item6.detail = times[1] == LONG_EFFECT_KEY ? '长期有效' : et;
            }
            if (lastData.letter_of_authorization) {
                item7.imgURL = lastData.letter_of_authorization;
            }
            if (lastData.hand_letter_of_authorization) {
                item8.imgURL = lastData.hand_letter_of_authorization;
            }
            if (lastData.relationship_photos) {
                that.handleUploadImage(lastData.relationship_photos);
            }
            that.$forceUpdate();
        },
        fetchIDTypes: function fetchIDTypes() {
            var API = _utils2.default.getOriginalHost() + '/v4/changeMerchantBank/getAllowIdTypes';
            stream.fetch({
                method: 'POST',
                url: API
            }, function (ret) {
                if (ret.ok) {
                    var data = typeof ret.data == 'string' ? JSON.parse(ret.data) : ret.data;
                    if (!data.id_types) {
                        return;
                    }

                    for (var i = 0; i < data.id_types.length; i++) {
                        that.IDList.push(data.id_types[i]);
                    }

                    that.showIDTypeWithKeyIndex(that.selectedIDIndex, false);
                    that.$forceUpdate();
                }
            });
        },
        IDDatas: function IDDatas() {
            var _ref;

            return _ref = { key: '1', value: '身份证'
            }, _defineProperty(_ref, 'key', '2'), _defineProperty(_ref, 'value', '非中国护照'), _defineProperty(_ref, 'key', '3'), _defineProperty(_ref, 'value', '台湾居民来往内地通行证'), _defineProperty(_ref, 'key', '4'), _defineProperty(_ref, 'value', '港澳居民来往内地通行证'), _defineProperty(_ref, 'key', '5'), _defineProperty(_ref, 'value', '中国护照'), _ref;
        },
        isInputCell: function isInputCell(index) {
            if ((index == 3 || index == 4) && that.selectedIDIndex != 0) {
                return true;
            }
            return false;
        },
        onInput: function onInput(e) {
            var item = that.list[e.target.attr.dataBadge == 'cell-input-3' ? 3 : 4];
            item.detail = e.value;
        },
        showIDTypeWithKeyIndex: function showIDTypeWithKeyIndex(index, cleardata) {
            /* key=index + 1 
            1: '身份证', 2: '非中国护照', 3: '台湾居民来往内地通行证', 
            4: '港澳居民来往内地通行证', 5: '中国护照' */
            var item0 = that.list[0];
            if (that.IDList.length <= 1) {
                // 默认为身份证
                item0.detail = '身份证';
                that.selectedIDIndex = index;
                item0.indictor = undefined;
                return;
            }
            if (index > that.IDList.length) {
                return;
            }

            var obj = that.IDList[index];

            item0.detail = obj.value;
            item0.id_type = obj.key;
            item0.indictor = 'weex_indictor';

            var item1 = that.list[1];
            var item2 = that.list[2];
            var item3 = that.list[3];
            var item4 = that.list[4];
            var item5 = that.list[5];
            var item6 = that.list[6];

            item1.detail = '上传图片';
            item2.detail = '上传图片';

            item3.title = '结算人姓名';
            item4.title = '证件号码';

            item5.title = '证件起始日期';

            item6.title = '证件截止日期';
            item2.hide = obj.key == 3 || obj.key == 4;
            if (cleardata) {
                item1.imgURL = undefined;
                item2.imgURL = undefined;
                item4.detail = undefined;
                item5.detail = undefined;
                item6.detail = undefined;
            }
            switch (obj.key) {
                case 1:
                    {
                        item1.title = '身份证人像面';
                        item2.title = '身份证国徽面';
                        item4.title = '身份证号';
                    }
                    break;
                case 2:
                    {
                        // 非中国护照
                        item1.title = '护照人像页';
                        item2.title = '入境盖章页';
                    }
                    break;
                case 3: // 台湾居民来往内地通行证
                case 4:
                    {
                        // 港澳居民来往内地通行证
                        item1.title = '证件人像面';
                        item2.hide = true;
                    }
                    break;
                case 5:
                    {
                        // 中国护照
                        item1.title = '护照人像页';
                        item2.title = '常驻国证明';
                    }
                    break;
                default:
                    break;
            }
            that.selectedIDIndex = index;
        },
        getImageWithName: function getImageWithName(name) {
            return _utils2.default.imageWithName(name);
        },
        addImagesToList: function addImagesToList(list) {
            for (var l = 0; l < list.length; l++) {
                if (that.uploadList.length < 3) {
                    that.uploadList.push({ url: list[l] });
                }
            }
        },
        checkLast: function checkLast() {
            var last = that.uploadList[that.uploadList.length - 1];
            if (last.url) {
                that.uploadList.push({});
            }
        },
        calculateLast: function calculateLast() {
            if (that.uploadList.length < 1 || that.uploadList.length > 3) {
                return;
            };
            var last = that.uploadList[that.uploadList.length - 1];
            if (!last.url) {
                return 3 - that.uploadList.length + 1;
            }
            return 3 - that.uploadList.length;
        },
        chooseIdentifiyType: function chooseIdentifiyType() {
            if (that.isXiaowei) {
                return;
            } // 小微商户申请盘店，新的结算人证件只支持身份证
            if (that.IDList.length < 1) {
                return;
            }
            var options = [];
            for (var i = 0; i < that.IDList.length; i++) {
                options.push(that.IDList[i].value);
            }
            var wsPicker = weex.requireModule('wsPicker');
            wsPicker.showPicker({
                currentIndex: that.selectedIDIndex,
                options: options,
                confirmTitle: '确认',
                cancelTitle: '取消'
            }, function (ret) {
                wsPicker.hidePicker();

                var index = ret.data.index;
                var opt = that.IDList[index];

                if (that.selectedIDIndex == index) {
                    return;
                }
                var item = that.list[0];
                item.detail = ret.data.value;
                item.id_type = opt.key;

                that.showIDTypeWithKeyIndex(index, true);
                that.$forceUpdate();
            });
        },
        insertStr: function insertStr(soure, start, newStr) {
            return soure.slice(0, start) + newStr + soure.slice(start);
        },
        gotoEditPage: function gotoEditPage(params, isFront) {
            isIdCardFront = isFront;
            route.openURL({ url: _utils2.default.getLocalRouter('card/confirm'), params: params });
        },
        gotoConfirmPage: function gotoConfirmPage(params, isFront) {
            isIdCardFront = isFront;
            params.needOcr = true;
            route.openURL({ url: _utils2.default.getLocalRouter('card/retake'), params: params });
        },
        chooseIdentifiyImg: function chooseIdentifiyImg(isFront) {
            var item1 = isFront ? that.list[1] : that.list[2];
            if (that.selectedIDIndex != 0) {
                _funcroute2.default.chooseImage({ type: 0, mode: 0, needUpload: true }, function (ret) {
                    if (ret.length < 1) {
                        return;
                    }
                    item1.imgURL = ret[0];
                    item1.detail = undefined;
                    that.$forceUpdate();
                });
                return;
            }
            if (item1.imgURL) {
                that.gotoConfirmPage({ type: 1, card_url: item1.imgURL, direction: isFront ? 0 : 1 }, isFront);
                return;
            }
            // 0.普通拍照或相册选择 1.身份证、营业执照、银行卡OCR识别
            _funcroute2.default.chooseImage({ type: 1, mode: 0, needUpload: true, direction: isFront ? 0 : 1 }, function (ret) {
                // type:0.银行卡 1.身份证
                that.gotoEditPage({ type: 1, card_url: ret[0], direction: isFront ? 0 : 1 }, isFront);
            });
        },
        chooseIdentifyTime: function chooseIdentifyTime(isStart, index) {
            var item = that.list[index];
            var str = item.detail ? item.detail.replace(/(\.)/g, '/') : undefined;
            var date = str ? Date.parse(str) / 1000 : undefined;
            var params = {
                pattern: 'yyyy.MM.dd'
            };
            if (index == 6) {
                var today = new Date();
                var min = parseInt(today.setMonth(today.getMonth() + 1) / 1000);
                params.titleBtn = {
                    text: '长期有效',
                    color: '#D5AB5C',
                    value: '长期有效',
                    rightBtn: '#D5AB5C'
                };
                params.minDate = min;
            }
            if (date) {
                params.date = date;
            }
            _funcroute2.default.chooseDate(params, function (ret) {
                if (ret.data == '长期有效') {
                    item.detail = ret.data;
                    item.detailValue = LONG_EFFECT_KEY;
                    that.$forceUpdate();
                    return;
                }
                var rdate = _date2.default.dateWithFormat('.', Number(ret.data) * 1000, 'yyyy.MM.dd');
                item.detailValue = rdate.replace(/(\.)/g, '');
                item.detail = rdate;
                that.$forceUpdate();
            });
        },
        showAuthorizationPaper: function showAuthorizationPaper(inHand) {
            // inHand: true.手持 
            isInHand = inHand;
            var i = isInHand ? 8 : 7;
            var item = that.list[i];
            var params = { upload: true, inHand: inHand, imgUrl: item.imgURL };
            if (that.params.license_type == 1 || that.params.selectType == 3) {
                params.demoUrl = i == 7 ? 'weex_attorney_demo_personal' : 'weex_attorney_demo_inhand';
            } else {
                params.demoUrl = 'weex_attorney_demo';
            }
            route.openURL({ url: _utils2.default.getLocalRouter('bankcard/attorney/demo'), params: params });
        },
        demoClick: function demoClick(i) {
            // 查看示例
            /* key=index + 1 
                1: '身份证', 2: '非中国护照', 3: '台湾居民来往内地通行证', 
                4: '港澳居民来往内地通行证', 5: '中国护照' */
            if (that.selectedIDIndex > that.IDList.length) {
                return;
            }
            var it = that.IDList[that.selectedIDIndex];
            var imgArr1 = { 1: 'weex_idcard_front', 2: 'weex_demo_passport_foreign', 3: 'weex_demo_passport_tai', 4: 'weex_demo_passport_hk', 5: 'weex_demo_passport_ch' };
            var imgArr2 = { 1: 'weex_idcard_back', 2: 'weex_demo_imm_ins', 5: 'weex_demo_resident_cert' };
            var demoImg = i == 1 ? imgArr1[it.key] : imgArr2[it.key];
            var params = {
                title: '照片示例',
                content: '请确保照片上所有信息均真实有效且清晰可见',
                image: demoImg
            };
            if (it.key == 3 || it.key == 4) {
                params.width = 211;
                params.height = 383;
            }
            if (i == 1 || i == 2) {
                route.openURL({ url: _utils2.default.getfuncRouter('alert/image'),
                    params: params, function: function _function(ret) {}
                });
                return;
            }
            var item = that.list[isInHand ? 8 : 7];
            var params = { inHand: i == 8, imgUrl: item.imgUrl };

            if (that.params.license_type == 1 || that.params.selectType == 3) {
                params.demoUrl = i == 7 ? 'weex_attorney_demo_personal' : 'weex_attorney_demo_inhand';
            } else {
                params.demoUrl = 'weex_attorney_demo';
            }
            route.openURL({ url: _utils2.default.getLocalRouter('bankcard/attorney/demo'), params: params });
        },
        uploadImageClick: function uploadImageClick() {
            // 上传关系证明图片
            var max = that.calculateLast();
            _funcroute2.default.chooseImage({ type: 0, mode: 0, needUpload: true, max: max }, function (ret) {
                that.handleUploadImage(ret);
            });
        },
        handleUploadImage: function handleUploadImage(arr) {
            if (arr.length < 1) {
                return;
            }
            var shouldAdd = false;
            if (that.uploadList.length < 3) {
                shouldAdd = true;
            } else {
                var last = that.uploadList[that.uploadList.length - 1];
                if (!last.url) {
                    shouldAdd = true;
                }
            }
            if (shouldAdd) {
                that.uploadList.splice(that.uploadList.length - 1, 1);
                that.addImagesToList(arr);
            }
            if (that.uploadList.length < 3) {
                that.checkLast();
            }
        },
        deleteImgClick: function deleteImgClick(item, j) {
            // 删除已上传的关系证明图片
            that.uploadList.splice(j, 1);
            if (that.uploadList.length < 3) {
                var last = that.uploadList[that.uploadList.length - 1];
                if (last.url) {
                    that.uploadList.push({});
                }
            } else {
                that.checkLast();
            }
        },
        cellClick: function cellClick(item, i) {
            // cell点击
            switch (i) {
                case 0:
                    // 证件类型
                    that.chooseIdentifiyType();
                    break;
                case 1:
                    // 身份证人像面
                    that.chooseIdentifiyImg(true);
                    break;
                case 2:
                    // 身份证国徽面
                    that.chooseIdentifiyImg(false);
                    break;
                case 5:
                    // 证件起始日期
                    that.chooseIdentifyTime(true, i);
                    break;
                case 6:
                    // 证件截止日期
                    that.chooseIdentifyTime(false, i);
                    break;
                case 7:
                    // 授权委托书
                    that.showAuthorizationPaper(false);
                    break;
                case 8:
                    // 手持授权委托书
                    that.showAuthorizationPaper(true);
                    break;
                default:
                    break;
            }
        },
        submitClickAction: function submitClickAction() {
            var item0 = that.list[0];
            var item1 = that.list[1];
            var item2 = that.list[2];
            var item3 = that.list[3];
            var item4 = that.list[4];
            var item5 = that.list[5];
            var item6 = that.list[6];
            var paramsIdentity = that.params.latestSubmit ? that.params.latestSubmit : {};
            var upList = [];
            for (var u = 0; u < that.uploadList.length; u++) {
                var ul = that.uploadList[u];
                if (ul.url) {
                    upList.push(ul.url);
                }
            }
            paramsIdentity.id_type = item0.id_type;
            if (!item1.imgURL) {
                wsUI.showToast({ title: '证件照片必传', duration: '2000' });
                return;
            }
            paramsIdentity.holder_id_front_photo = item1.imgURL;
            if (!item2.imgURL && !item2.hide) {
                wsUI.showToast({ title: '身份证国徽面必传', duration: '2000' });
                return;
            }
            if (!item3.detail) {
                wsUI.showToast({ title: that.selectedIDIndex == 0 ? '身份证人像面必传' : '结算人姓名必填', duration: '2000' });
                return;
            }
            if (!item4.detail) {
                wsUI.showToast({ title: that.selectedIDIndex == 0 ? '身份证国徽面必传' : '请输入证件号码必填', duration: '2000' });
                return;
            }
            /**
            1、身份证：18位数字或X；
            2、港澳：H或M开头+8或10位数字
            3、台胞：8或10位数字
            4、护照：8-9位数字或字母
            5、中国护照：9位数字或字母
            */
            // if (item4.detail) {

            // }
            if (item5.detail.length < 1) {
                wsUI.showToast({ title: '证件起始日期必填', duration: '2000' });
                return;
            }
            if (item6.detail.length < 1) {
                wsUI.showToast({ title: '证件截止日期必填', duration: '2000' });
                return;
            }
            if (upList.length < 1 && that.isXiaowei) {
                wsUI.showToast({ title: '关系证明必传', duration: '2000' });
                return;
            }
            if (that.params.license_name == item3.detail) {
                wsUI.showAlert({ title: '提示', content: '证件信息与当前商户结算人一致，请返回银行卡管理列表通过添加银行卡入口变更提现银行卡。', options: ['我知道了'] });
                return;
            }
            if (item2.imgURL) {
                paramsIdentity.holder_id_back_photo = item2.imgURL;
            }
            paramsIdentity.holder = item3.detail;
            paramsIdentity.identity = item4.detail;
            // var dateStr = (item5.detail == '长期有效' || item6.detail == '长期有效') ? '99991231' : (item5.detailValue + '-' + item6.detailValue);
            var dateStr = item5.detailValue + '-' + item6.detailValue;
            paramsIdentity.id_validity = dateStr;

            if (that.list.length > 7) {
                var item7 = that.list[7];
                if (!item7.imgURL) {
                    wsUI.showToast({ title: '授权委托书必传', duration: '2000' });
                    return;
                }
                paramsIdentity.letter_of_authorization = item7.imgURL;
            }
            if (that.list.length > 8) {
                var item8 = that.list[8];
                if (!item8.imgURL) {
                    wsUI.showToast({ title: '手持授权委托书必传', duration: '2000' });
                    return;
                }
                paramsIdentity.hand_letter_of_authorization = item8.imgURL;
            }
            paramsIdentity.relationship_photos = upList;
            that.params.accountInfo = paramsIdentity;

            wsUI.showLoading();
            _bankcardApi2.default.fetchPrecheck(that.isXiaowei, {}, paramsIdentity, function (data) {
                wsUI.hideLoading();
                if (data.code == 11000 || data.code == 10008) {
                    // that.params.latestSubmit = undefined;
                    that.gotoAddCardInfo();
                } else {
                    wsUI.showAlert({ title: '提示', content: data.message, options: ['我知道了'] });
                }
            });
        },
        gotoAddCardInfo: function gotoAddCardInfo() {
            route.openURL({ url: _utils2.default.getWosaiRouter('app/page/bankcard/add'), params: that.params });
        }
    },
    created: function created() {
        that = this;

        wsWorkflow.setWorkFlowID({
            workflowID: 'workflow_id_bankcard_IDInput'
        });
        this.initialize();
        this.applyNavibar();
        this.regNotification();
    }
};

/***/ }),

/***/ 151:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var SQBDate = exports.SQBDate = {
    /** 
     * 格式化时间
     * @param {string} format 格式 
     * @param {string} pattern 'yyyy{format}MM'或'yyyy{format}MM{format}dd'
     * @param {int} timestamp 要格式化的时间 
     * @param {string} format   格式化的连接符 
     * @return {string}  最终日期字符串
    */
    dateWithFormat: function dateWithFormat(format, timestamp, pattern) {
        var date = new Date(timestamp);
        var y = date.getFullYear();
        var m = date.getMonth() + 1;
        m = m < 10 ? '0' + m : m;
        var d = '';
        if (pattern.search('dd') != -1) {
            var day = date.getDate();
            d = date.getDate() < 10 ? '0' + day.toString() : day.toString();
        }
        var result = d.length > 0 ? y + format + m + format + d : y + format + m;
        return result;
    }
};

exports.default = SQBDate;

/***/ }),

/***/ 152:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.SQBFuncRoute = undefined;

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 功能route工具类

var SQBFuncRoute = exports.SQBFuncRoute = {
    /**
    * 图片选择
    * @param {*} params 
    * @param {*} callback 
    */
    chooseImage: function chooseImage(params, callback) {
        var route = weex.requireModule('wsRoute');
        // route.nativeLog('\n选择的图片参数：' + JSON.stringify(params));
        route.openURL({
            url: _utils2.default.getfuncRouter('app/chooseImage'),
            params: params
        }, function (ret) {
            // route.nativeLog('\n选择的图片地址：' + JSON.stringify(ret));
            if (!ret.data.paths) {
                return;
            }
            var arr = ret.data.paths;
            if (arr.length > 0) {
                callback(arr);
            }
        });
    },

    /**
     * 日期选择
     * @param {*} params 
     * @param {*} callback 
     */
    chooseDate: function chooseDate(params, callback) {
        var route = weex.requireModule('wsRoute');
        route.openURL({
            url: _utils2.default.getfuncRouter('app/datepicker'),
            params: params
        }, function (ret) {
            if (ret) {
                callback(ret);
            }
        });
    }
};

exports.default = SQBFuncRoute;

/***/ }),

/***/ 153:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('list', {
    staticClass: ["wrap"]
  }, [_vm._l((_vm.list), function(item, i) {
    return _c('cell', {
      key: i,
      staticStyle: {
        backgroundColor: "white"
      },
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [(item.headerHeight) ? _c('div', {
      style: {
        backgroundColor: '#F6F6F6',
        height: item.headerHeight + 'px'
      }
    }, [(item.header) ? _c('text', {
      staticClass: ["header-title"]
    }, [_vm._v(_vm._s(item.header))]) : _vm._e()]) : _vm._e(), _c('div', {
      style: {
        borderBottomWidth: i == _vm.list.length - 1 ? '1px' : '0px',
        borderBottomColor: '#EFEFEF'
      }
    }, [(!item.hide) ? _c('div', {
      staticClass: ["cell-bg"],
      style: {
        borderBottomWidth: i == _vm.list.length - 1 ? '0px' : '1px'
      },
      on: {
        "click": function($event) {
          _vm.cellClick(item, i)
        }
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "32px"
      }
    }, [_vm._v(_vm._s(item.title))]), (item.iconTip) ? _c('div', {
      staticClass: ["div-demo"],
      on: {
        "click": function($event) {
          _vm.demoClick(i)
        }
      }
    }, [_c('image', {
      staticClass: ["icon-tip"],
      attrs: {
        "src": _vm.getImageWithName(item.iconTip)
      }
    }), _c('text', {
      staticClass: ["text-demo"]
    }, [_vm._v("示例")])]) : _vm._e(), _c('div', {
      staticClass: ["div-photo"]
    }, [(_vm.isInputCell(i)) ? _c('input', {
      staticClass: ["cell-input"],
      attrs: {
        "type": "text",
        "value": item.detail,
        "dataBadge": 'cell-input-' + i,
        "placeholder": i == 3 ? '请输入姓名' : '请输入证件号'
      },
      on: {
        "input": _vm.onInput
      }
    }) : (!item.imgURL && item.detail) ? _c('text', {
      staticClass: ["detail"],
      style: {
        marginRight: item.indictor ? '0px' : '32px',
        color: item.color ? item.color : '#4a4a4a'
      }
    }, [_vm._v(_vm._s(item.detail))]) : _vm._e(), (item.imgURL) ? _c('image', {
      staticClass: ["detail-img"],
      attrs: {
        "src": item.imgURL,
        "resize": "contain"
      }
    }) : _vm._e(), (!item.imgURL && item.desc) ? _c('text', {
      staticClass: ["desc"]
    }, [_vm._v(_vm._s(item.desc))]) : _vm._e(), (item.indictor) ? _c('image', {
      staticClass: ["indictor"],
      style: {
        width: item.width ? item.width : '14' + 'px',
        height: item.height ? item.height : '22' + 'px'
      },
      attrs: {
        "src": _vm.getImageWithName(item.indictor),
        "resize": "contain"
      }
    }) : _vm._e()])]) : _vm._e()])])
  }), (_vm.isXiaowei) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["cell-bg-upload"]
  }, [_c('text', {
    staticClass: ["upload-title"]
  }, [_vm._v("关系证明(最多三张)")]), _c('div', {
    staticStyle: {
      flexDirection: "row"
    }
  }, _vm._l((_vm.uploadList), function(imgItem, j) {
    return _c('div', {
      key: j,
      staticClass: ["upload-border"],
      on: {
        "click": _vm.uploadImageClick
      }
    }, [_c('image', {
      style: {
        width: imgItem.url ? '164' : '48' + 'px',
        height: imgItem.url ? '164' : '48' + 'px'
      },
      attrs: {
        "src": imgItem.url ? imgItem.url : _vm.getImageWithName('weex_add'),
        "resize": "contain"
      }
    }), (imgItem.url) ? _c('image', {
      staticClass: ["close-btn"],
      attrs: {
        "src": _vm.getImageWithName('weex_layer_close')
      },
      on: {
        "click": function($event) {
          _vm.deleteImgClick(imgItem, j)
        }
      }
    }) : _vm._e()])
  }))])]) : _vm._e(), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["btn"],
    on: {
      "click": _vm.submitClickAction
    }
  }, [_c('text', {
    staticClass: ["btn-title"]
  }, [_vm._v("下一步")])])])], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 77:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBBANKCARD = {
    /**
     * @param isXiaowei 是否是小微商户
     * @param data  url拼接所需参数
     * @param params 请求参数
     */
    fetchPrecheck: function fetchPrecheck(isXiaowei, data, params, callback) {
        var stream = weex.requireModule('stream');
        var openapi = weex.requireModule('wsOpenApi');
        openapi.nativeLog('\n=====初始参数：' + JSON.stringify(data));

        var preCheckApi = _utils2.default.getOriginalHost() + "/v4/changeMerchantBank/preCheck";
        var url = isXiaowei ? "wsweex://local/bankcard/ID/input" : "wsweex://local/bankcard/change/enterprise";
        if (data) {
            url = url + '?';
            for (var key in data) {
                var item = data[key];
                url = url + key + '=' + item + '&';
            }
            var lastChar = url.substr(url.length - 1, 1);
            if (lastChar == '&') {
                url = url.substr(0, url.length - 1);
            }
        }

        // openapi.nativeLog('\n=====地址：' + url);
        var requestBody = params ? params : {};
        params.platform = 'APP';
        params.operator = openapi.getUserInfoSync().admin.cellphone, params.redirect_url = url;

        stream.fetch({
            method: 'POST',
            url: preCheckApi,
            type: 'json',
            body: requestBody,
            headers: { 'Content-Type': 'application/json' }
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: '服务异常', duration: '1000' });
            }
        });
    },
    fetchChangeDetail: function fetchChangeDetail(id, callback) {
        var stream = weex.requireModule('stream');
        var changeDetailApi = _utils2.default.getOriginalHost() + "/v4/changeMerchantBank/getApplyDetail";
        var requestBody = {
            apply_id: id,
            platform: "APP"
        };
        stream.fetch({
            method: 'POST',
            url: changeDetailApi,
            type: 'json',
            body: requestBody,
            headers: { 'Content-Type': 'application/json' }
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: "申请详情获取失败：" + JSON.stringify(ret.data), duration: '1000' });
            }
        });
    },
    fetchAddDetail: function fetchAddDetail(id, callback) {
        var stream = weex.requireModule('stream');
        var addDetailApi = _utils2.default.getOriginalHost() + "/v4/merchantBank/getMerchantBankAccountPreByApp";
        var requestBody = {
            merchant_bank_account_pre_id: id
        };
        stream.fetch({
            method: 'POST',
            url: addDetailApi,
            type: 'json',
            body: requestBody,
            headers: { 'Content-Type': 'application/json' }
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: "查询预存卡信息失败：" + JSON.stringify(ret.data), duration: '1000' });
            }
        });
    },
    fetchLatestChange: function fetchLatestChange(id, callback) {
        var stream = weex.requireModule('stream');
        var latestApplyApi = _utils2.default.getOriginalHost() + '/v4/changeMerchantBank/getLatestApply';
        var requestBody = {
            merchant_id: id,
            platform: "APP"
        };
        stream.fetch({
            method: 'POST',
            url: latestApplyApi,
            type: 'json',
            body: requestBody
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: "获取最新一次申请记录失败：" + JSON.stringify(ret.data), duration: '1000' });
            }
        });
    }
};

exports.default = SQBBANKCARD;

/***/ })

/******/ });