// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 112);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 常量

var SQBConstant = exports.SQBConstant = {
    IMGHOST: 'https://shouqianba-qr-paycode.oss-cn-hangzhou.aliyuncs.com',
    IMG_HELP_DEFAULT: "https://mp.weixin.qq.com/mp/homepage?hid=1&sn=fb4ae29d498978abf6e7c73af646c82c&__biz=MzI0MzA2MDcwMQ==",
    GIF_REFRESH: 'http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif', // 下拉刷新图片
    ONLINE_SERVICE: 'https://www.shouqianba.com/antservice', // 在线客服地址
    BANDCARD_STORAGEA_KEY: 'com.sqb.cache.bankcard.latestSubmit' // 异名/同名换卡上次提交的数据缓存key
};
exports.default = SQBConstant;

/***/ }),

/***/ 112:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _amountValidation = __webpack_require__(113);

var _amountValidation2 = _interopRequireDefault(_amountValidation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_amountValidation2.default.el = '#root';
new Vue(_amountValidation2.default);

/***/ }),

/***/ 113:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(114)
)

/* script */
__vue_exports__ = __webpack_require__(115)

/* template */
var __vue_template__ = __webpack_require__(116)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/bankcard/amount-validation.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7ffaa5e2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 114:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "text-title": {
    "marginTop": "41wx",
    "fontSize": "15wx",
    "color": "#4A4A4A",
    "textAlign": "center"
  },
  "text-account": {
    "marginTop": "16wx",
    "textAlign": "center",
    "fontSize": "13wx",
    "color": "#9B9B9B"
  },
  "wrap-amount": {
    "marginTop": "36wx",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "flex-end"
  },
  "border-grey": {
    "borderColor": "#CCCCCC"
  },
  "border-green": {
    "borderColor": "#35A04D"
  },
  "text-point": {
    "marginLeft": "12wx",
    "marginRight": "12wx",
    "fontSize": "36wx",
    "color": "#4A4A4A"
  },
  "text-alert": {
    "marginTop": "8wx",
    "fontSize": "13wx",
    "color": "#D23F31",
    "textAlign": "center"
  }
}

/***/ }),

/***/ 115:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _constant = __webpack_require__(1);

var _constant2 = _interopRequireDefault(_constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var stream = weex.requireModule('stream');
var modal = weex.requireModule('modal');
var nav = weex.requireModule('wsNavibar');
var wsWorkflow = weex.requireModule('wsWorkflow');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var wsUI = weex.requireModule('wsUI');
var openapi = weex.requireModule('wsOpenApi');

var that;

exports.default = {
    components: {},
    data: function data() {
        return {
            isEmpty1: true,
            isEmpty2: true,
            isEmpty3: true,
            amount1: '',
            amount2: '',
            amount3: '',
            isAdd: false,
            apply_id: '',
            errMessage: ""
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: that.isAdd ? "银行账户验证" : "申请账户信息变更",
                bgColor: "#FFFFFF",
                titleColor: "#000000",
                fontSize: 17
            });
            nav.applyNavibarRightBtn({ items: [{ title: '在线客服', bgColor: '#FFFFFF', color: '#D9AF5C' }] }, function (ret) {
                route.openURL(_constant2.default.ONLINE_SERVICE);
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });
        },
        onInput1: function onInput1(e) {
            that.amount2 = "";
            that.amount3 = "";
            if (e.value == "") {
                //按删除键，直接删除所有数字，从头开始填
                that.errMessage = "";
                that.isEmpty1 = true;
                that.isEmpty2 = true;
                that.isEmpty3 = true;
                that.amount1 = "";
                that.amount2 = "";
                that.amount3 = "";
                that.$refs.input1.focus();
            } else if (e.value != "0" || !_utils2.default.isIntNum(e.value)) {
                that.errMessage = "代付验证金额为0.01至0.99元，请核对后重新输入";
            } else {
                that.errMessage = "";
                that.isEmpty1 = false;
                that.$refs.input2.focus();
            }
        },
        onInput2: function onInput2(e) {
            if (e.value == "") {
                that.errMessage = "";
                that.isEmpty1 = true;
                that.isEmpty2 = true;
                that.isEmpty3 = true;
                that.amount1 = "";
                that.amount2 = "";
                that.amount3 = "";
                that.$refs.input1.focus();
            } else if (that.isEmpty1) {
                that.errMessage = "首位数字不能为空";
            } else if (!_utils2.default.isIntNum(e.value)) {
                that.errMessage = "金额输入错误";
            } else {
                that.errMessage = "";
                that.isEmpty2 = false;
                that.$refs.input3.focus();
            }
        },
        onInput3: function onInput3(e) {
            if (e.value == "") {
                that.errMessage = "";
                that.isEmpty1 = true;
                that.isEmpty2 = true;
                that.isEmpty3 = true;
                that.amount1 = "";
                that.amount2 = "";
                that.amount3 = "";
                that.$refs.input1.focus();
            } else if (that.isEmpty1) {
                that.errMessage = "首位数字不能为空";
            } else if (that.isEmpty2) {
                that.errMessage = "第二位数字不能为空";
                that.amount3 = "";
                that.$refs.input2.focus();
            } else if (!_utils2.default.isIntNum(e.value)) {
                that.errMessage = "金额输入错误";
            } else {
                that.errMessage = "";
                that.isEmpty3 = false;
                that.doCommit();
            }
        },
        onReturn1: function onReturn1(e) {
            that.$refs.input2.focus();
        },
        onReturn2: function onReturn2(e) {
            that.$refs.input3.focus();
        },
        onReturn3: function onReturn3(e) {
            if (!isEmpty1 && !isEmpty2 && !isEmpty3) {
                doCommit();
            }
        },
        doCommit: function doCommit() {
            if (that.isAdd) {
                //同名换卡
                that.addAccountVerify();
            } else {
                //异名换卡
                that.changeAccountVerify();
            }
        },
        changeAccountVerify: function changeAccountVerify() {
            var amountValidationApi = _utils2.default.getOriginalHost() + '/v4/changeMerchantBank/verifyAmount';
            var requestBody = {
                apply_id: that.apply_id,
                source: "APP",
                submitter: openapi.getUserInfoSync().admin.cellphone,
                amount: that.amount1 + that.amount2 + that.amount3
            };
            stream.fetch({
                method: 'POST',
                url: amountValidationApi,
                type: 'json',
                body: requestBody
            }, function (ret) {
                if (ret.ok) {
                    //route.nativeLog(">>>>>>>>金额验证结果: " + JSON.stringify(ret));
                    if (ret.data.valid) {
                        that.errMessage = "";
                        wsUI.showToast({ title: '验证成功', duration: '2000' });
                        route.openURL({ url: _utils2.default.getLocalRouter('bankcard/change/process'), params: weex.config });
                    } else if (ret.data.retried == ret.data.max_retry) {
                        //失败
                        that.showMessage(ret.data.msg || ret.data || "账户验证不通过，请检查银行账号和账户名称是否正确。");
                        route.openURL({ url: _utils2.default.getLocalRouter('bankcard/change/process'), params: weex.config });
                    } else {
                        //失败重试
                        that.showMessage(ret.data.msg || ret.data || "验证金额有误，请重新输入");
                    }
                } else {
                    that.showMessage(ret.data.msg || ret.data);
                }
            });
        },
        addAccountVerify: function addAccountVerify() {
            var amountValidationApi = _utils2.default.getOriginalHost() + '/v4/merchantBank/verifyAmountByApp';
            var requestBody = {
                pre_id: that.apply_id,
                amount: that.amount1 + that.amount2 + that.amount3,
                operator: openapi.getUserInfoSync().admin.cellphone
            };
            stream.fetch({
                method: 'POST',
                url: amountValidationApi,
                type: 'json',
                body: requestBody
            }, function (ret) {
                if (ret.ok) {
                    //route.nativeLog(">>>>>>>>金额验证结果: " + JSON.stringify(ret));
                    if (ret.data.allow) {
                        that.errMessage = "";
                        wsUI.showToast({ title: '验证成功', duration: '2000' });
                        wsWorkflow.setBackWorkFlowID({
                            backWorkflowID: 'workflow_id_bankcard_list'
                        });
                        route.pop();
                    } else if (ret.data.code == 10011) {
                        //重试
                        that.showMessage(ret.data.msg || ret.data || "验证金额有误，请重新输入");
                    } else if (ret.data.code == 10010) {
                        //失败
                        that.showMessage(ret.data.msg || ret.data || "账户验证不通过，请检查银行账号和账户名称是否正确。");
                        route.openURL({ url: _utils2.default.getLocalRouter('bankcard/change/process'), params: weex.config });
                    }
                } else {
                    that.showMessage(ret.data.msg || ret.data);
                }
            });
        },
        showMessage: function showMessage(msg) {
            var patt1 = /\([0-9]*\)/;
            if (msg.search(patt1) != -1) {
                msg = msg.replace(patt1, '');
            }
            that.errMessage = msg;
        }
    },
    created: function created() {
        //route.nativeLog(">>>>>>>>>金额验证页传入参数：" + JSON.stringify(weex.config.data));
        that = this;
        if (typeof weex.config.data == 'string') {
            weex.config.data = JSON.parse(weex.config.data);
        }
        if (typeof weex.config.data.account == 'string') {
            weex.config.data.account = JSON.parse(weex.config.data.account);
        }
        this.isAdd = weex.config.data.isAdd;
        if (that.isAdd == 0) {
            this.apply_id = weex.config.data.account.apply_id;
        } else {
            this.apply_id = weex.config.data.account.id ? weex.config.data.account.id : weex.config.data.account.apply_id;
        }

        this.applyNavibar();
        this.regNotification();

        nav.forbidSystemBack(function () {});
        nav.applyNavibarLeftBtn({ items: [{ icon: "weex_nav_back" }] }, function (index) {
            wsWorkflow.setBackWorkFlowID({
                backWorkflowID: 'workflow_id_bankcard_list'
            });
            route.pop();
        });
    }
};

/***/ }),

/***/ 116:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_vm._m(0), _vm._m(1), _c('div', {
    staticClass: ["wrap-amount"]
  }, [_c('input', {
    ref: "input1",
    class: [_vm.isEmpty1 ? 'border-grey' : 'border-green'],
    staticStyle: {
      height: "63wx",
      width: "42wx",
      padding: "9wx",
      fontSize: "36wx",
      color: "#4A4A4A",
      borderWidth: "2wx",
      borderRadius: "4wx",
      autofocus: "true"
    },
    attrs: {
      "maxlength": "1",
      "type": "number",
      "value": (_vm.amount1)
    },
    on: {
      "input": [function($event) {
        _vm.amount1 = $event.target.attr.value
      }, _vm.onInput1],
      "return": _vm.onReturn1
    }
  }), _c('text', {
    staticClass: ["text-point"]
  }, [_vm._v(".")]), _c('input', {
    ref: "input2",
    class: [_vm.isEmpty2 ? 'border-grey' : 'border-green'],
    staticStyle: {
      height: "63wx",
      width: "42wx",
      padding: "9wx",
      fontSize: "36wx",
      color: "#4A4A4A",
      borderWidth: "2wx",
      borderRadius: "4wx"
    },
    attrs: {
      "maxlength": "1",
      "type": "number",
      "value": (_vm.amount2)
    },
    on: {
      "input": [function($event) {
        _vm.amount2 = $event.target.attr.value
      }, _vm.onInput2],
      "return": _vm.onReturn2
    }
  }), _c('input', {
    ref: "input3",
    class: [_vm.isEmpty3 ? 'border-grey' : 'border-green'],
    staticStyle: {
      height: "63wx",
      width: "42wx",
      marginLeft: "15wx",
      padding: "9wx",
      fontSize: "36wx",
      color: "#4A4A4A",
      borderWidth: "2wx",
      borderRadius: "4wx"
    },
    attrs: {
      "maxlength": "1",
      "type": "number",
      "value": (_vm.amount3)
    },
    on: {
      "input": [function($event) {
        _vm.amount3 = $event.target.attr.value
      }, _vm.onInput3],
      "return": _vm.onReturn3
    }
  })]), _c('div', [_c('text', {
    staticClass: ["text-alert"]
  }, [_vm._v(_vm._s(_vm.errMessage))])])])
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('text', {
    staticClass: ["text-title"]
  }, [_vm._v("请输入验证金额（元）")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('text', {
    staticClass: ["text-account"]
  }, [_vm._v("汇款账户：上海喔噻互联网科技有限公司")])])
}]}
module.exports.render._withStripped = true

/***/ })

/******/ });