// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 122);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 常量

var SQBConstant = exports.SQBConstant = {
    IMGHOST: 'https://shouqianba-qr-paycode.oss-cn-hangzhou.aliyuncs.com',
    IMG_HELP_DEFAULT: "https://mp.weixin.qq.com/mp/homepage?hid=1&sn=fb4ae29d498978abf6e7c73af646c82c&__biz=MzI0MzA2MDcwMQ==",
    GIF_REFRESH: 'http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif', // 下拉刷新图片
    ONLINE_SERVICE: 'https://www.shouqianba.com/antservice', // 在线客服地址
    BANDCARD_STORAGEA_KEY: 'com.sqb.cache.bankcard.latestSubmit' // 异名/同名换卡上次提交的数据缓存key
};
exports.default = SQBConstant;

/***/ }),

/***/ 122:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _bankcardProcess = __webpack_require__(123);

var _bankcardProcess2 = _interopRequireDefault(_bankcardProcess);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_bankcardProcess2.default.el = '#root';
new Vue(_bankcardProcess2.default);

/***/ }),

/***/ 123:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(124)
)

/* script */
__vue_exports__ = __webpack_require__(125)

/* template */
var __vue_template__ = __webpack_require__(126)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/bankcard/bankcard-process.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-502e4206"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 124:
/***/ (function(module, exports) {

module.exports = {
  "refresh": {
    "alignItems": "center",
    "width": "750",
    "height": "100"
  },
  "wrap-scroller": {
    "position": "fixed",
    "top": "0wx",
    "bottom": "50wx",
    "left": "0wx",
    "right": "0wx"
  },
  "wrap-status": {
    "marginTop": "8wx",
    "marginBottom": "8wx",
    "paddingTop": "32wx",
    "paddingBottom": "32wx",
    "display": "flex",
    "alignItems": "center",
    "backgroundColor": "#FFFFFF"
  },
  "wrap-title": {
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "img-icon": {
    "width": "19.4wx",
    "height": "19.4wx"
  },
  "text-title": {
    "marginLeft": "7wx",
    "fontSize": "20wx",
    "color": "#000000"
  },
  "text-desc": {
    "marginTop": "24wx",
    "marginLeft": "49wx",
    "marginRight": "49wx",
    "textAlign": "center",
    "fontSize": "13wx",
    "color": "#666666"
  },
  "xiaowei-rich": {
    "marginTop": "24wx",
    "marginLeft": "28wx",
    "marginRight": "28wx",
    "fontSize": "13wx",
    "color": "#666666"
  },
  "text-remittance-account": {
    "marginTop": "20wx",
    "textAlign": "center",
    "fontSize": "13wx",
    "color": "#000000"
  },
  "confirm-btn": {
    "marginTop": "24wx",
    "marginLeft": "16wx",
    "marginRight": "16wx",
    "height": "48wx",
    "backgroundColor": "#D9AF5C",
    "borderRadius": "4wx",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "text-confirm": {
    "fontSize": "18wx",
    "fontWeight": "bold",
    "color": "#FFFFFF"
  },
  "cancel-btn": {
    "position": "fixed",
    "bottom": "31wx",
    "left": "16wx",
    "right": "16wx"
  },
  "text-cancel": {
    "textAlign": "center",
    "fontSize": "16wx",
    "fontWeight": "bold",
    "color": "#D9AF5C"
  },
  "cell-bg": {
    "marginLeft": "16wx",
    "paddingRight": "16wx",
    "height": "45wx",
    "borderBottomColor": "#EFEFEF",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "content-err": {
    "fontSize": "15wx",
    "color": "#D23F31"
  },
  "content-normal": {
    "fontSize": "15wx",
    "color": "#4A4A4A",
    "maxWidth": "250wx"
  },
  "image-indicator": {
    "marginLeft": "8wx",
    "height": "10.5wx",
    "width": "6.5wx"
  }
}

/***/ }),

/***/ 125:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _constant = __webpack_require__(1);

var _constant2 = _interopRequireDefault(_constant);

var _userApi = __webpack_require__(3);

var _userApi2 = _interopRequireDefault(_userApi);

var _bankcardApi = __webpack_require__(77);

var _bankcardApi2 = _interopRequireDefault(_bankcardApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var stream = weex.requireModule('stream');
var modal = weex.requireModule('modal');
var nav = weex.requireModule('wsNavibar');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var wsWorkflow = weex.requireModule('wsWorkflow');
var wsUI = weex.requireModule('wsUI');
var openapi = weex.requireModule('wsOpenApi');
var cache = weex.requireModule('wsStorage');

var that;
var reapplyDisable = false;

exports.default = {
    components: {},
    data: function data() {
        return {
            status: 0,
            process_status: 0,
            type: 0,
            statusText: "",
            statusIcon: _utils2.default.imageWithName('weex_status_inprogress'),
            desc: "",
            storeName: "",
            role: "",
            name: "",
            phoneNumber: "",
            list: [],
            latestApplyData: null,
            applyDetail: null,
            reapplyParams: {},
            fromBankcardManagement: true,
            refreshing: false,
            isAdd: 0
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: that.isAdd ? "银行账户验证" : "申请账户信息变更",
                bgColor: "#FFFFFF",
                titleColor: "#000000",
                fontSize: 17
            });
            nav.applyNavibarRightBtn({ items: [{ title: '在线客服', bgColor: '#FFFFFF', color: '#D9AF5C' }] }, function (ret) {
                route.openURL(_constant2.default.ONLINE_SERVICE);
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });
        },
        getData: function getData() {
            _bankcardApi2.default.fetchLatestChange(openapi.getUserInfoSync().admin.merchant_id, function (ret) {
                //route.nativeLog(">>>>>>>>>>最新一次申请记录：" + JSON.stringify(ret));
                if (that.refreshing) {
                    that.refreshing = false;
                }
                if (ret && Object.keys(ret).length != 0) {
                    //"data": null 传过来会变成{} 
                    that.setData(ret);
                } else {
                    //没有数据返回，审核成功
                    //设置backworkFlowID
                    wsWorkflow.setBackWorkFlowID({
                        backWorkflowID: 'workflow_id_bankcard_list'
                    });
                    //获取数据，更新界面
                    _bankcardApi2.default.fetchChangeDetail(that.latestApplyData.apply_id, function (ret) {
                        //route.nativeLog(">>>>>>>>>>>申请详情返回成功: " + JSON.stringify(ret));
                        that.applyDetail = ret;
                        that.status = 19;
                        that.type = that.applyDetail.change_type;
                        that.updateView();
                    });
                }
            });
        },
        setData: function setData(data) {
            that.latestApplyData = data;
            if (that.isAdd == 0) {
                //异名换卡
                // status 状态  0:提交成功  1:账户验证中 2:待审核  3:进件审核中 19:成功 21:账户验证失败  22:审核驳回 32:取消
                // process_status  0:提交成功  2:账户验证中(需要回填金额)  3:账户验证中(已打款，下一步可能跳2，可能跳12) 4:待人工审核  6:进件审核中  19:成功  12：账户验证成功  14：人工审核通过  16：进件成功  22:账户验证失败  24:人工审核驳回  26:进件审核驳回  27:手机号验证失败 28:资产转移失败  30:系统异常  31:其他业务异常 32:取消
                that.status = data.status;
                that.process_status = data.process_status;
                that.type = data.change_type;
            } else {
                //同名换卡
                //verifyStatus: 0未验证 1 验证中 2验证有效 3验证失败
                //两种情况verifyStatus = 0: 1、添加同名银行卡，不设为默认，银行卡状态是0；2、默认银行卡变更，添加成功，但是还没到进件流程
                //process_status: 1打款中，还没拿到打款结果 2打款成功需要回填金额 3账户验证成功，进件中
                that.status = that.latestApplyData.verify_status;
                if (that.latestApplyData.extra && that.latestApplyData.extra.process_status) {
                    that.process_status = that.latestApplyData.extra.process_status;
                } else {
                    //流程结束
                    that.process_status = 12;
                }
                if (that.status == 2) {
                    wsWorkflow.setBackWorkFlowID({
                        backWorkflowID: 'workflow_id_bankcard_list'
                    });
                    route.pop();
                }
            }
            that.updateView();
        },
        updateView: function updateView() {
            if (!that.isAdd && (that.status == 0 || that.status == 1 || that.status == 2 || that.status == 3) || that.isAdd && (that.status == 1 || that.status == 0)) {
                //审核中
                if (that.process_status == 2) {
                    //申请对公账户 如果status=1 process_status=2，那么跳转金额输入页面
                    route.openURL({ url: _utils2.default.getLocalRouter('bankcard/amount/validation'), params: { data: { isAdd: that.isAdd, account: that.latestApplyData } } });
                } else {
                    that.statusText = "审核中";
                    that.statusIcon = _utils2.default.imageWithName('weex_status_inprogress');
                    that.list.push({ title: '账户信息', content: '审核中' });
                    if (!that.isAdd && that.type == 1 && (that.process_status == 0 || that.process_status == 3) || that.isAdd && that.process_status == 1) {
                        that.desc = "收钱吧已向您的结算账户中打入一笔0.01~0.99元的随机金额，用于账户验证，请留意查收确认金额。";
                    } else if (!that.isAdd && (that.type == 1 && that.process_status == 4 || //异名换卡对公账户资料在人工审核中
                    that.type == 11 && that.process_status == 4)) {
                        //小微商户盘店，资料在人工审核中
                        that.desc = that.latestApplyData.description;
                    } else if (that.isAdd && that.process_status == 3) {
                        //同名换卡 进件中
                        that.desc = that.latestApplyData.extra.memo;
                    } else {
                        that.desc = "账户信息变更正在审核中，请耐心等待";
                    }
                }
            } else if (that.status == 19) {
                //审核成功
                that.statusText = "申请成功";
                that.statusIcon = _utils2.default.imageWithName('weex_tick_round');
                if (that.type != 11) {
                    that.desc = "您的账户信息变更申请审核通过，后续收钱吧账户余额提现将入账到以下银行账户。";
                    if (that.type == 1) {
                        that.list = [{ title: '账户类型', content: "对公企业账户" }, { title: '账户名称', content: that.applyDetail.form_body.holder }, { title: '银行账号', content: that.applyDetail.form_body.number }, { title: '开户银行', content: that.applyDetail.form_body.bank_name }, { title: '开户支行', content: that.applyDetail.form_body.branch_name }];
                    } else {
                        that.list = [{ title: '账户类型', content: "个人储蓄账户" }, { title: '结算人姓名', content: that.applyDetail.form_body.holder }, { title: '银行卡号', content: that.applyDetail.form_body.number }, { title: '开户银行', content: that.applyDetail.form_body.bank_name }, { title: '开户支行', content: that.applyDetail.form_body.branch_name }];
                    }
                } else {
                    that.name = that.applyDetail.form_body.holder;
                    that.phoneNumber = that.applyDetail.form_body.new_cellphone;
                    that.list = [{ title: '商户号', content: that.applyDetail.merchant_sn }, { title: '商户名', content: that.applyDetail.merchant_name }, { title: '账户类型', content: "个人储蓄账户" }, { title: '结算人姓名', content: that.applyDetail.form_body.holder }, { title: '银行卡号', content: that.applyDetail.form_body.number }, { title: '开户银行', content: that.applyDetail.form_body.bank_name }, { title: '开户支行', content: that.applyDetail.form_body.branch_name }, { title: '登录手机号', content: that.applyDetail.form_body.new_cellphone }];
                }
            } else if (that.isAdd == 1 && that.status == 3) {
                //同名换卡，审核失败
                that.statusText = "审核未通过";
                that.statusIcon = _utils2.default.imageWithName('weex_status_fail');
                that.desc = that.latestApplyData.message ? that.latestApplyData.message : that.latestApplyData.description ? that.latestApplyData.description : that.latestApplyData.error_value;
                that.list.push({ title: '账户信息', content: '审核失败，重新填写', indicator: _utils2.default.imageWithName('weex_indictor'), err: true });
            } else if (that.status == 21 || that.status == 22) {
                //异名换卡 审核失败
                that.statusText = "审核未通过";
                that.statusIcon = _utils2.default.imageWithName('weex_status_fail');
                if (that.process_status != 27) {
                    that.desc = that.latestApplyData.description;
                    that.list.push({ title: '账户信息', content: '审核失败，重新填写', indicator: _utils2.default.imageWithName('weex_indictor'), err: true });
                } else {
                    var pattern = /“([\u4E00-\u9FFF]+)”/g;
                    that.storeName = pattern.exec(that.latestApplyData.description)[1];
                    that.role = pattern.exec(that.latestApplyData.description)[1];
                    that.list.push({ title: '手机号', content: '审核失败，重新绑定', indicator: _utils2.default.imageWithName('weex_indictor'), err: true });
                }
            }
        },
        confirmClick: function confirmClick() {
            //跳银行卡列表界面
            wsWorkflow.setBackWorkFlowID({
                backWorkflowID: 'workflow_id_bankcard_list'
            });
            route.pop();
        },
        cancelClick: function cancelClick() {
            if (!that.isAdd) {
                //异名换卡
                wsUI.showModal({
                    title: '提示',
                    content: '是否确认取消账户信息变更，确认后将删除当前申请记录，不可恢复',
                    cancelText: '取消',
                    showCancel: true,
                    confirmText: '确认'
                }, function (rsp) {
                    //取消
                    if (rsp.data.index === 0) {}
                    //确认
                    else if (rsp.data.index === 1) {
                            var cancelApplyApi = _utils2.default.getOriginalHost() + '/v4/changeMerchantBank/cancelApply';
                            var requestBody = {
                                apply_id: that.latestApplyData.apply_id,
                                source: "APP",
                                submitter: openapi.getUserInfoSync().admin.cellphone
                            };
                            stream.fetch({
                                method: 'POST',
                                url: cancelApplyApi,
                                type: 'json',
                                body: requestBody,
                                headers: { 'Content-Type': 'application/json' }
                            }, function (ret) {
                                if (ret.ok) {
                                    cache.removeStorage({ key: _constant2.default.BANDCARD_STORAGEA_KEY });

                                    //跳银行卡列表界面
                                    wsWorkflow.setBackWorkFlowID({
                                        backWorkflowID: 'workflow_id_bankcard_list'
                                    });
                                    route.pop();
                                } else {
                                    modal.toast({ message: "取消申请失败：" + JSON.stringify(ret.data), duration: 1 });
                                }
                            });
                        }
                });
            } else {
                //同名换卡
                wsUI.showModal({
                    title: '提示',
                    content: that.latestApplyData.type == 1 ? '是否确认删除，确认后将删除当前银行卡，不可恢复' : '是否确认删除，确认后将删除当前银行账号，不可恢复',
                    cancelText: '取消',
                    showCancel: true,
                    confirmText: '确认'
                }, function (rsp) {
                    //取消
                    if (rsp.data.index === 0) {}
                    //确认
                    else if (rsp.data.index === 1) {
                            var deleteApi = _utils2.default.getOriginalHost() + '/v4/merchantBank/deletedMerchantBankAccountPreByApp';
                            var requestBody = {
                                merchant_bank_account_pre_id: that.latestApplyData.id ? that.latestApplyData.id : that.latestApplyData.apply_id,
                                operator: openapi.getUserInfoSync().admin.cellphone
                            };
                            stream.fetch({
                                method: 'POST',
                                url: deleteApi,
                                type: 'json',
                                body: requestBody,
                                headers: { 'Content-Type': 'application/json' }
                            }, function (ret) {
                                if (ret.ok) {
                                    //跳银行卡列表界面
                                    wsWorkflow.setBackWorkFlowID({
                                        backWorkflowID: 'workflow_id_bankcard_list'
                                    });
                                    route.pop();
                                } else {
                                    modal.toast({ message: "删除银行卡失败：" + JSON.stringify(ret.data), duration: 1 });
                                }
                            });
                        }
                });
            }
        },
        cellClick: function cellClick(item, i) {
            // cell点击
            switch (i) {
                case 0:
                    if (that.isAdd == 0 && (that.status == 21 || that.status == 22)) {
                        // 异名换卡审核失败
                        if (reapplyDisable) {
                            //防止重复点击
                            return;
                        }
                        reapplyDisable = true;
                        _bankcardApi2.default.fetchChangeDetail(that.latestApplyData.apply_id, function (ret) {
                            // route.nativeLog(">>>>>>>>>>>申请详情返回成功: " + JSON.stringify(ret));
                            that.reapplyParams = ret.form_body;
                            that.reapplyParams.apply_id = ret.apply_id;

                            if (that.type == 11 && that.process_status == 27) {
                                route.openURL({ url: _utils2.default.getLocalRouter('bankcard/bind/cellphone'), params: { data: that.reapplyParams } });
                                reapplyDisable = false;
                            } else {
                                that.goReapply();
                            }
                        });
                    } else if (that.isAdd == 1 && that.status == 3) {
                        // 同名换卡审核失败
                        route.openURL({ url: _utils2.default.getWosaiRouter('app/page/bankcard/add'), params: { latestSubmit: that.latestApplyData } });
                    }
                    break;
                default:
                    break;
            }
        },
        goReapply: function goReapply() {
            var allowChangeTypesApi = _utils2.default.getOriginalHost() + "/v4/changeMerchantBank/getAllowChangeTypes";
            stream.fetch({
                method: 'POST',
                url: allowChangeTypesApi,
                type: 'json',
                headers: { 'Content-Type': 'application/json' }
            }, function (ret) {
                if (ret.ok) {
                    //route.nativeLog(">>>>>>>>>>>允许变更类型: " + JSON.stringify(ret));
                    ret.data.selectType = that.type;

                    if (that.type == 1 || that.type == 2) {
                        var cacheData = { latestSubmit: that.reapplyParams, selectType: that.type };
                        cache.setStorage({ key: _constant2.default.BANDCARD_STORAGEA_KEY, data: cacheData });
                        route.openURL({ url: _utils2.default.getWosaiRouter('app/page/bankcard/add'), params: ret.data });
                        reapplyDisable = false;
                    } else if (that.type == 3) {
                        var cacheData = { latestSubmit: that.reapplyParams, selectType: that.type };
                        cache.setStorage({ key: _constant2.default.BANDCARD_STORAGEA_KEY, data: cacheData });
                        route.openURL({ url: _utils2.default.getLocalRouter('bankcard/ID/input'), params: ret.data });
                        reapplyDisable = false;
                    } else if (that.type == 11) {
                        that.preCheck(ret.data);
                    }
                } else {
                    modal.toast({ message: "获取允许变更类型失败：" + JSON.stringify(ret.data), duration: 1 });
                    reapplyDisable = false;
                }
            });
        },
        preCheck: function preCheck(data) {
            var params = {};
            if (weex.config.data.account && weex.config.data.account.apply_id) {
                params.apply_id = weex.config.data.account.apply_id;
            }
            _bankcardApi2.default.fetchPrecheck(true, data, params, function (ret) {
                if (ret.code == 11000 || ret.code == 111003) {
                    //成功或是有未完成的账户信息变更
                    ret.url = ret.h5_url;
                    var cacheData = { latestSubmit: that.reapplyParams, selectType: that.type, url: ret.h5_url };
                    cache.setStorage({ key: _constant2.default.BANDCARD_STORAGEA_KEY, data: cacheData }, function (cacheRet) {
                        route.openURL({ url: _utils2.default.getLocalRouter('bankcard/weitips'), params: { selectType: that.type, data: ret } });
                        reapplyDisable = false;
                    });
                } else {
                    wsUI.showToast({ title: ret.message });
                    reapplyDisable = false;
                }
            });
        },
        onrefresh: function onrefresh() {
            this.refreshing = true;
            this.list = [];
            if (this.isAdd == 1) {
                _bankcardApi2.default.fetchAddDetail(weex.config.data.account.id ? weex.config.data.account.id : weex.config.data.account.apply_id, function (ret) {
                    //route.nativeLog(">>>>>>>>>>>添加银行卡数据返回成功: " + JSON.stringify(ret));
                    if (that.refreshing) {
                        that.refreshing = false;
                    }
                    that.setData(ret);
                });
            } else {
                this.getData();
            }
        }
    },
    created: function created() {
        that = this;
        //route.nativeLog(">>>>>>>>>审核页面传入参数：" + JSON.stringify(weex.config.data));
        if (typeof weex.config.data == 'string') {
            weex.config.data = JSON.parse(weex.config.data);
        }
        if (typeof weex.config.data.account == 'string') {
            weex.config.data.account = JSON.parse(weex.config.data.account);
        }
        this.isAdd = weex.config.data.isAdd ? weex.config.data.isAdd : 0;

        this.applyNavibar();
        this.regNotification();

        if (this.isAdd == 0) {
            //异名换卡
            this.getData();
        } else {
            //同名换卡
            _bankcardApi2.default.fetchAddDetail(weex.config.data.account.id ? weex.config.data.account.id : weex.config.data.account.apply_id, function (ret) {
                //route.nativeLog(">>>>>>>>>>>添加银行卡数据返回成功: " + JSON.stringify(ret));
                that.setData(ret);
            });
        }

        nav.forbidSystemBack(function () {});
        nav.applyNavibarLeftBtn({ items: [{ icon: "weex_nav_back" }] }, function (index) {
            wsWorkflow.setBackWorkFlowID({
                backWorkflowID: 'workflow_id_bankcard_list'
            });
            route.pop();
        });
    }
};

/***/ }),

/***/ 126:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      backgroundColor: "#F6F6F6"
    }
  }, [_c('list', {
    staticClass: ["wrap-scroller"]
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh
    }
  }, [_c('image', {
    staticStyle: {
      width: "48px",
      height: "88px"
    },
    attrs: {
      "src": "https://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif"
    }
  })]), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["wrap-status"]
  }, [_c('div', {
    staticClass: ["wrap-title"]
  }, [_c('image', {
    staticClass: ["img-icon"],
    attrs: {
      "src": _vm.statusIcon
    }
  }), _c('text', {
    staticClass: ["text-title"]
  }, [_vm._v(" " + _vm._s(_vm.statusText) + " ")])]), (!(_vm.type == 11 && (_vm.status == 19 || _vm.status == 27))) ? _c('text', {
    staticClass: ["text-desc"]
  }, [_vm._v(_vm._s(_vm.desc))]) : _vm._e(), ((!_vm.isAdd && _vm.type == 1 && (_vm.process_status == 0 || _vm.process_status == 3)) || (_vm.isAdd && _vm.process_status == 1)) ? _c('text', {
    staticStyle: {
      color: "#000000",
      fontSize: "13wx",
      fontWeight: "bold",
      marginTop: "20wx",
      marginLeft: "49wx",
      marginRight: "49wx",
      textAlign: "center"
    }
  }, [_vm._v("汇款账户：上海喔噻互联网科技有限公司")]) : _vm._e(), (_vm.type == 11 && _vm.status == 19) ? _c('richtext', {
    staticClass: ["xiaowei-rich"]
  }, [_c('span', {
    staticStyle: {
      color: "#666666"
    }
  }, [_vm._v("新的收钱吧商户开通成功，当前登录店铺交易权限已关闭，提现／理财转出功能可正常使用，请提示")]), _c('span', {
    staticStyle: {
      color: "#FA541C",
      fontWeight: "bold"
    }
  }, [_vm._v(_vm._s(_vm.name))]), _c('span', {
    staticStyle: {
      color: "#666666"
    }
  }, [_vm._v("使用手机号")]), _c('span', {
    staticStyle: {
      color: "#FA541C",
      fontWeight: "bold"
    }
  }, [_vm._v(_vm._s(_vm.phoneNumber))]), _c('span', {
    staticStyle: {
      color: "#666666"
    }
  }, [_vm._v("登录收钱吧，完成实名认证。")])]) : _vm._e(), (_vm.type == 11 && _vm.process_status == 27) ? _c('richtext', {
    staticClass: ["text-desc"]
  }, [_c('span', {
    staticStyle: {
      color: "#666666"
    }
  }, [_vm._v("您绑定的手机号已注册为")]), _c('span', {
    staticStyle: {
      color: "#000000",
      fontWeight: "bold"
    }
  }, [_vm._v(_vm._s(_vm.storeName))]), _c('span', {
    staticStyle: {
      color: "#666666"
    }
  }, [_vm._v("的")]), _c('span', {
    staticStyle: {
      color: "#000000",
      fontWeight: "bold"
    }
  }, [_vm._v(_vm._s(_vm.role))]), _c('span', {
    staticStyle: {
      color: "#666666"
    }
  }, [_vm._v("，请重新绑定其他可用手机号")])]) : _vm._e()], 1)]), (_vm.type == 11 && _vm.status == 19) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('text', {
    staticStyle: {
      color: "#666666",
      fontSize: "13wx",
      marginTop: "12wx",
      marginLeft: "13.5wx",
      marginBottom: "8wx"
    }
  }, [_vm._v("新的收钱吧商户信息")])]) : _vm._e(), _vm._l((_vm.list), function(item, i) {
    return _c('cell', {
      key: i,
      staticStyle: {
        backgroundColor: "white"
      },
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["cell-bg"],
      style: {
        borderBottomWidth: i == _vm.list.length - 1 ? '0px' : '1px'
      },
      on: {
        "click": function($event) {
          _vm.cellClick(item, i)
        }
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "15wx"
      }
    }, [_vm._v(_vm._s(item.title))]), _c('div', {
      staticStyle: {
        flex: "1",
        flexDirection: "row",
        justifyContent: "flex-end",
        alignItems: "center"
      }
    }, [_c('text', {
      class: [item.err ? 'content-err' : 'content-normal']
    }, [_vm._v(_vm._s(item.content))]), (item.indicator) ? _c('image', {
      staticClass: ["image-indicator"],
      attrs: {
        "src": item.indicator,
        "resize": "contain"
      }
    }) : _vm._e()])])])
  }), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [(_vm.status == 19) ? _c('div', {
    staticClass: ["confirm-btn"],
    on: {
      "click": _vm.confirmClick
    }
  }, [_c('text', {
    staticClass: ["text-confirm"]
  }, [_vm._v("我知道了")])]) : _vm._e()])], 2), (_vm.isAdd == 0 && (_vm.status == 21 || _vm.status == 22)) ? _c('div', {
    staticClass: ["cancel-btn"],
    on: {
      "click": _vm.cancelClick
    }
  }, [_c('text', {
    staticClass: ["text-cancel"]
  }, [_vm._v("取消申请")])]) : _vm._e(), (_vm.isAdd == 1 && _vm.status == 3) ? _c('div', {
    staticClass: ["cancel-btn"],
    on: {
      "click": _vm.cancelClick
    }
  }, [_c('text', {
    staticClass: ["text-cancel"]
  }, [_vm._v("删除")])]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBUSERAPI = {
    fetchUserInfo: function fetchUserInfo(callback) {
        var stream = weex.requireModule('stream');
        var USERAPI = _utils2.default.getOriginalHost() + '/V2/Account/get';
        stream.fetch({
            method: 'GET',
            url: USERAPI,
            type: 'json'
        }, function (ret) {
            var wsOpenAPI = weex.requireModule('wsOpenApi');
            var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);

            wsOpenAPI.setUserInfoSync(newUser);
            callback(ret);
        });
    }
};

exports.default = SQBUSERAPI;

/***/ }),

/***/ 77:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBBANKCARD = {
    /**
     * @param isXiaowei 是否是小微商户
     * @param data  url拼接所需参数
     * @param params 请求参数
     */
    fetchPrecheck: function fetchPrecheck(isXiaowei, data, params, callback) {
        var stream = weex.requireModule('stream');
        var openapi = weex.requireModule('wsOpenApi');
        openapi.nativeLog('\n=====初始参数：' + JSON.stringify(data));

        var preCheckApi = _utils2.default.getOriginalHost() + "/v4/changeMerchantBank/preCheck";
        var url = isXiaowei ? "wsweex://local/bankcard/ID/input" : "wsweex://local/bankcard/change/enterprise";
        if (data) {
            url = url + '?';
            for (var key in data) {
                var item = data[key];
                url = url + key + '=' + item + '&';
            }
            var lastChar = url.substr(url.length - 1, 1);
            if (lastChar == '&') {
                url = url.substr(0, url.length - 1);
            }
        }

        // openapi.nativeLog('\n=====地址：' + url);
        var requestBody = params ? params : {};
        params.platform = 'APP';
        params.operator = openapi.getUserInfoSync().admin.cellphone, params.redirect_url = url;

        stream.fetch({
            method: 'POST',
            url: preCheckApi,
            type: 'json',
            body: requestBody,
            headers: { 'Content-Type': 'application/json' }
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: '服务异常', duration: '1000' });
            }
        });
    },
    fetchChangeDetail: function fetchChangeDetail(id, callback) {
        var stream = weex.requireModule('stream');
        var changeDetailApi = _utils2.default.getOriginalHost() + "/v4/changeMerchantBank/getApplyDetail";
        var requestBody = {
            apply_id: id,
            platform: "APP"
        };
        stream.fetch({
            method: 'POST',
            url: changeDetailApi,
            type: 'json',
            body: requestBody,
            headers: { 'Content-Type': 'application/json' }
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: "申请详情获取失败：" + JSON.stringify(ret.data), duration: '1000' });
            }
        });
    },
    fetchAddDetail: function fetchAddDetail(id, callback) {
        var stream = weex.requireModule('stream');
        var addDetailApi = _utils2.default.getOriginalHost() + "/v4/merchantBank/getMerchantBankAccountPreByApp";
        var requestBody = {
            merchant_bank_account_pre_id: id
        };
        stream.fetch({
            method: 'POST',
            url: addDetailApi,
            type: 'json',
            body: requestBody,
            headers: { 'Content-Type': 'application/json' }
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: "查询预存卡信息失败：" + JSON.stringify(ret.data), duration: '1000' });
            }
        });
    },
    fetchLatestChange: function fetchLatestChange(id, callback) {
        var stream = weex.requireModule('stream');
        var latestApplyApi = _utils2.default.getOriginalHost() + '/v4/changeMerchantBank/getLatestApply';
        var requestBody = {
            merchant_id: id,
            platform: "APP"
        };
        stream.fetch({
            method: 'POST',
            url: latestApplyApi,
            type: 'json',
            body: requestBody
        }, function (ret) {
            if (ret.ok) {
                callback(ret.data);
            } else {
                var wsUI = weex.requireModule('wsUI');
                wsUI.showToast({ title: "获取最新一次申请记录失败：" + JSON.stringify(ret.data), duration: '1000' });
            }
        });
    }
};

exports.default = SQBBANKCARD;

/***/ })

/******/ });