// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 154);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 常量

var SQBConstant = exports.SQBConstant = {
    IMGHOST: 'https://shouqianba-qr-paycode.oss-cn-hangzhou.aliyuncs.com',
    IMG_HELP_DEFAULT: "https://mp.weixin.qq.com/mp/homepage?hid=1&sn=fb4ae29d498978abf6e7c73af646c82c&__biz=MzI0MzA2MDcwMQ==",
    GIF_REFRESH: 'http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif', // 下拉刷新图片
    ONLINE_SERVICE: 'https://www.shouqianba.com/antservice', // 在线客服地址
    BANDCARD_STORAGEA_KEY: 'com.sqb.cache.bankcard.latestSubmit' // 异名/同名换卡上次提交的数据缓存key
};
exports.default = SQBConstant;

/***/ }),

/***/ 154:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _xiaoweiTips = __webpack_require__(155);

var _xiaoweiTips2 = _interopRequireDefault(_xiaoweiTips);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_xiaoweiTips2.default.el = '#root';
new Vue(_xiaoweiTips2.default);

/***/ }),

/***/ 155:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(156)
)

/* script */
__vue_exports__ = __webpack_require__(157)

/* template */
var __vue_template__ = __webpack_require__(158)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/bankcard/xiaowei-tips.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2c1e1b50"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 156:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF",
    "paddingTop": "38"
  },
  "border-item": {
    "marginLeft": "48",
    "marginRight": "48"
  },
  "icon": {
    "width": "26",
    "height": "26",
    "marginRight": "10"
  },
  "btnSubmit": {
    "marginLeft": "32",
    "marginRight": "32",
    "backgroundColor": "#D9AF5C",
    "height": "96",
    "borderRadius": "8",
    "marginBottom": "32",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "btn-title": {
    "color": "#FFFFFF",
    "fontSize": "36",
    "fontWeight": "500"
  }
}

/***/ }),

/***/ 157:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _constant = __webpack_require__(1);

var _constant2 = _interopRequireDefault(_constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var nav = weex.requireModule('wsNavibar');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var wsUI = weex.requireModule('wsUI');
var that;

var cache = weex.requireModule('wsStorage');
cache.getStorage({ key: _constant2.default.BANDCARD_STORAGEA_KEY }, function (ret) {
    if (!ret) {
        return;
    }
    if (!ret.data) {
        return;
    }
    that.pageParams = ret.data;
});
exports.default = {
    data: function data() {
        return {
            list: [{ isRichText: true, desc: [{ text: '申请变更为他人银行卡会' }, { text: '注册新的收钱吧商户及账号', color: '#FA541C', bold: 'bold' }, { text: '，申请前请仔细阅读以下内容：' }] }, { text: '一、变更后影响', fontSize: '32px', color: '#000000', bold: 'bold', margin: '40px' }, { isRichText: true, desc: [{ text: '1. 当前商户将' }, { text: '不能收款', color: '#FA541C', bold: 'bold' }, { text: '，但仍可查账、提现及理财转出；\n2. 收款工具、店长和收银员账号将转至新商户；\n3. 进行中的营销活动在新商户不可用；\n4. 如您签署了收款工具押金协议，将转至新商户累计计算；\n5. 新商户需结算人登录收钱吧APP完成实名认证提升额度。' }] }, { text: '二、适用范围', fontSize: '32px', color: '#000000', bold: 'bold' }, { isRichText: true, desc: [{ text: '仅适用于直系亲属', color: '#FA541C', bold: '600' }, { text: '（父母、子女、配偶、养父母、养子养女）之间转换。' }] }, { text: '*适用范围外的情况，请联系销售人员协助注册新商户。', fontSize: '26px' }, { text: '三、申请资料与要求', fontSize: '32px', color: '#000000', bold: 'bold' }, { isRichText: true, desc: [{ text: '1. 必须为' }, { text: 'xx', color: '#FA541C', bold: 'bold' }, { text: '本人提交申请；\n2. 新结算人证件、银行卡、结算人与' }, { text: 'xx', color: '#FA541C', bold: 'bold' }, { text: '的关系证明。如：结婚证书、户口本、出生证或其他有法律效应的证明材料；' }] }, { text: '关系证明示例', tips: true, color: '#D9AF5C', iconTips: 'weex_tips' }, { text: '3. 未注册过收钱吧的手机号（用于登陆收钱吧新商户）' }],
            pageParams: undefined
        };
    },
    methods: {
        initialize: function initialize() {
            var wsWorkflow = weex.requireModule('wsWorkflow');
            wsWorkflow.setWorkFlowID({
                workflowID: 'workflow_id_bankcard_live_start'
            });
        },
        handleText: function handleText(text) {
            return text == 'xx' ? that.getName() : text;
        },
        getName: function getName() {
            var openapi = weex.requireModule('wsOpenApi');
            var user = openapi.getUserInfoSync();
            return user.merchant.bank_account.holder ? user.merchant.bank_account.holder : '';
        },
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "申请变更他人银行卡",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
            nav.applyNavibarRightBtn({ items: [{ title: '在线客服', bgColor: '#ffffff', color: '#D9AF5C' }] }, function (ret) {
                route.openURL(_constant2.default.ONLINE_SERVICE);
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });
        },
        imageWithName: function imageWithName(imgName) {
            return _utils2.default.imageWithName(imgName);
        },
        getStyle: function getStyle(item) {
            var styles = { fontSize: item.fontSize ? item.fontSize : '30px' };
            styles.marginTop = item.margin ? item.margin : '0px';
            styles.color = item.color ? item.color : '#4A4A4A';
            styles.lineHeight = '46px';
            if (item.bold) {
                styles.fontWeight = item.bold;
            }

            return styles;
        },
        showDemoClick: function showDemoClick() {
            route.openURL({ url: _utils2.default.getfuncRouter('alert/image'),
                params: { image: 'weex_tips_relation_demo', title: '证明材料示例', width: 258, height: 416 } });
        },
        submitClick: function submitClick() {
            if (!that.pageParams) {
                wsUI.showToast({ title: '缺少页面参数' });
                return;
            }
            if (!that.pageParams.url) {
                wsUI.showToast({ title: '缺少参数url' });
                return;
            }

            var params = {
                content: '您是否知晓变更后对当前商户收款、查账等的影响？变更成功后<不能撤销>，是否确认申请变更为他人银行卡？',
                color: '#000000',
                font: '15',
                richColor: '#FA541C',
                options: ['取消', '确认']
            };
            wsUI.showAlert(params, function (ret) {
                if (ret.data.index == 1) {
                    route.openURL({ url: that.pageParams.url });
                }
            });
        }
    },
    created: function created() {
        that = this;

        if (weex.config.data) {
            that.pageParams = weex.config.data;
        }
        that.applyNavibar();
        that.regNotification();
        that.initialize();
    }
};

/***/ }),

/***/ 158:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('scroller', {
    staticStyle: {
      paddingBottom: "20px"
    }
  }, _vm._l((_vm.list), function(item, i) {
    return _c('div', {
      key: i,
      staticClass: ["border-item"]
    }, [(item.tips) ? _c('div', {
      staticStyle: {
        flexDirection: "row",
        alignItems: "center",
        height: "72px"
      },
      on: {
        "click": _vm.showDemoClick
      }
    }, [_c('image', {
      staticClass: ["icon"],
      attrs: {
        "src": _vm.imageWithName(item.iconTips)
      }
    }), _c('text', {
      style: _vm.getStyle(item)
    }, [_vm._v(_vm._s(item.text))])]) : _c('div', [(item.isRichText) ? _c('richtext', _vm._l((item.desc), function(text, j) {
      return _c('span', {
        key: j,
        style: _vm.getStyle(text)
      }, [_vm._v(_vm._s(_vm.handleText(text.text)))])
    })) : (item.bold) ? _c('richtext', {
      staticStyle: {
        marginTop: "40px",
        marginBottom: "16px"
      }
    }, [_c('span', {
      style: _vm.getStyle(item)
    }, [_vm._v(_vm._s(item.text))])]) : _c('text', {
      style: _vm.getStyle(item)
    }, [_vm._v(_vm._s(item.text))])], 1)])
  })), _c('div', {
    staticClass: ["btnSubmit"],
    on: {
      "click": _vm.submitClick
    }
  }, [_c('text', {
    staticClass: ["btn-title"]
  }, [_vm._v("我准备好了")])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });