// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 151);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = / ^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 151:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _mine = __webpack_require__(152);

var _mine2 = _interopRequireDefault(_mine);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_mine2.default.el = '#root';
new Vue(_mine2.default);

/***/ }),

/***/ 152:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(153)
)

/* script */
__vue_exports__ = __webpack_require__(154)

/* template */
var __vue_template__ = __webpack_require__(155)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/mine.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-226bdd57"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 153:
/***/ (function(module, exports) {

module.exports = {
  "listStyle": {
    "width": "750",
    "backgroundColor": "#F6F6F6"
  },
  "cell": {
    "flexDirection": "column",
    "backgroundColor": "#FFFFFF",
    "backgroundColor:active": "#f9f9f9"
  },
  "content": {
    "flexDirection": "row",
    "height": "88",
    "alignItems": "center",
    "paddingLeft": "32",
    "backgroundColor": "#FFFFFF",
    "backgroundColor:active": "#f9f9f9"
  },
  "title": {
    "marginLeft": "16",
    "flex": 1,
    "fontSize": "30",
    "color": "#4A4A4A"
  },
  "detail": {
    "fontSize": "26",
    "color": "#9B9B9B"
  },
  "refresh": {
    "alignItems": "center",
    "width": "750",
    "height": "100"
  },
  "header": {
    "flexDirection": "column"
  },
  "header-top": {
    "flexDirection": "row",
    "alignItems": "center",
    "height": "144",
    "marginTop": "16",
    "paddingLeft": "32",
    "backgroundColor": "#FFFFFF"
  },
  "header-middle": {
    "height": "88",
    "alignItems": "center",
    "flexDirection": "row",
    "backgroundColor": "#FFFFFF",
    "paddingLeft": "32",
    "backgroundColor:active": "#f9f9f9"
  },
  "header-bottom": {
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "paddingTop": "28",
    "paddingBottom": "28"
  },
  "receiptLayer": {
    "flexDirection": "row",
    "justifyContent": "flex-start"
  },
  "line": {
    "height": "1",
    "marginLeft": "88",
    "backgroundColor": "#efefef"
  },
  "tag": {
    "borderRadius": "4",
    "height": "30",
    "backgroundImage": "linear-gradient(to top, #000000, #606060)",
    "justifyContent": "center",
    "alignItems": "center",
    "marginTop": "8"
  },
  "insuranceText": {
    "flex": 1
  },
  "insuranceImg": {
    "width": "198",
    "height": "32",
    "marginLeft": "16",
    "marginRight": "16",
    "justifyContent": "flex-start"
  },
  "withdraw": {
    "flex": 1,
    "lines": 2,
    "color": "#D9AF5C",
    "fontSize": "26",
    "marginLeft": "16",
    "textOverflow": "ellipsis"
  },
  "letters": {
    "color": "#262626",
    "marginTop": "8",
    "width": "300",
    "lines": 2
  },
  "close": {
    "height": "72",
    "width": "72",
    "alignItems": "center",
    "justifyContent": "center",
    "marginRight": "10"
  },
  "indictor": {
    "marginRight": "32",
    "marginLeft": "16",
    "width": "14",
    "height": "22"
  },
  "imgTip": {
    "width": "26",
    "height": "26",
    "marginLeft": "30",
    "marginRight": "16"
  },
  "sectionspace": {
    "height": "20",
    "backgroundColor": "#F6F6F6"
  },
  "withdraw-container": {
    "height": "72",
    "backgroundColor": "#FEFCEC",
    "alignItems": "center",
    "flexDirection": "row"
  },
  "lineReceipt": {
    "width": "1",
    "height": "74",
    "backgroundColor": "#EFEFEF"
  },
  "versioncell": {
    "height": "100",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "versionText": {
    "lines": 2,
    "color": "#D0D0D0",
    "fontSize": "20"
  }
}

/***/ }),

/***/ 154:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

// import UTILS from 'weex-ui/packages/utils'


var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _userApi = __webpack_require__(38);

var _userApi2 = _interopRequireDefault(_userApi);

var _wsMarquee = __webpack_require__(71);

var _wsMarquee2 = _interopRequireDefault(_wsMarquee);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var that = undefined;
var flag = 0;
var nav = weex.requireModule('wsNavibar');
var stream = weex.requireModule('stream');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var openapi = weex.requireModule('wsOpenApi');
var cache = weex.requireModule('wsStorage');
var gesture = weex.requireModule('wsGesture');
var wsUI = weex.requireModule('wsUI');

var isIOS = _utils2.default.isIOS();
var aniPosition = 0;
var timer = undefined;
var isFirst = true;
var requestFinished = true;

var user = openapi.getUserInfoSync();
var cellphone = user.admin.cellphone;

if (cellphone) {
    cache.getStorage({ key: cellphone + '-mineDataList' }, function (ret) {
        // 列表缓存数据
        var retData = ret.data;
        if (that.list.length == 0 && retData) {
            that.list = retData;
            that.cacheList = retData;
        }
    });

    cache.getStorage({ key: cellphone + '-mineReceiptList' }, function (ret) {
        // 列表缓存数据
        var retData = ret.data;
        if (that.receiptList.length == 0 && retData) {
            that.receiptList = retData;
            that.cacheReceiptList = retData;
        }
    });
}

module.exports = {
    components: {
        "ws-marquee": _wsMarquee2.default
    },
    data: function data() {
        return {
            showWithdraw: false,
            refreshing: false,
            appVersion: '',
            buildVersion: '',
            nodes: [],
            list: [],
            cacheList: [],
            receiptList: [], // style=8的数据类型
            cacheReceiptList: [],
            withdrawList: [],
            rollList: [],
            userInfo: {},
            roleName: '角色',
            roleNameWidth: 70,
            userName: '',
            showInsurance: false,
            insuranceIcon: '',
            insurance: undefined,
            imgHeader: 'local:///weex_head.png',
            imgIndictor: 'local:///weex_indictor.png',
            imgTips: 'local:///weex_tips.png',
            imgClose: 'local:///weex_close.png'
        };
    },
    methods: {
        refreshImgByPlatform: function refreshImgByPlatform() {
            // 更新ios安卓的图片

            that.imgHeader = _utils2.default.imageWithName('weex_head');
            that.imgIndictor = _utils2.default.imageWithName('weex_indictor');
            that.imgTips = _utils2.default.imageWithName('weex_tips');
            that.imgClose = _utils2.default.imageWithName('weex_close');
        },
        onrefresh: function onrefresh(event) {
            // 下拉刷新
            that.refreshing = true;
            this.fetchModules();
            this.fetchUserInfo();
            this.fetchInsurance();
        },
        fetchSubmodules: function fetchSubmodules(n) {
            // 获取动态模块子接口

            var SUBAPI = _utils2.default.getOriginalHost() + '/v4/module?fieldId=' + n.data.id;
            stream.fetch({
                method: 'GET',
                url: SUBAPI,
                type: 'text'
            }, function (ret) {
                flag++;
                if (ret.ok) {
                    var retData = JSON.parse(ret.data);

                    if (!n.children) {
                        n.children = [];
                    }
                    for (var i = 0; i < retData.length; i++) {
                        var subnode = retData[i];

                        n.children.push(subnode);
                    }
                    if (flag == that.nodes.length) {
                        requestFinished = true;
                        that.list = [];
                        that.receiptList = [];

                        that.analysisList(that.nodes);

                        if (cellphone) {
                            cache.setStorage({ key: cellphone + '-mineDataList', data: that.list });
                            cache.setStorage({ key: cellphone + '-mineReceiptList', data: that.receiptList });
                            that.cacheList = that.list;
                            that.cacheReceiptList = that.receiptList;
                        }
                    }
                } else {
                    that.loadDataFromCache();
                    requestFinished = true;
                }
            });
        },
        analysisList: function analysisList(l) {
            var tempIndex = -1;
            for (var i = 0; i < l.length; i++) {
                var nod = l[i];
                var style = _utils2.default.getModuleStyle(nod.data.style);
                for (var j = 0; j < nod.children.length; j++) {
                    var sub = nod.children[j];
                    sub.style = style;
                    sub.isFirst = j == 0;
                    sub.isLast = j == nod.children.length - 1;

                    if (style == 8) {
                        if (j == 0) {
                            sub.font = _utils2.default.isNumber(sub.letters) ? 34 : 30;
                        }
                        if (j == 1) {
                            sub.font = _utils2.default.isNumber(sub.letters) ? 34 : 30;
                        }

                        if (tempIndex == -1) {
                            tempIndex = i;
                            that.list.push(sub);
                        }
                        that.receiptList.push(sub);
                    } else {
                        that.list.push(sub);
                    }
                }
            }
            if (tempIndex != -1) {
                // that.list.splice(tempIndex, 0, tempSubs[0]);
            }
        },
        fetchModules: function fetchModules() {
            // 获取动态模块
            if (!requestFinished) {
                return;
            }
            requestFinished = false;
            timer = setTimeout(function () {
                that.stopAnimation();
            }, 10000);
            flag = 0;

            var api = _utils2.default.getOriginalHost() + '/v4/page/node/me';
            stream.fetch({
                method: 'GET',
                url: api,
                type: 'text'
            }, function (ret) {
                that.stopAnimation();
                if (ret.ok) {
                    var retData = JSON.parse(ret.data);

                    that.nodes = retData.children;

                    if (that.nodes.length == 0) {
                        requestFinished = true;
                    }
                    for (var i = 0; i < that.nodes.length; i++) {
                        var n = that.nodes[i];
                        n.index = i;

                        if (n.lazy) {
                            that.fetchSubmodules(n);
                        }
                    }
                } else {
                    that.loadDataFromCache();
                    requestFinished = true;
                }
            });
        },
        fetchUserInfo: function fetchUserInfo() {
            // 获取用户信息
            _userApi2.default.fetchUserInfo(function (ret) {
                if (ret.ok) {
                    var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);
                    if (that.userInfo.admin.avatar != newUser.admin.avatar || that.userInfo.admin.username != newUser.admin.username) {
                        openapi.setUserInfoSync(that.userInfo);
                    }
                    that.userInfo = newUser;
                } else {
                    that.userInfo = openapi.getUserInfoSync();
                }
                that.updateUserDisplay();
            });
        },
        fetchInsurance: function fetchInsurance() {
            // 获取保险占位符
            var insuranceapi = _utils2.default.getOriginalHost() + '/V2/AppPlaceholder/listWithAuth';
            stream.fetch({
                method: 'GET',
                url: insuranceapi,
                type: 'text'
            }, function (ret) {
                if (ret.ok) {
                    var retData = JSON.parse(ret.data);
                    for (var i = 0; i < retData.length; i++) {
                        var dest = retData[i];
                        if (dest.key == 'MINE_PAGE_BALANCE_NUMBER_PLACEHOLDER' && dest.display == 1) {
                            that.insurance = dest;
                            that.showInsurance = true;
                            if (dest.icon.length > 0) {
                                that.insuranceIcon = dest.icon;
                            }
                            break;
                        }
                    }
                }
            });
        },
        fetchWithdraw: function fetchWithdraw() {
            // 获取提现进度快捷入口数据
            var withdrawapi = _utils2.default.getOriginalHost() + '/v3/main/withdraw/shortcut';
            stream.fetch({
                method: 'GET',
                url: withdrawapi,
                type: 'text'
            }, function (ret) {

                if (ret.ok) {
                    var retData = JSON.parse(ret.data);

                    that.showWithdraw = retData.length > 0;
                    that.withdrawList = retData;

                    var tempArr = [];
                    for (var i = 0; i < that.withdrawList.length; i++) {
                        var wd = that.withdrawList[i];
                        tempArr.push(wd.title + ' ' + wd.text);
                    }
                    that.rollList = tempArr;
                    // route.nativeLog('rolllist数据：' + JSON.stringify(that.rollList))
                }
            });
        },
        onDetail: function onDetail(e, index) {
            // 跳转详情
            if (!e.subpage) {
                return;
            }
            if (that.userInfo.admin.role === 'super_admin') {
                if (e.mustOpenStore) {
                    if (that.userInfo.merchant.sn.length == 0) {
                        wsUI.showAlert({ title: '提示', content: '您还没有创建门店，暂不能使用该功能', options: ['确定'] });
                        return;
                    }
                }
                if (e.hasPayParameters) {
                    if (that.userInfo.bankAccountVerifyStatus.withTradeParams) {
                        wsUI.showAlert({ title: '提示', content: '您的店铺还在审核中，暂不能使用该功能', options: ['确定'] });
                        return;
                    }
                }
                if (e.mustRealName) {
                    if (that.userInfo.bankAccountVerifyStatus.status != 2) {
                        wsUI.showAlert({ title: '提示', content: '您的银行卡还在验证中，暂不能使用该功能', options: ['确定'] });
                        return;
                    }
                }
            }
            that.addTrack(e);
            route.openURL(e.subpage);
        },
        onAccount: function onAccount() {
            // 用户详情
            route.openURL({ url: _utils2.default.getLocalRouter('setting/account') });
        },
        stopAnimation: function stopAnimation() {
            // 停止刷新动画
            if (that.refreshing) {
                that.refreshing = false;
            }
            clearTimeout(timer);
        },
        closeWithdraw: function closeWithdraw() {
            // 关闭提现快捷入口
            that.showWithdraw = false;
        },
        onWithdrawClick: function onWithdrawClick(index) {
            // 提现快捷入口点击跳转
            // route.nativeLog('\n点击了第' + index +'个\n')
            if (index >= that.withdrawList.length || index == -1) {
                return;
            }
            var wd = that.withdrawList[index];
            if (wd.dest) {
                route.openURL(wd.dest);
            }
        },
        updateUserDisplay: function updateUserDisplay() {
            // 更新用户展示
            that.imgHeader = that.userInfo.admin.avatar.length > 0 ? that.userInfo.admin.avatar : _utils2.default.imageWithName('weex_head');
            that.userName = that.userInfo.admin.username;
            that.roleName = _utils2.default.getRoleName(that.userInfo.admin.role);
            that.roleNameWidth = that.roleName.length * 20 + 18;
        },
        regNotification: function regNotification() {
            // 页面生命周期通知
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.pageInitial();
                that.applyNavibar();
                that.userInfo = openapi.getUserInfoSync();

                if (that.userInfo.admin.role == 'super_admin') {
                    that.fetchWithdraw();
                }

                if (!isFirst) {
                    that.fetchUserInfo();
                    that.fetchModules();
                    that.fetchInsurance();
                }
            });
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwilldisappear' }, function (ret) {
                isFirst = false;
            });
        },

        /**
         * 生成单个红点列表
         */
        designBadge: function designBadge(code) {
            var pos = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
            var display = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
            var offsetx = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
            var offsety = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;

            var obj = { code: code, position: pos, display: display, offset: { x: offsetx, y: offsety } };
            return [obj];
        },
        pageInitial: function pageInitial() {
            // 一些初始化操作
            var device = weex.requireModule('wsDevice');
            device.getSystemInfo(function (ret) {
                var sysInfo = ret.data;
                that.appVersion = sysInfo.version;
                that.buildVersion = sysInfo.build;
            });
        },

        // 埋点
        addTrack: function addTrack(e) {
            openapi.addTrack({
                name: 'ClickModule',
                params: {
                    module_ID: e.id ? e.id : '',
                    module_name: e.name ? e.name : ''
                }
            });
        },
        insuranceClick: function insuranceClick() {
            route.openURL(that.insurance.dest);
        },
        loadDataFromCache: function loadDataFromCache() {
            if (that.cacheList.length > 0) {
                that.list = that.cacheList;
            }
            if (that.cacheReceiptList.length > 0) {
                that.receiptList = that.cacheReceiptList;
            }
        },
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "我的",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
        }
    },
    created: function created() {
        that = this;
        that.userInfo = openapi.getUserInfoSync();
        that.applyNavibar();
        that.regNotification();
        that.refreshImgByPlatform();

        that.fetchModules();
        that.fetchInsurance();
        that.fetchUserInfo();
    },
    mounted: function mounted() {
        notification.registerNotification({ name: 'sqb.weexcontainer.viewdidappear' }, function (ret) {
            gesture.addTapGesture({ obj: that.$refs.versionCell, numberOfTaps: 10 }, function (ret) {
                if (route.isDebug()) {
                    route.openURL({ url: _utils2.default.getWosaiRouter('debug') });
                }
            });
        });
    },
    computed: {// 计算属性
    }
};

/***/ }),

/***/ 155:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.showWithdraw) ? _c('div', {
    staticClass: ["withdraw-container"],
    attrs: {
      "bubble": "true"
    }
  }, [_c('image', {
    staticClass: ["imgTip"],
    attrs: {
      "src": _vm.imgTips
    }
  }), _c('ws-marquee', {
    attrs: {
      "width": "600px",
      "height": "60px",
      "fontSize": "26px",
      "text": _vm.rollList,
      "direction": "column",
      "bgColor": "#FEFCEC",
      "textColor": "#D9AF5C",
      "duration": 1500,
      "delay": 5000
    },
    on: {
      "itemClicked": _vm.onWithdrawClick
    }
  }), _c('div', {
    staticClass: ["close"],
    attrs: {
      "bubble": "true"
    },
    on: {
      "click": function($event) {
        _vm.closeWithdraw()
      }
    }
  })], 1) : _vm._e(), _c('list', {
    staticClass: ["listStyle"]
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh
    }
  }, [_c('image', {
    staticStyle: {
      width: "48px",
      height: "88px"
    },
    attrs: {
      "src": "https://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif"
    }
  })]), _c('cell', {
    staticClass: ["header"],
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["header-top"],
    on: {
      "click": _vm.onAccount
    }
  }, [_c('image', {
    staticStyle: {
      borderRadius: "60px",
      width: "96px",
      height: "96px"
    },
    attrs: {
      "src": _vm.imgHeader,
      "resize": "cover"
    }
  }), _c('div', {
    staticStyle: {
      flexDirection: "column",
      flex: "1",
      marginLeft: "32px"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "36px",
      fontWeight: "500"
    }
  }, [_vm._v(_vm._s(_vm.userName))]), _c('div', {
    staticClass: ["tag"],
    style: {
      width: _vm.roleNameWidth + 'px'
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "20px",
      color: "#FFDB3F"
    }
  }, [_vm._v(_vm._s(_vm.roleName))])])]), _c('image', {
    staticClass: ["indictor"],
    attrs: {
      "src": _vm.imgIndictor,
      "resize": "contain"
    }
  })]), _c('div', {
    staticStyle: {
      height: "1px",
      backgroundColor: "#efefef"
    }
  })]), _vm._l((_vm.list), function(item, index) {
    return _c('cell', {
      key: index,
      ref: 'item' + index,
      refInFor: true,
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [(item.isFirst && item.style != 7 && item.style != 8) ? _c('div', {
      staticClass: ["sectionspace"]
    }) : _vm._e(), (item.style == 7) ? _c('div', {
      staticClass: ["header-middle"],
      attrs: {
        "dataBadge": _vm.designBadge(item.scripts, 5, 0)
      },
      on: {
        "click": function($event) {
          _vm.onDetail(item, index)
        }
      }
    }, [_c('text', [_vm._v(_vm._s(item.name))]), _c('div', {
      staticStyle: {
        flex: "1"
      }
    }, [(_vm.showInsurance) ? _c('div', {
      staticStyle: {
        flexDirection: "row"
      },
      attrs: {
        "bubble": "true"
      },
      on: {
        "click": _vm.insuranceClick
      }
    }, [_c('image', {
      staticClass: ["insuranceImg"],
      attrs: {
        "src": _vm.insuranceIcon
      }
    })]) : _vm._e()]), _c('text', {
      staticStyle: {
        fontSize: "34px",
        color: "#262626"
      },
      attrs: {
        "dataBadge": _vm.designBadge(item.scripts, 5)
      }
    }, [_vm._v(_vm._s(item.letters))]), _c('text', {
      staticStyle: {
        fontSize: "24px",
        color: "#666666"
      }
    }, [_vm._v("元")]), _c('image', {
      staticClass: ["indictor"],
      attrs: {
        "src": _vm.imgIndictor
      }
    })]) : (item.style == 8) ? _c('div', {
      staticClass: ["header-bottom"]
    }, [_c('div', {
      staticStyle: {
        marginLeft: "32px",
        flex: "1"
      },
      attrs: {
        "dataBadge": _vm.designBadge(_vm.receiptList[0].scripts, 1, 0)
      },
      on: {
        "click": function($event) {
          _vm.onDetail(_vm.receiptList[0], _vm.eindex)
        }
      }
    }, [_c('div', {
      staticClass: ["receiptLayer"]
    }, [_c('text', {
      staticStyle: {
        color: "#9B9B9B",
        fontSize: "22px"
      },
      attrs: {
        "dataBadge": _vm.designBadge(_vm.receiptList[0].scripts, 1)
      }
    }, [_vm._v(_vm._s(_vm.receiptList[0].name))])]), _c('text', {
      staticClass: ["letters"],
      style: {
        fontSize: _vm.receiptList[0] ? _vm.receiptList[0].font : 34 + 'px'
      }
    }, [_vm._v(_vm._s(_vm.receiptList[0].letters))])]), (_vm.receiptList.length > 1) ? _c('div', {
      staticStyle: {
        justifyContent: "center",
        alignItems: "center"
      }
    }, [_c('div', {
      staticClass: ["lineReceipt"]
    })]) : _vm._e(), (_vm.receiptList.length > 1) ? _c('div', {
      staticStyle: {
        marginLeft: "32px",
        flex: "1"
      },
      attrs: {
        "dataBadge": _vm.designBadge(_vm.receiptList[1].scripts, 1, 0)
      },
      on: {
        "click": function($event) {
          _vm.onDetail(_vm.receiptList[1], _vm.eindex)
        }
      }
    }, [_c('div', {
      staticClass: ["receiptLayer"]
    }, [_c('text', {
      staticStyle: {
        color: "#9B9B9B",
        fontSize: "22px"
      },
      attrs: {
        "dataBadge": _vm.designBadge(_vm.receiptList[1].scripts, 1)
      }
    }, [_vm._v(_vm._s(_vm.receiptList[1].name))])]), _c('text', {
      staticClass: ["letters"],
      style: {
        fontSize: _vm.receiptList[1] ? _vm.receiptList[1].font : 34 + 'px'
      }
    }, [_vm._v(_vm._s(_vm.receiptList[1].letters))])]) : _c('div')]) : (item.style != 7 && item.style != 8) ? _c('div', {
      staticClass: ["content"],
      attrs: {
        "dataBadge": _vm.designBadge(item.scripts, 5, 0)
      },
      on: {
        "click": function($event) {
          _vm.onDetail(item, index)
        }
      }
    }, [_c('image', {
      staticStyle: {
        width: "41px",
        height: "50px"
      },
      attrs: {
        "src": item.icon,
        "resize": "contain"
      }
    }), _c('text', {
      staticClass: ["title"]
    }, [_vm._v(_vm._s(item.name))]), _c('text', {
      staticClass: ["detail"],
      attrs: {
        "dataBadge": _vm.designBadge(item.scripts, 5)
      }
    }, [_vm._v(_vm._s(item.letters))]), _c('image', {
      staticClass: ["indictor"],
      attrs: {
        "src": _vm.imgIndictor
      }
    })]) : _vm._e(), (item.style == 7 || item.style == 8) ? _c('div', {
      staticStyle: {
        height: "1px",
        backgroundColor: "#efefef"
      }
    }) : _vm._e(), (!item.isLast && item.style != 7 && item.style != 8) ? _c('div', {
      staticClass: ["line"]
    }) : _vm._e()])
  }), _c('cell', {
    ref: "versionCell",
    staticClass: ["versioncell"],
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('text', {
    staticClass: ["versionText"]
  }, [_vm._v("Ver" + _vm._s(_vm.appVersion) + " Copyrights@WOSAI.CN,All Rights Reserved")]), _c('text', {
    staticClass: ["versionText"]
  }, [_vm._v("build:" + _vm._s(_vm.buildVersion))])])], 2)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBUSERAPI = {
    fetchUserInfo: function fetchUserInfo(callback) {
        var stream = weex.requireModule('stream');
        var USERAPI = _utils2.default.getOriginalHost() + '/V2/Account/get';
        stream.fetch({
            method: 'GET',
            url: USERAPI,
            type: 'json'
        }, function (ret) {
            var wsOpenAPI = weex.requireModule('wsOpenApi');
            var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);

            wsOpenAPI.setUserInfoSync(newUser);
            callback(ret);
        });
    }
};

exports.default = SQBUSERAPI;

/***/ }),

/***/ 71:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(72)
)

/* script */
__vue_exports__ = __webpack_require__(73)

/* template */
var __vue_template__ = __webpack_require__(75)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/components/ws-marquee.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-236f0bc1"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 72:
/***/ (function(module, exports) {

module.exports = {
  "ws-marquee": {
    "overflow": "hidden"
  },
  "wrap": {
    "overflow": "hidden",
    "position": "relative"
  },
  "marquee1": {
    "position": "absolute",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "marquee2": {
    "position": "absolute",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "text-item": {
    "lines": 1,
    "overflow": "hidden",
    "whiteSpace": "nowrap",
    "textOverflow": "ellipsis"
  }
}

/***/ }),

/***/ 73:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mixins = __webpack_require__(74);

var _mixins2 = _interopRequireDefault(_mixins);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
var dom = weex.requireModule('dom');

var route = weex.requireModule('wsRoute');
var interval = undefined;
var that;

exports.default = {
    mixins: [_mixins2.default],
    props: {
        width: {
            type: String,
            default: '750px'
        },
        textWidth: {
            type: String,
            default: '750px'
        },

        height: {
            type: String,
            default: '80px'
        },
        direction: {
            type: String,
            // or column
            default: 'row'
        },
        text: {
            type: [String, Array]
        },
        fontSize: {
            type: String,
            default: '32px'
        },
        textColor: {
            type: String,
            default: '#333'
        },
        bgColor: {
            type: String,
            default: '#fff'
        },
        duration: {
            type: Number,
            // ms
            default: 2000
        },
        delay: {
            type: Number,
            // ms
            default: 0
        }
    },
    data: function data() {
        return {
            base: {
                x: Number(this.textWidth.replace('px', '')),
                t: this.duration,
                h: Number(this.height.replace('px', ''))
            },
            marquee1: {},
            marquee2: {},
            wrapStyle: {},
            baseStyle: {},
            textStyle: {}
        };
    },
    created: function created() {
        that = this;
        // this.wrapStyle = { width: this.width, height: this.height, 'background-color': this.bgColor };
        // let width = this.direction === 'row' ? this.textWidth : this.width;
        // this.baseStyle = { width: width, height: this.height, 'background-color': this.bgColor };

        // this.baseStyleWrap = Object.assign({}, this.baseStyle, {
        //     height: this.base.h * (this.text.length + 1) + 'px'});

        // let textStyle = { height: this.height, width: width, 'font-size': this.fontSize, 'color': this.textColor, 'line-height': this.height };

        // if (this.$data.$env.isWeb) textStyle.display = 'block';
        // this.textStyle = textStyle;
    },
    mounted: function mounted() {
        if (this.direction === 'row' && this.base.x > 750) {
            this.initStyle();
            this.startRow();
        } else if (this.direction === 'column') {
            // this.startCol();
        }
    },

    computed: {
        // 计算属性的 getter
        rollList: function rollList() {
            clearInterval(interval);
            // route.nativeLog('\n数据变化' + JSON.stringify(that.text));

            that.wrapStyle = { width: this.width, height: that.height, 'background-color': that.bgColor };
            var width = this.direction === 'row' ? that.textWidth : that.width;
            that.baseStyle = { width: width, height: that.height, 'background-color': that.bgColor };

            that.baseStyleWrap = Object.assign({}, that.baseStyle, {
                height: that.base.h * (that.text.length + 1) + 'px' });

            var textStyle = { height: that.height, width: width, 'font-size': that.fontSize, 'color': that.textColor, 'line-height': that.height };

            if (that.$data.$env.isWeb) textStyle.display = 'block';
            that.textStyle = textStyle;

            // route.nativeLog('\n数据变化' + JSON.stringify(that.baseStyleWrap));
            var el = this.$refs.wrapColumn;
            that.animationCol(0, 0);

            setTimeout(function () {
                that.startCol();
            }, 500);
            return that.text;
        }
    },
    methods: {
        initStyle: function initStyle() {
            var base = { height: this.height, width: this.textWidth };
            if (this.$data.$env.isWeb) {
                this.marquee1 = Object.assign({
                    left: '0px'
                }, base);
                this.marquee2 = Object.assign({
                    left: this.base.x + 'px'
                }, base);
            } else {
                this.marquee1 = Object.assign({
                    transform: 'translateX(0px)'
                }, base);
                this.marquee2 = Object.assign({
                    transform: 'translateX(' + this.base.x + 'px)'
                }, base);
            }
        },
        startRow: function startRow() {
            var _this = this;

            setTimeout(function () {
                _this.animation1('marquee1');
                _this.animation2('marquee2');
            }, this.delay);
        },
        startCol: function startCol() {
            var index = 0;
            var d = that.duration;
            // route.nativeLog('\n调用startCol开始');
            interval = setInterval(function () {
                if (index > that.text.length - 1) {
                    index = d = 0;
                    that.animationCol(0, 0);
                    // route.nativeLog('\n******位置：' + 0);
                } else {
                    d = that.duration;
                    index++;
                    var y = -1 * index * 100.0 / (that.text.length + 1) + '%';
                    // route.nativeLog('\n******位置：' + y + '，个数：' + that.text.length + '，索引:' + index)
                    that.animationCol(d, y);
                }
            }, this.delay);
        },
        animation1: function animation1(ref) {
            var _this2 = this;

            var el = this.$refs[ref];
            animation.transition(el, {
                styles: this.getStyles(-this.base.x),
                duration: this.base.t,
                timingFunction: 'linear'
            }, function () {
                _this2.end(ref);
            });
        },
        getStyles: function getStyles(x) {
            if (this.$data.$env.isWeb) {
                return { left: x + 'px' };
            } else {
                return { transform: 'translateX(' + x + 'px)' };
            }
        },
        animation2: function animation2(ref) {
            var _this3 = this;

            var el = this.$refs[ref];
            var x = this.base.x;
            var d = this.base.t * 2;
            animation.transition(el, {
                styles: this.getStyles(-x),
                duration: d,
                timingFunction: 'linear'
            }, function () {
                _this3.end(ref);
            });
        },
        end: function end(ref) {
            var _this4 = this;

            var el = this.$refs[ref];
            animation.transition(el, {
                styles: this.getStyles(this.base.x),
                duration: 0
            });
            setTimeout(function () {
                _this4.animation2(ref);
            }, 20);
        },
        animationCol: function animationCol(duration, y) {
            var el = this.$refs.wrapColumn;
            if (this.$data.$env.isWeb) {
                el.style.transitionDuration = duration + 'ms';
                el.style.transitionTimingFunction = 'ease';
                el.style.transform = 'translate3d(0, ' + y + ', 0)';
                return;
            }
            animation.transition(el, {
                styles: {
                    transform: 'translateY(' + y + ')'
                },
                duration: duration,
                timingFunction: 'ease'
            });
        },
        itemClicked: function itemClicked(e) {
            this.$emit("itemClicked", typeof this.text == 'string' ? text : this.text.indexOf(e));
        }
    }
};

/***/ }),

/***/ 74:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var width = weex.config.env.deviceWidth;
var height = weex.config.env.deviceHeight;
var platform = weex.config.env.platform.toLowerCase();
var appName = weex.config.env.appName;

var mixins = {
    data: function data() {
        return {
            $env: {
                isWeb: platform === 'web',
                isAndroid: platform === 'android',
                isIos: platform === 'ios'
            }
        };
    },

    methods: {
        getPageHeight: function getPageHeight() {
            if (platform === 'android') {
                return 750 / width * height;
            }
            return height;
        },
        preventDefault: function preventDefault(e) {
            e.preventDefault && e.preventDefault();
            e.stopPropagation && e.stopPropagation();
        }
    }
};

exports.default = mixins;

/***/ }),

/***/ 75:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    ref: "wsMarquee",
    staticClass: ["ws-marquee"],
    style: _vm.wrapStyle
  }, [(_vm.direction === 'row') ? _c('div', {
    staticClass: ["wrap"],
    style: _vm.baseStyle
  }, [_c('div', {
    ref: "marquee1",
    staticClass: ["marquee1"],
    style: _vm.marquee1
  }, [_c('text', {
    staticClass: ["wx-text"],
    style: _vm.textStyle
  }, [_vm._v(_vm._s(_vm.text))])]), _c('div', {
    ref: "marquee2",
    staticClass: ["marquee2"],
    style: _vm.marquee2
  }, [_c('text', {
    staticClass: ["wx-text"],
    style: _vm.textStyle
  }, [_vm._v(_vm._s(_vm.text))])])]) : _vm._e(), (_vm.direction === 'column') ? _c('div', {
    style: _vm.baseStyle
  }, [_c('div', {
    ref: "wrapColumn",
    style: _vm.baseStyleWrap
  }, [_vm._l((_vm.rollList), function(txt, i) {
    return _c('text', {
      key: i,
      staticClass: ["text-item"],
      style: _vm.textStyle,
      on: {
        "click": function($event) {
          _vm.itemClicked(txt)
        }
      }
    }, [_vm._v(_vm._s(txt))])
  }), _c('text', {
    staticClass: ["text-item"],
    style: _vm.textStyle
  }, [_vm._v(_vm._s(this.rollList[0]))])], 2)]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });