// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 171);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = / ^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 171:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _account = __webpack_require__(172);

var _account2 = _interopRequireDefault(_account);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_account2.default.el = '#root';
new Vue(_account2.default);

/***/ }),

/***/ 172:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(173)
)

/* script */
__vue_exports__ = __webpack_require__(174)

/* template */
var __vue_template__ = __webpack_require__(175)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/macuser/Desktop/shouqianba.weex/src/pages/setting/account.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7eb704cc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 173:
/***/ (function(module, exports) {

module.exports = {
  "wrapper": {
    "width": "750",
    "justifyContent": "flex-start",
    "alignItems": "flex-start",
    "flexDirection": "column",
    "backgroundColor": "#F6F6F6"
  },
  "item": {
    "flexDirection": "row",
    "height": "88",
    "width": "750",
    "alignItems": "center",
    "paddingLeft": "32",
    "paddingRight": "32",
    "backgroundColor": "#FFFFFF"
  },
  "title": {
    "height": "38",
    "fontSize": "32",
    "color": "#000000"
  },
  "input": {
    "position": "absolute",
    "width": "500",
    "textAlign": "right",
    "right": "32",
    "height": "88",
    "fontSize": "30",
    "color": "#4A4A4A"
  },
  "image": {
    "justifyContent": "center",
    "alignItems": "center",
    "width": "60",
    "height": "60",
    "borderRadius": "30"
  },
  "indictor": {
    "marginLeft": "16",
    "width": "14",
    "height": "22"
  },
  "unbind": {
    "alignItems": "center",
    "position": "absolute",
    "width": "750",
    "bottom": "60"
  },
  "divider": {
    "width": "718",
    "height": "1",
    "marginLeft": "32",
    "backgroundColor": "#EFEFEF"
  },
  "genderwrapper": {
    "alignItems": "center",
    "flexDirection": "row"
  },
  "gendertext": {
    "marginLeft": "16",
    "height": "38",
    "fontSize": "30",
    "color": "#4A4A4A"
  },
  "genderselect": {
    "width": "40",
    "height": "40"
  },
  "unbindtext": {
    "textAlign": "center",
    "height": "46",
    "width": "550",
    "fontSize": "36",
    "color": "#E39A93"
  }
}

/***/ }),

/***/ 174:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _userApi = __webpack_require__(2);

var _userApi2 = _interopRequireDefault(_userApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var media = weex.requireModule('wsMedia');
var openapi = weex.requireModule('wsOpenApi');
var user = openapi.getUserInfoSync();
var ui = weex.requireModule('wsUI');
var router = weex.requireModule('wsRoute');
var navibar = weex.requireModule('wsNavibar');
var stream = weex.requireModule('stream');
var notification = weex.requireModule('wsNotification');

var that;

module.exports = {
  components: {},

  data: function data() {
    return {
      imgHeader: '',
      name: '',
      imgIndictor: '',
      imgMale: '',
      imgFemale: '',
      currentGender: '0',
      unBindNeedShow: false,
      headIsSelectAlbum: false,
      imgHeaderTemp: ''
    };
  },

  methods: {
    registNotification: function registNotification() {
      notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
        that.initTitle();
      });
    },
    initTitle: function initTitle() {
      navibar.applyConfigure({
        status: 1,
        title: '编辑资料'
      }, function (event) {});
      navibar.applyNavibarRightBtn({
        items: [{
          title: '保存',
          color: '#D9AF5C'
        }]
      }, function (event) {
        that.checkUpdateAccountType();
      });
    },

    setName: function setName(e) {
      that.name = e.value;
    },
    // 获取用户信息
    fetchUserInfo: function fetchUserInfo() {
      _userApi2.default.fetchUserInfo(function (ret) {
        if (ret.ok) {
          var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);
          user.admin.nickname = newUser.admin.nickname;
          user.admin.gender = newUser.admin.gender;
          user.admin.avatar = newUser.admin.avatar;
          openapi.setUserInfo(user, function (callBack) {
            that.initData();
          });
        } else {
          that.initData();
        }
      });
    },
    initData: function initData() {
      var avatar = user.admin.avatar;
      if (_utils2.default.isStringEmpty(avatar)) {
        this.imgHeader = _utils2.default.imageWithName('weex_head');
      } else {
        this.imgHeader = user.admin.avatar;
      }

      var nickName = user.admin.nickname;
      if (_utils2.default.isStringEmpty(nickName)) {
        this.name = user.admin.username;
      } else {
        this.name = nickName;
      }

      var gender = user.admin.gender;
      if (_utils2.default.isStringEmpty(gender)) {
        this.setCurrentGender('0');
      } else {
        this.setCurrentGender(gender);
      }
    },

    //处理注销账户功能显示与隐藏
    checkCanUnbind: function checkCanUnbind() {
      var _this = this;

      if (user.admin.role === 'admin' || user.admin.role === 'cashier') {
        this.unBindNeedShow = true;
      } else {
        var appPlaceholderUrl = _utils2.default.getOriginalHost() + '/V2/AppPlaceholder/listWithAuth';
        stream.fetch({
          method: 'POST',
          url: appPlaceholderUrl,
          type: 'text',
          body: ''
        }, function (ret) {
          if (ret.ok) {
            var retData = JSON.parse(ret.data);
            retData.forEach(function (item) {
              if (item.key === 'DELETE_ACCOUNT_PLACEHOLDER') {
                if (item.display === 1) {
                  _this.unBindNeedShow = true;
                }
              }
            });
          }
        });
      }
    },
    chooseImage: function chooseImage() {
      var _this2 = this;

      openapi.nativeLog('chooseImage');
      media.chooseImages({
        count: 1
      }, function (img) {
        openapi.nativeLog('\n--------------返回：' + _typeof(img.data));
        that.imgHeaderTemp = img.data[0]; //JSON.parse(img.data)[0];
        that.imgHeader = _utils2.default.getImageByBase64(that.imgHeaderTemp);
        _this2.headIsSelectAlbum = true;
        openapi.nativeLog('\n==========选择了图片：' + JSON.stringify(img.data));
      });
    },


    //处理imgHeader的资源类型
    checkUpdateAccountType: function checkUpdateAccountType() {
      //系统资源
      if (this.imgHeader.indexOf('local') !== -1) {
        this.updateAccountInfo('', false);
      }
      //服务器图片
      else if (!this.headIsSelectAlbum) {
          this.updateAccountInfo(this.imgHeader, false);
        }
        //从相册中获取，为base64字符串
        else {
            this.uploadHeaderImg();
          }
    },

    //上传头像文件
    uploadHeaderImg: function uploadHeaderImg() {
      var imgStr = this.imgHeaderTemp;
      var uploadImgUrl = _utils2.default.getfuncRouter('uploadData');
      var apiUrl = _utils2.default.getOriginalHost() + '/v3/Image/upload';
      ui.showLoading({
        title: ' '
      });
      router.nativeLog('\n===========头像数据：' + imgStr);
      router.openURL({
        url: uploadImgUrl,
        params: {
          url: apiUrl,
          data: [imgStr],
          type: 'image/png',
          name: 'image_upload',
          filename: 'header.png'
        }
      }, function (ret) {
        if (ret.data) {
          that.updateAccountInfo(ret.data[0], true);
        }
        ui.hideLoading();
      });
    },

    //显示注销弹窗
    showUnbind: function showUnbind() {
      ui.showModal({
        title: '确认注销',
        content: '注销后，将不能再使用收钱吧进行收款',
        cancelText: '暂不注销',
        showCancel: true,
        confirmText: '确认注销'
      }, function (rsp) {
        //取消
        if (rsp.data.index === 0) {}
        //确认注销
        else if (rsp.data.index === 1) {
            var url = 'wosaishouqianba://auth_code?';
            if (_utils2.default.isIOS()) {
              url = url + 'title=注销账户&status=0';
            } else {
              if (user.admin.role === 'admin' || user.admin.role === 'cashier') {
                url = url + 'from=DeleteCashierPhone&phone=' + user.admin.cellphone;
              } else {
                url = url + 'from=DeleteSuperAdminPhone&phone=' + user.admin.cellphone;
              }
            }
            router.openURL(url);
          }
      });
    },

    //设置男女选项，默认男
    setCurrentGender: function setCurrentGender(gender) {
      if (gender === '1') {
        this.imgMale = _utils2.default.imageWithName('weex_unselected');
        this.imgFemale = _utils2.default.imageWithName('weex_selected');
      } else {
        this.imgMale = _utils2.default.imageWithName('weex_selected');
        this.imgFemale = _utils2.default.imageWithName('weex_unselected');
      }
      this.currentGender = gender;
    },


    //更新用户资料
    updateAccountInfo: function updateAccountInfo(img, needUpdateHeader) {
      var updateAccoutnInfoUrl = _utils2.default.getOriginalHost() + '/V2/AccountV2/updateAdminInfo';
      var nickName = this.name;
      var avatar = img;
      var gender = this.currentGender;
      var body = JSON.stringify({ nickName: nickName, avatar: avatar, gender: gender });
      if (_utils2.default.trimAll(nickName).length === 0) {
        ui.showToast({
          title: '昵称不能为空'
        });
        return;
      }
      stream.fetch({
        method: 'POST',
        url: updateAccoutnInfoUrl,
        type: 'text',
        body: body
      }, function (ret) {
        if (ret.ok) {
          user.admin.nickname = nickName;
          user.admin.gender = gender;
          if (needUpdateHeader) {
            user.admin.avatar = avatar;
          }
          openapi.setUserInfo(user, function (callBack) {
            ui.showToast({ title: '修改成功' });
            router.pop();
          });
        }
      });
    }
  },
  created: function created() {
    that = this;
    that.initTitle();
    this.imgIndictor = _utils2.default.imageWithName('weex_indictor');

    this.registNotification();
    this.checkCanUnbind();
    this.fetchUserInfo();
  }
};

/***/ }),

/***/ 175:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrapper"]
  }, [_c('div', {
    staticClass: ["item"],
    staticStyle: {
      marginTop: "20px"
    },
    on: {
      "click": _vm.chooseImage
    }
  }, [_c('text', {
    staticClass: ["title"],
    staticStyle: {
      flex: "1"
    }
  }, [_vm._v("头像\n    ")]), _c('image', {
    staticClass: ["image"],
    attrs: {
      "resize": "cover",
      "src": _vm.imgHeader
    }
  }), _c('image', {
    staticClass: ["indictor"],
    attrs: {
      "src": _vm.imgIndictor
    }
  })]), _c('div', {
    staticClass: ["item"],
    staticStyle: {
      marginTop: "20px"
    }
  }, [_c('text', {
    staticClass: ["title"]
  }, [_vm._v("昵称\n    ")]), _c('input', {
    staticClass: ["input"],
    attrs: {
      "maxlength": "20",
      "placeholder": "请输入昵称",
      "value": _vm.name
    },
    on: {
      "input": _vm.setName
    }
  })]), _c('div', {
    staticClass: ["divider"]
  }), _c('div', {
    staticClass: ["item"]
  }, [_c('text', {
    staticClass: ["title"]
  }, [_vm._v("性别\n    ")]), _c('div', {
    staticStyle: {
      position: "absolute",
      right: "32px",
      flexDirection: "row"
    }
  }, [_c('div', {
    staticClass: ["genderwrapper"]
  }, [_c('image', {
    staticClass: ["genderselect"],
    attrs: {
      "src": _vm.imgMale
    },
    on: {
      "click": function($event) {
        _vm.setCurrentGender('0')
      }
    }
  }), _c('text', {
    staticClass: ["gendertext"]
  }, [_vm._v("男")])]), _c('div', {
    staticClass: ["genderwrapper"]
  }, [_c('image', {
    staticClass: ["genderselect"],
    staticStyle: {
      marginLeft: "64px"
    },
    attrs: {
      "src": _vm.imgFemale
    },
    on: {
      "click": function($event) {
        _vm.setCurrentGender('1')
      }
    }
  }), _c('text', {
    staticClass: ["gendertext"]
  }, [_vm._v("女")])])])]), (_vm.unBindNeedShow) ? _c('div', {
    staticClass: ["unbind"]
  }, [_c('text', {
    staticClass: ["unbindtext"],
    on: {
      "click": _vm.showUnbind
    }
  }, [_vm._v("注销账户")])]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBUSERAPI = {
    fetchUserInfo: function fetchUserInfo(callback) {
        var stream = weex.requireModule('stream');
        var USERAPI = _utils2.default.getOriginalHost() + '/V2/Account/get';
        stream.fetch({
            method: 'GET',
            url: USERAPI,
            type: 'json'
        }, function (ret) {
            var wsOpenAPI = weex.requireModule('wsOpenApi');
            var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);

            wsOpenAPI.setUserInfoSync(newUser);
            callback(ret);
        });
    }
};

exports.default = SQBUSERAPI;

/***/ })

/******/ });