// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 207);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = / ^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBUSERAPI = {
    fetchUserInfo: function fetchUserInfo(callback) {
        var stream = weex.requireModule('stream');
        var USERAPI = _utils2.default.getOriginalHost() + '/V2/Account/get';
        stream.fetch({
            method: 'GET',
            url: USERAPI,
            type: 'json'
        }, function (ret) {
            var wsOpenAPI = weex.requireModule('wsOpenApi');
            var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);

            wsOpenAPI.setUserInfoSync(newUser);
            callback(ret);
        });
    }
};

exports.default = SQBUSERAPI;

/***/ }),

/***/ 207:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _withdrawsetting = __webpack_require__(208);

var _withdrawsetting2 = _interopRequireDefault(_withdrawsetting);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_withdrawsetting2.default.el = '#root';
new Vue(_withdrawsetting2.default);

/***/ }),

/***/ 208:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(209)
)

/* script */
__vue_exports__ = __webpack_require__(210)

/* template */
var __vue_template__ = __webpack_require__(211)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/setting/withdrawsetting.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-30db9df3"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 209:
/***/ (function(module, exports) {

module.exports = {
  "list": {
    "backgroundColor": "#F6F6F6"
  },
  "cell-bg": {
    "backgroundColor": "#FFFFFF",
    "height": "88",
    "alignItems": "center",
    "flexDirection": "row",
    "paddingLeft": "32",
    "borderTopWidth": "1",
    "borderTopColor": "#eeeeee",
    "borderBottomWidth": "1",
    "borderBottomColor": "#eeeeee"
  },
  "cell-tips": {
    "color": "#9B9B9B",
    "fontSize": "26",
    "marginLeft": "32",
    "marginRight": "30",
    "marginTop": "18",
    "marginBottom": "42"
  },
  "indictor": {
    "marginRight": "32",
    "marginLeft": "16",
    "width": "22",
    "height": "22"
  },
  "cell-fold-bg": {
    "height": "144",
    "backgroundColor": "#FFFFFF",
    "borderTopWidth": "1",
    "borderTopColor": "#eeeeee",
    "alignItems": "center",
    "paddingLeft": "32",
    "flexDirection": "row"
  },
  "cell-fold-bg1": {
    "borderBottomWidth": "1",
    "borderBottomColor": "#eeeeee"
  },
  "fold-title": {
    "fontSize": "32"
  },
  "fold-desc": {
    "marginTop": "16",
    "fontSize": "26",
    "color": "#9B9B9B"
  },
  "imgCheck": {
    "width": "40",
    "height": "40",
    "marginLeft": "32",
    "marginRight": "32"
  }
}

/***/ }),

/***/ 210:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _userApi = __webpack_require__(2);

var _userApi2 = _interopRequireDefault(_userApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var nav = weex.requireModule('wsNavibar');
var stream = weex.requireModule('stream');
var openapi = weex.requireModule('wsOpenApi');
var notification = weex.requireModule('wsNotification');
var ui = weex.requireModule('wsUI');
var route = weex.requireModule('wsRoute');

var value = -1;
var that;

exports.default = {
    data: function data() {
        return {
            user: {},
            showPattern: false,
            wdSettingText: '自助提现',
            autoText: {},
            list: [{
                title: '节假日大额提现次日到账',
                tips: '开启后，节假日单笔大于5万元的提现，次日即可快速到账；如果关闭，单笔超过5万元的提现将推迟至下个工作日到账。',
                open: true,
                show: true,
                index: 0
            }, {
                title: '提现短信通知',
                tips: '设置是否接受提现结果短信通知',
                open: true,
                show: false,
                index: 1
            }, {
                title: '提现模式',
                tips: '自助提现模式下，您可随时随地按需对收款账户内的资金进行提现',
                open: false,
                show: false,
                index: 2,
                canSpread: true
            }],
            ic_checked1: 'local:///weex_sq_checked_default.png',
            ic_checked2: 'local:///weex_sq_uncheck.png',
            ic_switch: 'local:///weex_switch_on.png',
            ic_indictor: 'local:///weex_indictor_down.png'
        };
    },

    methods: {
        // 埋点
        addTrack: function addTrack(name, par) {
            openapi.addTrack({
                name: name,
                params: par
            });
        },
        imageOfState: function imageOfState(state) {
            var img = state ? 'weex_switch_on' : 'weex_switch_off';
            return _utils2.default.imageWithName(img);
        },
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "提现设置",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();

                // var wd = that.list[2];
                // wd.open = that.user.merchant.withdraw_mode == 1;

                // that.fetchUserInfo();
                // that.refreshCheckState(); 
            });
        },
        fetchImmenseWithdraw: function fetchImmenseWithdraw() {
            // 获取节假日大额提现拆分配置信息
            var SPLITAPI = _utils2.default.getOriginalHost() + '/V2/Wallet/getMerchantWithdrawSplitConfig';
            stream.fetch({
                method: 'POST',
                url: SPLITAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var wd = that.list[0];
                    wd.open = ret.data.status == 1;
                }
            });
        },
        openImmenseWithdraw: function openImmenseWithdraw() {
            // 开启节假日大额提现拆分功能
            ui.showLoading();
            var WOPENAPI = _utils2.default.getOriginalHost() + '/V2/Wallet/enableMerchantWithdrawSplitConfig';
            stream.fetch({
                method: 'POST',
                url: WOPENAPI,
                type: 'json'
            }, function (ret) {
                ui.hideLoading();
                if (ret.ok) {
                    var wd = that.list[0];
                    wd.open = true;
                    notification.postNotification({ name: 'sqb.withdraw.Immense.toggle', obj: true });
                } else {
                    ui.showToast({ title: '操作异常' });
                }
            });
        },
        closeImmenseWithdraw: function closeImmenseWithdraw() {
            // 关闭节假日大额提现拆分功能
            ui.showLoading();
            var WCLOSEAPI = _utils2.default.getOriginalHost() + '/V2/Wallet/disableMerchantWithdrawSplitConfig';
            stream.fetch({
                method: 'POST',
                url: WCLOSEAPI,
                type: 'json'
            }, function (ret) {
                ui.hideLoading();
                if (ret.ok) {
                    var wd = that.list[0];
                    wd.open = false;
                    notification.postNotification({ name: 'sqb.withdraw.Immense.toggle', obj: false });
                } else {
                    ui.showToast({ title: '操作异常' });
                }
            });
        },
        fetchNoticeSetting: function fetchNoticeSetting() {
            // 获取商户提现推送方式
            var NOTICESETTINGAPI = _utils2.default.getOriginalHost() + '/V2/Withdraw/noticeSetting?merchantId=' + that.user.admin.merchant_id;

            stream.fetch({
                method: 'GET',
                url: NOTICESETTINGAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var result = ret.data;
                    var wd = that.list[1];
                    wd.show = result.show;
                    wd.open = result.push;

                    if (wd.show) {
                        that.addTrack('ShowUsualSwitch', {
                            switch_name: '提现短信通知',
                            on_off: wd.open
                        });
                    }
                    if (wd.open) {
                        that.addTrack('DispWithdrawSMS', {});
                    }
                }
            });
        },
        pushNoticeSetting: function pushNoticeSetting(on) {
            // 提交商户提现推送方式
            ui.showLoading();
            var mid = that.user.admin.merchant_id;
            var NOTICESETTINGAPI = _utils2.default.getOriginalHost() + '/V2/Withdraw/noticeSetting?push=' + on + '&merchantId=' + mid;

            stream.fetch({
                method: 'POST',
                url: NOTICESETTINGAPI,
                type: 'json'
            }, function (ret) {
                ui.hideLoading();
                if (ret.ok) {
                    var result = ret.data;
                    var wd = that.list[1];
                    wd.open = !wd.open;
                } else {
                    ui.showToast('操作异常');
                }
            });
        },
        fetchAutoText: function fetchAutoText() {
            // 智能提现开关文案
            // const AUTOTEXTAPI = SQBUTILS.getOriginalHost() + '/v4/withdraw/auto/text';
            // stream.fetch({
            //     method:'GET',
            //     url:AUTOTEXTAPI,
            //     type:'json'
            // }, function (ret) {
            //     if (ret.ok) {
            //         route.nativeLog('\n=====文案：' + JSON.stringify(ret.data));
            //         var result = ret.data;
            that.autoText = {
                "switchName": "提现模式",
                "textAfterClose": "您已开启自动提现，若前一日收款账户余额大于10元，将前日余额全部自动提现到银行卡，到账日期与手动提现一致。",
                "confirmButtonBeforeClose": "验证身份并开启",
                "cancelButtonBeforeClose": "取消",
                "textAfterOpen": "您已关闭自动提现，如需提现请至App首页收款账户中手动发起。",
                "titleBeforeClose": "提示",
                "textBeforeClose": "是否确认开启自动提现模式？",
                "textDesc": "开启后，您可随时随地提取余额内的任意金额；若关闭，将无法自由提现，同时无法享用收款理财等增值服务。" };

            if (that.list.length > 2) {
                var wd = that.list[2];
                wd.title = result.switchName;
            }
            //     }
            // });
        },
        fetchUserInfo: function fetchUserInfo() {
            _userApi2.default.fetchUserInfo(function (ret) {
                if (ret.ok) {
                    var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);
                    that.user = newUser;

                    that.fetchWithdrawShow();
                }
            });
        },
        fetchWithdrawShow: function fetchWithdrawShow() {
            // 智能提现灰度检查
            var WSSHOWAPI = _utils2.default.getOriginalHost() + '/v4/withdraw/auto/show';
            stream.fetch({
                method: 'GET',
                url: WSSHOWAPI,
                type: 'json'
            }, function (ret) {
                if (ret.ok) {
                    var show = ret.data.result;
                    var on = that.user.merchant.withdraw_mode == 2; // 1.手动 2.手动+自动
                    var wd = that.list[2];
                    wd.show = show;
                    wd.open = on;

                    if (show) {
                        that.addTrack('ShowUsualSwitch', {
                            switch_name: '活自助提现',
                            on_off: on
                        });
                    }

                    that.refreshCheckState();
                }
            });
        },
        requestChangeWithdrawState: function requestChangeWithdrawState(mode) {
            // 修改提现方式
            var API = _utils2.default.getOriginalHost() + '/v4/merchant/withdrawMode/changeMerchantWithdrawModeV2?platform=APP&remark=APP&withdraw_mode=' + mode + '&operator_id=' + that.user.admin.id + '&operator=' + that.user.admin.cellphone;
            stream.fetch({
                method: 'POST',
                url: API,
                type: 'json'
            }, function (ret) {
                // nav.nativeLog('\n====结果：' + JSON.stringify(ret));
                if (ret.ok) {
                    ui.showAlert({
                        title: '提示',
                        content: mode == 2 ? that.autoText.textAfterClose : that.autoText.textAfterOpen,
                        options: ['我知道了']
                    });

                    var wd2 = that.list[2];
                    wd2.open = mode == 2;
                    that.user.merchant.withdraw_mode = mode;
                    openapi.setUserInfoSync(that.user);

                    that.refreshCheckState();

                    that.addTrack('PopUpUsualAlert', {
                        alert_name: mode == 2 ? '自动提现弹框开启后弹框' : '自动提现弹框关闭后弹框'
                    });
                }
            });
        },
        fetchTime: function fetchTime() {
            if (value != -1) {
                that.showSettingAlert(value);
                return;
            }
            ui.showLoading();
            var API = _utils2.default.getOriginalHost() + '/v4/merchantGray/query';
            stream.fetch({
                method: 'GET',
                url: API,
                type: 'json',
                body: { type: 3 }
            }, function (ret) {
                ui.hideLoading();
                ui.hideLoading();
                if (ret.ok) {
                    value = ret.data.value;
                    that.showSettingAlert(value);
                }
            });
        },
        showSettingAlert: function showSettingAlert(value) {
            route.openURL({
                url: 'wosaifunc://alert/bill',
                params: {
                    title: '提示', content1: '您将开启 ',
                    emphasis: '自动提现',
                    content2: '开启后，将于每日' + value + ':00:00自动发起提现,次日23:59:59之前到账。',
                    options: ['取消', '验证身份并开启'] }
            }, function (ret) {
                // route.nativeLog('\n=====点击了' + JSON.stringify(ret));
                var index = ret.data.index;
                if (index == 1) {
                    that.addTrack('ConfirmUsualAlert', {
                        alert_name: '开启自动提现提现弹框'
                    });
                    route.openURL({
                        url: 'wosaishouqianba://setting/changeManagerPwd',
                        params: {
                            title: '开启自动提现',
                            status: 7 //智能提现-验证商户密码
                        }
                    }, function (result) {
                        if (result.data) {
                            that.requestChangeWithdrawState(2); // 打开自动提现                                    
                        }
                    });
                } else {
                    that.addTrack('CancelUsualAlert', {
                        alert_name: '开启自动提现弹框'
                    });
                }
            });
        },
        refreshCheckState: function refreshCheckState() {
            var wd2 = that.list[2];
            var imgName = wd2.open ? 'weex_sq_checked' : 'weex_sq_uncheck';
            that.ic_checked2 = _utils2.default.imageWithName(imgName);
            that.wdSettingText = wd2.open ? '自助提现，自动提现' : '自助提现';
            wd2.tips = wd2.open ? '系统将于每日凌晨自动将收款账户余额提现至您的银行卡，同时，您还可随时随地进行手动提现。' : '自助提现模式下，您可随时随地按需对收款账户内的资金进行提现';
        },
        toggle: function toggle(item) {
            if (item.index == 0) {
                // 节假日大额
                if (item.open) {
                    that.closeImmenseWithdraw();
                } else {
                    that.openImmenseWithdraw();
                }
            } else if (item.index == 1) {
                // 短信通知
                that.pushNoticeSetting(!item.open);
            }
        },
        itemClicked: function itemClicked(item) {
            if (item.index == 2) {
                that.showPattern = !that.showPattern;

                that.ic_indictor = _utils2.default.imageWithName(that.showPattern ? 'weex_indictor_up' : 'weex_indictor_down');
            }
        },
        autoClicked: function autoClicked() {
            var wd = that.list[2];
            if (wd.open) {
                // widthdraw_model = 2
                that.addTrack('PopUpUsualAlert', {
                    alert_name: '关闭自动提现弹框'
                });
                that.requestChangeWithdrawState(1); // 关闭自动提现
            } else {
                // // widthdraw_model = 1
                that.fetchTime();
            }
        },
        refreshImage: function refreshImage() {
            that.ic_checked1 = _utils2.default.imageWithName('weex_sq_checked_default');
            that.ic_checked2 = _utils2.default.imageWithName('weex_sq_uncheck');
            that.ic_switch = _utils2.default.imageWithName('weex_switch_on');
            that.ic_indictor = _utils2.default.imageWithName('weex_indictor_down');
        }
    },
    created: function created() {
        that = this;
        that.user = openapi.getUserInfoSync();
        this.applyNavibar();
        this.regNotification();
        this.refreshImage();

        var wd = that.list[2];
        wd.open = that.user.merchant.withdraw_mode == 1;

        that.fetchUserInfo();
        that.refreshCheckState();

        this.fetchImmenseWithdraw();
        this.fetchNoticeSetting();
        this.fetchAutoText();
    }
};

/***/ }),

/***/ 211:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('list', {
    staticClass: ["list"]
  }, [_vm._l((_vm.list), function(item, i) {
    return (item.show) ? _c('cell', {
      key: i,
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["cell-bg"],
      on: {
        "click": function($event) {
          _vm.itemClicked(item)
        }
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "32px",
        flex: "1"
      }
    }, [_vm._v(_vm._s(item.title))]), (!item.canSpread) ? _c('image', {
      staticStyle: {
        width: "80px",
        height: "48px",
        marginRight: "32px"
      },
      attrs: {
        "src": _vm.imageOfState(item.open)
      },
      on: {
        "click": function($event) {
          _vm.toggle(item)
        }
      }
    }) : _vm._e(), (item.canSpread) ? _c('text', {
      staticStyle: {
        fontSize: "30px",
        color: "#4A4A4A"
      }
    }, [_vm._v(_vm._s(_vm.wdSettingText))]) : _vm._e(), (item.canSpread) ? _c('image', {
      staticClass: ["indictor"],
      attrs: {
        "src": _vm.ic_indictor,
        "resize": "contain"
      }
    }) : _vm._e()]), (!(item.index == 2 && _vm.showPattern)) ? _c('text', {
      staticClass: ["cell-tips"]
    }, [_vm._v(_vm._s(item.tips))]) : _vm._e()]) : _vm._e()
  }), (_vm.showPattern) ? _c('cell', {
    staticStyle: {
      paddingTop: "0px"
    },
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["cell-fold-bg"]
  }, [_vm._m(0), _c('image', {
    staticClass: ["imgCheck"],
    attrs: {
      "src": _vm.ic_checked1
    }
  })]), _c('div', {
    staticClass: ["cell-fold-bg", "cell-fold-bg1"],
    on: {
      "click": _vm.autoClicked
    }
  }, [_vm._m(1), _c('image', {
    staticClass: ["imgCheck"],
    attrs: {
      "src": _vm.ic_checked2
    }
  })])]) : _vm._e()], 2)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      flex: "1"
    }
  }, [_c('text', {
    staticClass: ["fold-title"]
  }, [_vm._v("自助提现")]), _c('text', {
    staticClass: ["fold-desc"]
  }, [_vm._v("您可随时随地地按需对收款资金进行提现")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      flex: "1"
    }
  }, [_c('text', {
    staticClass: ["fold-title"]
  }, [_vm._v("自动提现")]), _c('text', {
    staticClass: ["fold-desc"]
  }, [_vm._v("系统每日定时对您的收款资金发起提现")])])
}]}
module.exports.render._withStripped = true

/***/ })

/******/ });