// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 127);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 常量

var SQBConstant = exports.SQBConstant = {
    IMGHOST: 'https://shouqianba-qr-paycode.oss-cn-hangzhou.aliyuncs.com',
    IMG_HELP_DEFAULT: "https://mp.weixin.qq.com/mp/homepage?hid=1&sn=fb4ae29d498978abf6e7c73af646c82c&__biz=MzI0MzA2MDcwMQ==",
    GIF_REFRESH: 'http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif', // 下拉刷新图片
    ONLINE_SERVICE: 'https://www.shouqianba.com/antservice', // 在线客服地址
    BANDCARD_STORAGEA_KEY: 'com.sqb.cache.bankcard.latestSubmit' // 异名/同名换卡上次提交的数据缓存key
};
exports.default = SQBConstant;

/***/ }),

/***/ 127:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _bindCellphone = __webpack_require__(128);

var _bindCellphone2 = _interopRequireDefault(_bindCellphone);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_bindCellphone2.default.el = '#root';
new Vue(_bindCellphone2.default);

/***/ }),

/***/ 128:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(129)
)

/* script */
__vue_exports__ = __webpack_require__(130)

/* template */
var __vue_template__ = __webpack_require__(131)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/bankcard/bind-cellphone.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0865e08b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 129:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "title": {
    "marginTop": 16,
    "marginLeft": "24wx",
    "flexDirection": "row"
  },
  "name-text": {
    "color": "#FA541C",
    "fontSize": "23wx"
  },
  "remaining-text": {
    "color": "#000000",
    "fontSize": "23wx"
  },
  "title-desc": {
    "marginTop": "5wx",
    "marginLeft": "24wx",
    "fontSize": "14wx",
    "color": "#9B9B9B"
  },
  "wrap-cellphone": {
    "marginTop": "38wx",
    "marginLeft": "24wx",
    "marginRight": "24wx",
    "paddingBottom": "13wx",
    "flexDirection": "row",
    "justifyContent": "flex-start",
    "borderBottomStyle": "solid",
    "borderBottomWidth": "1wx",
    "borderBottomColor": "#D0D0D0"
  },
  "text-cellphone": {
    "height": "35wx",
    "paddingTop": "10wx",
    "color": "#4A4A4A",
    "fontSize": "15wx"
  },
  "input-cellphone": {
    "height": "35wx",
    "width": "287wx",
    "marginLeft": "20wx",
    "color": "#000000",
    "fontSize": "20wx"
  },
  "wrap-code": {
    "marginTop": "25.5wx",
    "marginLeft": "24wx",
    "marginRight": "24wx",
    "paddingBottom": "13wx",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "borderBottomStyle": "solid",
    "borderBottomWidth": "1wx",
    "borderBottomColor": "#D0D0D0"
  },
  "input-code": {
    "height": "35wx",
    "width": "235wx",
    "color": "#000000",
    "fontSize": "20wx"
  },
  "text-code-retake": {
    "marginTop": "10wx",
    "color": "#D9AF5C",
    "fontSize": "13wx"
  },
  "img-close": {
    "marginTop": "10wx",
    "height": "15wx",
    "width": "15wx"
  },
  "text-err": {
    "marginTop": "8wx",
    "marginLeft": "24wx",
    "color": "#D23F31",
    "fontSize": "13wx"
  },
  "confirm-btn": {
    "marginTop": "70wx",
    "marginLeft": "16wx",
    "marginRight": "16wx",
    "height": "48wx",
    "backgroundColor": "#D9AF5C",
    "borderRadius": "4wx",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "text-confirm": {
    "fontSize": "18wx",
    "fontWeight": "bold",
    "color": "#FFFFFF"
  }
}

/***/ }),

/***/ 130:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _constant = __webpack_require__(1);

var _constant2 = _interopRequireDefault(_constant);

var _userApi = __webpack_require__(3);

var _userApi2 = _interopRequireDefault(_userApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var stream = weex.requireModule('stream'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('modal');
var nav = weex.requireModule('wsNavibar');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var wsUI = weex.requireModule('wsUI');
var openapi = weex.requireModule('wsOpenApi');
var wsWorkflow = weex.requireModule('wsWorkflow');
var cache = weex.requireModule('wsStorage');

var that;
var intervalLoop;

exports.default = {
    components: {},
    data: function data() {
        return {
            name: "",
            closeImg: _utils2.default.imageWithName('weex_close_bg_grey'),
            isErr: false,
            isDisable: false,
            codeHint: "获取验证码",
            phoneNumber: "",
            code: "",
            userData: null,
            accountData: null
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "绑定手机号",
                bgColor: "#FFFFFF",
                titleColor: "#000000",
                fontSize: 17
            });
            nav.applyNavibarRightBtn({ items: [{ title: '在线客服', bgColor: '#FFFFFF', color: '#D9AF5C' }] }, function (ret) {
                route.openURL(_constant2.default.ONLINE_SERVICE);
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });
        },
        onPhoneNoInput: function onPhoneNoInput(e) {
            that.phoneNumber = e.value;
        },
        onCodeInput: function onCodeInput(e) {
            that.code = e.value;
        },
        clearInput: function clearInput() {
            this.code = "";
        },
        fetchCode: function fetchCode() {
            if (that.phoneNumber.length != 11) {
                modal.toast({ message: "请输入正确的手机号", duration: 1 });
                return;
            }
            that.isDisable = true;
            var timer = 60;
            intervalLoop = setInterval(function () {
                that.codeHint = timer-- + "s";
                if (timer <= 0) {
                    that.codeHint = "重新获取";
                    that.isDisable = false;
                    clearInterval(intervalLoop);
                }
            }, 1000);

            var applyChangeApi = _utils2.default.getOriginalHost() + '/V2/AuthCode/send';
            var requestBody = {
                cellphone: that.phoneNumber
            };
            stream.fetch({
                method: 'POST',
                url: applyChangeApi,
                type: 'json',
                body: requestBody
            }, function (ret) {
                //route.nativeLog('\n-----获取验证码返回：' + JSON.stringify(ret));
                if (!ret.ok) {
                    modal.toast({ message: "获取验证码失败", duration: 1 });
                }
            });
        },
        confirmClick: function confirmClick() {
            //验证验证码
            wsUI.showLoading();
            var verifyCodeApi = _utils2.default.getOriginalHost() + '/V2/AuthCode/validate';
            var requestBody = {
                cellphone: that.phoneNumber,
                authCode: that.code
            };
            stream.fetch({
                method: 'POST',
                url: verifyCodeApi,
                type: 'json',
                body: requestBody
            }, function (ret) {
                //route.nativeLog('\n-----验证码校验返回：' + JSON.stringify(ret));
                if (ret.ok) {
                    //提交申请
                    that.applyChange();
                } else {
                    wsUI.hideLoading();
                    modal.toast({ message: ret.data.msg || ret.data || "验证码错误", duration: 1 });
                }
            });
        },
        applyChange: function applyChange() {
            var applyChangeApi = _utils2.default.getOriginalHost() + '/v4/changeMerchantBank/applyBankAccountChange';
            var requestBody = {
                merchant_id: that.userData.admin.merchant_id,
                platform: _utils2.default.isIOS() ? "iOS" : "ANDROID",
                apply_cellphone: that.userData.admin.cellphone,
                change_type: 11,
                type: that.accountData.type,
                number: that.accountData.number,
                opening_number: that.accountData.opening_number,
                city: that.accountData.city,
                card_validity: that.accountData.card_validity,
                bank_card_image: that.accountData.bank_card_image,
                bank_card_status: that.accountData.bank_card_status,
                holder: that.accountData.holder,
                id_type: that.accountData.id_type,
                identity: that.accountData.identity,
                holder_id_front_photo: that.accountData.holder_id_front_photo,
                holder_id_back_photo: that.accountData.holder_id_back_photo,
                id_validity: that.accountData.id_validity,
                holder_id_front_ocr_status: that.accountData.holder_id_front_ocr_status || 1,
                holder_id_back_ocr_status: that.accountData.holder_id_back_ocr_status || 1,
                new_cellphone: that.phoneNumber,
                relationship_photos: that.accountData.relationship_photos,
                real_name_auth_id: that.accountData.real_name_auth_id
            };
            if (!_utils2.default.isStringEmpty(that.accountData.apply_id)) {
                requestBody.apply_id = that.accountData.apply_id;
            }

            stream.fetch({
                method: 'POST',
                url: applyChangeApi,
                type: 'json',
                body: requestBody,
                headers: { 'Content-Type': 'application/json' }
            }, function (ret) {
                wsUI.hideLoading();
                //route.nativeLog('\n-----提交换卡返回：' + JSON.stringify(ret));
                if (ret.ok) {
                    cache.removeStorage({ key: _constant2.default.BANDCARD_STORAGEA_KEY });
                    route.openURL({ url: _utils2.default.getLocalRouter('bankcard/change/process'), params: { data: { isAdd: 0 } } });
                } else {
                    var msg = ret.data.msg || ret.data || "提交换卡失败";
                    var patt1 = /\([0-9]*\)/;
                    if (msg.search(patt1) != -1) {
                        msg = msg.replace(patt1, '');
                    }
                    modal.toast({ message: msg, duration: 1 });
                }
            });
        }
    },
    created: function created() {
        that = this;
        this.applyNavibar();
        this.regNotification();

        //获取用户信息
        that.userData = openapi.getUserInfoSync();
        _userApi2.default.fetchUserInfo(function (ret) {
            if (ret.ok) {
                that.userData = ret.data;
            } else {
                modal.toast({ message: "获取用户信息失败", duration: 1 });
            }
        });

        this.accountData = weex.config.data;
        this.name = this.accountData.holder;

        //route.nativeLog(">>>>>>>>获得参数: " + JSON.stringify(this.accountData));

        wsWorkflow.setWorkFlowID({
            workflowID: 'workflow_id_bankcard_bind_cellphone'
        });
    }
};

/***/ }),

/***/ 131:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('div', {
    staticClass: ["title"]
  }, [_c('text', {
    staticClass: ["name-text"]
  }, [_vm._v(_vm._s(_vm.name))]), _c('text', {
    staticClass: ["remaining-text"]
  }, [_vm._v("的手机号是？")])]), _c('text', {
    staticClass: ["title-desc"]
  }, [_vm._v("申请成功后，该手机号用于登录收钱吧APP")]), _c('div', {
    staticClass: ["wrap-cellphone"]
  }, [_c('text', {
    staticClass: ["text-cellphone"]
  }, [_vm._v("+86")]), _c('input', {
    staticClass: ["input-cellphone"],
    attrs: {
      "type": "number"
    },
    on: {
      "input": _vm.onPhoneNoInput
    }
  })]), _c('div', {
    staticClass: ["wrap-code"]
  }, [_c('input', {
    staticClass: ["input-code"],
    attrs: {
      "type": "number",
      "value": _vm.code
    },
    on: {
      "input": _vm.onCodeInput
    }
  }), _c('image', {
    staticClass: ["img-close"],
    attrs: {
      "src": _vm.closeImg
    },
    on: {
      "click": _vm.clearInput
    }
  }), _c('div', {
    attrs: {
      "disabled": _vm.isDisable
    },
    on: {
      "click": _vm.fetchCode
    }
  }, [_c('text', {
    staticClass: ["text-code-retake"]
  }, [_vm._v(_vm._s(_vm.codeHint))])])]), (_vm.isErr) ? _c('text', {
    staticClass: ["text-err"]
  }, [_vm._v("手机号不能与当前登录手机号相同")]) : _vm._e(), _c('div', {
    staticClass: ["confirm-btn"],
    on: {
      "click": _vm.confirmClick
    }
  }, [_c('text', {
    staticClass: ["text-confirm"]
  }, [_vm._v("确认提交")])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBUSERAPI = {
    fetchUserInfo: function fetchUserInfo(callback) {
        var stream = weex.requireModule('stream');
        var USERAPI = _utils2.default.getOriginalHost() + '/V2/Account/get';
        stream.fetch({
            method: 'GET',
            url: USERAPI,
            type: 'json'
        }, function (ret) {
            var wsOpenAPI = weex.requireModule('wsOpenApi');
            var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);

            wsOpenAPI.setUserInfoSync(newUser);
            callback(ret);
        });
    }
};

exports.default = SQBUSERAPI;

/***/ })

/******/ });