// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 132);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 常量

var SQBConstant = exports.SQBConstant = {
    IMGHOST: 'https://shouqianba-qr-paycode.oss-cn-hangzhou.aliyuncs.com',
    IMG_HELP_DEFAULT: "https://mp.weixin.qq.com/mp/homepage?hid=1&sn=fb4ae29d498978abf6e7c73af646c82c&__biz=MzI0MzA2MDcwMQ==",
    GIF_REFRESH: 'http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif', // 下拉刷新图片
    ONLINE_SERVICE: 'https://www.shouqianba.com/antservice', // 在线客服地址
    BANDCARD_STORAGEA_KEY: 'com.sqb.cache.bankcard.latestSubmit' // 异名/同名换卡上次提交的数据缓存key
};
exports.default = SQBConstant;

/***/ }),

/***/ 132:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _cardConfirm = __webpack_require__(133);

var _cardConfirm2 = _interopRequireDefault(_cardConfirm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_cardConfirm2.default.el = '#root';
new Vue(_cardConfirm2.default);

/***/ }),

/***/ 133:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(134)
)

/* script */
__vue_exports__ = __webpack_require__(135)

/* template */
var __vue_template__ = __webpack_require__(136)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/bankcard/card-confirm.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-aa1c47dc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 134:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "wrap-up": {
    "backgroundColor": "#FFFFFF",
    "bottom": "70wx"
  },
  "black-wrap": {
    "backgroundColor": "#34383F",
    "height": "466wx"
  },
  "image-card": {
    "height": "300wx",
    "width": "225wx",
    "marginTop": "23wx",
    "marginBottom": "24wx",
    "marginLeft": "75wx",
    "marginRight": "75wx",
    "textAlign": "center"
  },
  "number-wrap": {
    "marginLeft": "67wx",
    "marginRight": "67wx",
    "marginBottom": "18wx",
    "flexDirection": "row",
    "justifyContent": "space-between"
  },
  "text-num": {
    "width": "46wx",
    "paddingBottom": "6wx",
    "borderBottomStyle": "solid",
    "borderBottomWidth": "0.5wx",
    "borderBottomColor": "#979797"
  },
  "input-num": {
    "width": "46wx",
    "backgroundColor": "#34383F",
    "color": "#FFFFFF",
    "fontSize": "18wx",
    "textAlign": "center"
  },
  "text-num-first": {
    "width": "70wx",
    "paddingBottom": "6wx",
    "borderBottomStyle": "solid",
    "borderBottomWidth": "0.5wx",
    "borderBottomColor": "#979797"
  },
  "input-num-first": {
    "width": "70wx",
    "backgroundColor": "#34383F",
    "color": "#FFFFFF",
    "fontSize": "18wx",
    "textAlign": "center"
  },
  "text-num-last": {
    "width": "35wx",
    "paddingBottom": "6wx",
    "borderBottomStyle": "solid",
    "borderBottomWidth": "0.5wx",
    "borderBottomColor": "#979797"
  },
  "input-num-last": {
    "width": "35wx",
    "backgroundColor": "#34383F",
    "color": "#FFFFFF",
    "fontSize": "18wx",
    "textAlign": "center"
  },
  "text-content": {
    "marginLeft": "67wx",
    "marginRight": "67wx",
    "marginBottom": "18wx",
    "paddingBottom": "6wx",
    "borderBottomStyle": "solid",
    "borderBottomWidth": "0.5wx",
    "borderBottomColor": "#979797"
  },
  "input-content": {
    "backgroundColor": "#34383F",
    "color": "#FFFFFF",
    "fontSize": "18wx",
    "textAlign": "center"
  },
  "text-desc": {
    "marginLeft": "51wx",
    "marginRight": "51wx",
    "color": "#9B9B9B",
    "fontSize": "13wx",
    "textAlign": "center"
  },
  "confirm-btn": {
    "position": "fixed",
    "bottom": "31wx",
    "left": "16wx",
    "right": "16wx",
    "height": "48wx",
    "backgroundColor": "#D9AF5C",
    "borderRadius": "4wx",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "text-confirm": {
    "fontSize": "18wx",
    "fontWeight": "bold",
    "color": "#FFFFFF"
  }
}

/***/ }),

/***/ 135:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _constant = __webpack_require__(1);

var _constant2 = _interopRequireDefault(_constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var stream = weex.requireModule('stream');
var modal = weex.requireModule('modal');
var nav = weex.requireModule('wsNavibar');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var wsUI = weex.requireModule('wsUI');

var that;

exports.default = {
    components: {},
    data: function data() {
        return {
            cardUrl: '',
            cardType: 0, //0: 银行卡，1:身份证
            direction: 0, //0: 身份证正面  1:身份证反面
            mode: 0, //0：拍照，相册（默认），1：拍照，2：相册
            cardNo: "",
            cardValidDate: ["", ""],
            showDate: false,
            longNo: false,
            needUp: false,
            cardNo1: "",
            cardNo2: "",
            cardNo3: "",
            cardNo4: "",
            cardNo5: "",
            validDateStr: "",
            name: "",
            returnData: {}
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: that.cardType == 0 ? "确认卡号" : "确认身份证信息",
                bgColor: "#34383F",
                titleColor: "#ffffff",
                fontSize: 17
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });
        },
        bankAccountOcr: function bankAccountOcr() {
            var bankAccountOcrApi = _utils2.default.getOriginalHost() + '/v3/bankaccount/ocr';
            var requestBody = {
                url: this.cardUrl
            };
            stream.fetch({
                method: 'POST',
                url: bankAccountOcrApi,
                type: 'json',
                body: requestBody
            }, function (ret) {
                wsUI.hideLoading();
                //route.nativeLog('\n-----银行卡ocr返回：' + JSON.stringify(ret));
                if (ret.ok) {
                    //设置卡号信息
                    that.cardNo = ret.data.cardNo;
                    that.cardNo1 = that.cardNo.substr(0, 4);
                    that.cardNo2 = that.cardNo.substr(4, 4);
                    that.cardNo3 = that.cardNo.substr(8, 4);
                    that.cardNo4 = that.cardNo.substr(12, 4);
                    if (that.cardNo.length > 16) {
                        that.longNo = true;
                        that.cardNo5 = that.cardNo.substr(16);
                    }

                    //设置有效期信息
                    that.cardValidDate = ret.data.valid_date.split("/");
                    if (_utils2.default.isStringEmpty(that.cardValidDate[1]) || _utils2.default.isStringEmpty(that.cardValidDate[0])) {
                        that.showDate = false;
                        that.validDateStr = "";
                    } else {
                        that.showDate = true;
                        that.validDateStr = that.cardValidDate[1] + "年" + that.cardValidDate[0] + "月";
                    }
                } else {
                    that.handleOcrErr();
                }
            });
        },
        idCardOcr: function idCardOcr() {
            var idCardOcrApi = _utils2.default.getOriginalHost() + '/v4/enrolment/ocr/getOcrResult';
            var requestBody = {
                url: that.cardUrl,
                type: that.direction + 1,
                ocr_flag: 1
            };
            stream.fetch({
                method: 'POST',
                url: idCardOcrApi,
                type: 'json',
                body: requestBody,
                headers: { 'Content-Type': 'application/json' }
            }, function (ret) {
                wsUI.hideLoading();
                that.returnData = ret.data;
                //route.nativeLog('\n-----身份证ocr返回：' + JSON.stringify(ret));
                if (ret.ok) {
                    if (that.direction == 0) {
                        that.cardNo = ret.data.identity;
                        that.cardNo1 = that.cardNo.substr(0, 6);
                        that.cardNo2 = that.cardNo.substr(6, 4);
                        that.cardNo3 = that.cardNo.substr(10, 4);
                        that.cardNo4 = that.cardNo.substr(14);
                        that.name = ret.data.name;
                    } else {
                        that.showDate = true;
                        var pattern = /([0-9]{4})([0-9]{2})([0-9]{2})/g;
                        var startDate = pattern.exec(ret.data.id_card_start_date);
                        pattern = /([0-9]{4})([0-9]{2})([0-9]{2})/g;
                        var endDate = pattern.exec(ret.data.id_card_end_date);
                        that.validDateStr = startDate[1] + "." + startDate[2] + "." + startDate[3] + "-" + (endDate ? endDate[1] + "." + endDate[2] + "." + endDate[3] : "长期");
                    }
                } else {
                    that.handleOcrErr();
                }
            });
        },
        handleOcrErr: function handleOcrErr() {
            wsUI.showAlert({ title: '识别失败', content: '请确认您上传的照片是否真实有效', options: ['重新拍摄'] }, function (rsp) {
                //重新拍摄
                route.openURL({ url: "wosaifunc://app/chooseImage", params: { mode: that.mode, type: that.cardType, direction: that.direction, needUpload: true } }, function (ret) {
                    if (ret == null || Object.keys(ret).length == 0) {
                        route.pop();
                    }
                    that.cardUrl = ret.data.paths[0];
                    wsUI.showLoading();
                    if (that.cardType === 0) {
                        that.bankAccountOcr();
                    } else if (that.cardType === 1) {
                        that.idCardOcr();
                    }
                });
            });
        },
        onNo1Input: function onNo1Input(e) {
            that.cardNo1 = e.value;
        },
        onNo2Input: function onNo2Input(e) {
            that.cardNo2 = e.value;
        },
        onNo3Input: function onNo3Input(e) {
            that.cardNo3 = e.value;
        },
        onNo4Input: function onNo4Input(e) {
            that.cardNo4 = e.value;
        },
        onNo5Input: function onNo5Input(e) {
            that.cardNo5 = e.value;
        },

        onDateInput: function onDateInput(e) {
            that.validDateStr = e.value;
        },
        onNameInput: function onNameInput(e) {
            that.name = e.value;
        },
        onKeyboard: function onKeyboard(e) {
            that.needUp = e.isShow;
        },
        confirmClick: function confirmClick() {
            if (that.cardType == 0) {
                //银行卡
                var newCardNo = that.cardNo1 + that.cardNo2 + that.cardNo3 + that.cardNo4 + that.cardNo5;
                var diff = _utils2.default.getStrDiff(that.cardNo, newCardNo);
                if (diff > 3) {
                    //银行卡修改位数>3位
                    modal.toast({ message: "银行卡照片与卡号不符，请重新上传银行卡照片", duration: 1 });
                    return;
                }

                var isDateValid = true;
                var tmpArray = that.validDateStr.split("年");
                if (_utils2.default.isStringEmpty(tmpArray)) {
                    isDateValid = false;
                } else {
                    that.cardValidDate[0] = _utils2.default.trimAll(tmpArray[0]);
                    if (_utils2.default.isStringEmpty(that.cardValidDate[0]) || !_utils2.default.isIntNum(that.cardValidDate[0]) || that.cardValidDate[0].length < 4) {
                        isDateValid = false;
                    }
                }
                if (_utils2.default.isStringEmpty(tmpArray[1]) || _utils2.default.isStringEmpty(tmpArray[1].split("月")[0])) {
                    isDateValid = false;
                } else {
                    that.cardValidDate[1] = _utils2.default.trimAll(tmpArray[1].split("月")[0]);
                    if (_utils2.default.isStringEmpty(that.cardValidDate[1]) || !_utils2.default.isIntNum(that.cardValidDate[1]) || parseInt(that.cardValidDate[1]) > 12 || parseInt(that.cardValidDate[1]) < 0) {
                        isDateValid = false;
                    }
                }

                var dict;
                if (isDateValid) {
                    dict = { card_no: newCardNo, card_valid_date: that.cardValidDate, card_url: that.cardUrl };
                } else {
                    dict = { card_no: newCardNo, card_url: that.cardUrl };
                }
                notification.postNotification({ name: 'com.SQB.notification.bankaccount.edit', obj: dict });
            } else if (that.direction == 0) {
                //身份证正面
                if (_utils2.default.isStringEmpty(that.name)) {
                    wsUI.showAlert({ title: '提示', content: '姓名不能为空，请填写姓名', options: ['确定'] });
                    return;
                }
                var newCardNo = that.cardNo1 + that.cardNo2 + that.cardNo3 + that.cardNo4 + that.cardNo5;
                var diff = _utils2.default.getStrDiff(that.cardNo, newCardNo);
                if (diff > 4) {
                    //身份证正面修改位数>4位
                    modal.toast({ message: "身份证号与身份证照片不一致，请重新上传。", duration: 1 });
                    return;
                }
                that.returnData.name = that.name;
                that.returnData.identity = newCardNo;
                notification.postNotification({ name: 'com.SQB.notification.idcard.edit', obj: that.returnData });
            } else {
                //身份证反面
                that.cardValidDate = that.validDateStr.split("-");
                var pattern = /\./g;
                if (that.cardValidDate[0].search(pattern) != -1) {
                    that.cardValidDate[0] = that.cardValidDate[0].replace(pattern, '');
                }
                if (that.cardValidDate[1].search(pattern) != -1) {
                    that.cardValidDate[1] = that.cardValidDate[1].replace(pattern, '');
                }
                that.returnData.id_card_start_date = that.cardValidDate[0];
                that.returnData.id_card_end_date = that.cardValidDate[1] == "长期" ? "99991231" : that.cardValidDate[1];
                notification.postNotification({ name: 'com.SQB.notification.idcard.edit', obj: that.returnData });
            }
            route.pop();
        }
    },
    created: function created() {
        that = this;
        this.cardUrl = weex.config.card_url;
        this.cardType = weex.config.type ? weex.config.type : 0;
        this.direction = weex.config.direction ? weex.config.direction : 0;
        this.mode = weex.config.mode ? weex.config.mode : 0;

        this.applyNavibar();
        this.regNotification();

        wsUI.showLoading();
        if (this.cardType === 0) {
            this.bankAccountOcr();
        } else if (this.cardType === 1) {
            this.idCardOcr();
        }
    }
};

/***/ }),

/***/ 136:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    class: [_vm.needUp ? 'wrap-up' : 'wrap'],
    attrs: {
      "showScrollbar": "false"
    }
  }, [_c('div', {
    staticClass: ["black-wrap"]
  }, [_c('image', {
    staticClass: ["image-card"],
    attrs: {
      "src": _vm.cardUrl,
      "resize": "contain"
    }
  }), (_vm.cardType == 1 && _vm.direction == 0) ? _c('div', {
    staticClass: ["text-content"]
  }, [_c('input', {
    staticClass: ["input-content"],
    attrs: {
      "value": _vm.name
    },
    on: {
      "input": _vm.onNameInput,
      "keyboard": _vm.onKeyboard
    }
  })]) : _vm._e(), (_vm.cardType == 0) ? _c('div', {
    staticClass: ["number-wrap"]
  }, [_c('div', {
    staticClass: ["text-num"]
  }, [_c('input', {
    staticClass: ["input-num"],
    attrs: {
      "maxlength": "4",
      "value": _vm.cardNo1
    },
    on: {
      "input": _vm.onNo1Input,
      "keyboard": _vm.onKeyboard
    }
  })]), _c('div', {
    staticClass: ["text-num"]
  }, [_c('input', {
    staticClass: ["input-num"],
    attrs: {
      "maxlength": "4",
      "value": _vm.cardNo2
    },
    on: {
      "input": _vm.onNo2Input,
      "keyboard": _vm.onKeyboard
    }
  })]), _c('div', {
    staticClass: ["text-num"]
  }, [_c('input', {
    staticClass: ["input-num"],
    attrs: {
      "maxlength": "4",
      "value": _vm.cardNo3
    },
    on: {
      "input": _vm.onNo3Input,
      "keyboard": _vm.onKeyboard
    }
  })]), _c('div', {
    staticClass: ["text-num"]
  }, [_c('input', {
    staticClass: ["input-num"],
    attrs: {
      "maxlength": "4",
      "value": _vm.cardNo4
    },
    on: {
      "input": _vm.onNo4Input,
      "keyboard": _vm.onKeyboard
    }
  })]), (_vm.longNo) ? _c('div', {
    staticClass: ["text-num-last"]
  }, [_c('input', {
    staticClass: ["input-num-last"],
    attrs: {
      "maxlength": "3",
      "value": _vm.cardNo5
    },
    on: {
      "input": _vm.onNo5Input,
      "keyboard": _vm.onKeyboard
    }
  })]) : _vm._e()]) : _vm._e(), (_vm.cardType == 1 && _vm.direction == 0) ? _c('div', {
    staticClass: ["number-wrap"]
  }, [_c('div', {
    staticClass: ["text-num-first"]
  }, [_c('input', {
    staticClass: ["input-num-first"],
    attrs: {
      "maxlength": "6",
      "value": _vm.cardNo1
    },
    on: {
      "input": _vm.onNo1Input,
      "keyboard": _vm.onKeyboard
    }
  })]), _c('div', {
    staticClass: ["text-num"]
  }, [_c('input', {
    staticClass: ["input-num"],
    attrs: {
      "maxlength": "4",
      "value": _vm.cardNo2
    },
    on: {
      "input": _vm.onNo2Input,
      "keyboard": _vm.onKeyboard
    }
  })]), _c('div', {
    staticClass: ["text-num"]
  }, [_c('input', {
    staticClass: ["input-num"],
    attrs: {
      "maxlength": "4",
      "value": _vm.cardNo3
    },
    on: {
      "input": _vm.onNo3Input,
      "keyboard": _vm.onKeyboard
    }
  })]), _c('div', {
    staticClass: ["text-num"]
  }, [_c('input', {
    staticClass: ["input-num"],
    attrs: {
      "maxlength": "4",
      "value": _vm.cardNo4
    },
    on: {
      "input": _vm.onNo4Input,
      "keyboard": _vm.onKeyboard
    }
  })])]) : _vm._e(), (_vm.showDate) ? _c('div', {
    staticClass: ["text-content"]
  }, [_c('input', {
    staticClass: ["input-content"],
    attrs: {
      "value": _vm.validDateStr
    },
    on: {
      "input": _vm.onDateInput,
      "keyboard": _vm.onKeyboard
    }
  })]) : _vm._e(), (_vm.cardType == 0) ? _c('text', {
    staticClass: ["text-desc"]
  }, [_vm._v("请核对卡号及有效信息，如有错误，点击修改")]) : _vm._e(), (_vm.cardType == 1) ? _c('text', {
    staticClass: ["text-desc"]
  }, [_vm._v("请核对身份证信息，如有错误，点击修改")]) : _vm._e()]), _c('div', {
    staticClass: ["confirm-btn"],
    on: {
      "click": _vm.confirmClick
    }
  }, [_c('text', {
    staticClass: ["text-confirm"]
  }, [_vm._v("确认")])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });