// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 142);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = /^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  },
  getStrDiff: function getStrDiff(s1, s2) {
    if (s1 == null && s2 == null) {
      return 0;
    } else {
      if (s1 == null || s1 == undefined || s1 == '') {
        return s2.length;
      } else if (s2 == null || s2 == undefined || s2 == '') {
        return s1.length;
      }
    }
    var shortLength = Math.min(s1.length, s2.length);
    var longLength = Math.max(s1.length, s2.length);
    var diff = longLength - shortLength;
    for (var i = 0; i < shortLength; i++) {
      if (s1.charAt(i) != s2.charAt(i)) {
        diff += 1;
      }
    }
    return diff;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 常量

var SQBConstant = exports.SQBConstant = {
    IMGHOST: 'https://shouqianba-qr-paycode.oss-cn-hangzhou.aliyuncs.com',
    IMG_HELP_DEFAULT: "https://mp.weixin.qq.com/mp/homepage?hid=1&sn=fb4ae29d498978abf6e7c73af646c82c&__biz=MzI0MzA2MDcwMQ==",
    GIF_REFRESH: 'http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif', // 下拉刷新图片
    ONLINE_SERVICE: 'https://www.shouqianba.com/antservice', // 在线客服地址
    BANDCARD_STORAGEA_KEY: 'com.sqb.cache.bankcard.latestSubmit' // 异名/同名换卡上次提交的数据缓存key
};
exports.default = SQBConstant;

/***/ }),

/***/ 142:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _changeEnterprise = __webpack_require__(143);

var _changeEnterprise2 = _interopRequireDefault(_changeEnterprise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_changeEnterprise2.default.el = '#root';
new Vue(_changeEnterprise2.default);

/***/ }),

/***/ 143:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(144)
)

/* script */
__vue_exports__ = __webpack_require__(145)

/* template */
var __vue_template__ = __webpack_require__(146)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/bankcard/change-enterprise.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-dde7f4c2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 144:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "title-top": {
    "fontSize": "46",
    "marginTop": "57",
    "marginLeft": "48",
    "fontWeight": "bold"
  },
  "title-cell": {
    "fontSize": "32"
  },
  "cell-header": {
    "marginTop": "24",
    "height": "100",
    "borderBottomWidth": "1",
    "borderColor": "#D7D7D7",
    "marginLeft": "48",
    "marginRight": "48",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "cell-layer": {
    "backgroundColor": "#FBFBFB",
    "marginLeft": "48",
    "marginRight": "48",
    "paddingLeft": "32"
  },
  "cell-tips": {
    "fontSize": "26",
    "color": "#4A4A4A",
    "marginBottom": "10",
    "marginTop": "30"
  },
  "desc": {
    "fontSize": "30"
  },
  "desc2": {
    "marginTop": "20"
  },
  "link": {
    "fontSize": "30",
    "color": "#D9AF5C",
    "marginLeft": "12"
  },
  "link-layer": {
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "20",
    "marginBottom": "20"
  },
  "btnSubmit": {
    "marginLeft": "32",
    "marginRight": "32",
    "backgroundColor": "#D9AF5C",
    "height": "96",
    "borderRadius": "8",
    "marginBottom": "32",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "btn-title": {
    "color": "#FFFFFF",
    "fontSize": "36",
    "fontWeight": "500"
  },
  "span-div": {
    "backgroundColor": "rgba(0,0,0,0)"
  }
}

/***/ }),

/***/ 145:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _constant = __webpack_require__(1);

var _constant2 = _interopRequireDefault(_constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var nav = weex.requireModule('wsNavibar');
var stream = weex.requireModule('stream');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');

var that;

exports.default = {
    components: {},
    data: function data() {
        return {
            checkedSection: -1,
            isIOS: true,
            loginUser: {},
            list: []
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "申请账户信息变更",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
            nav.applyNavibarRightBtn({ items: [{ title: '在线客服', bgColor: '#ffffff', color: '#D9AF5C' }] }, function (ret) {
                route.openURL(_constant2.default.ONLINE_SERVICE);
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                that.applyNavibar();
            });
        },
        initialData: function initialData() {
            if (!weex.config.data) {
                return;
            }
            // route.nativeLog('\n环境参数:' + JSON.stringify(weex.config));
            var params = _typeof(weex.config.data) == 'object' ? weex.config.data : JSON.parse(weex.config.data);;
            /**  types:1 对公企业账户   2 法人个人储蓄账户   3 其他个人账户
             license_type 0=无营业执照、1=个体工商户营业执照、2=企业营业执照、3=事业单位法人证书、4=民办非企业单位登记证书、5=社会团体法人登记证书、6=基金会法人登记证书、7=律师事务所执业许可证、8=宗教活动场所法人登记证书、9=农民专业合作社
            {"types":[1,2,3],"license_name":"营业执照名称","legal_person_name":"法人姓名", "license_type":"2"} */
            var types = _typeof(params.types) == 'object' ? params.types : JSON.parse(params.types);
            // route.nativeLog('\n类型:' + types);
            if (types.indexOf(1) != -1) {
                that.list.push({ index: 0, title: '对公企业账户', desc: [{ text: '1.提供使用名称为', color: '#000000' }, { text: params.license_name, color: '#FA541C' }, { text: '的营业证照在银行开设的对公账户', color: '#000000', tag: 1 }],
                    desc2: '2.需提供账户证明，账户证明可以是开户许可证或印鉴卡或银行回单。' });
            }
            if (types.indexOf(2) != -1) {
                that.list.push({ index: 1, title: '法人个人储蓄账户', desc: [{ text: '请提供', color: '#000000' }, { text: params.legal_person_name, color: '#FA541C' }, { text: '本人的银行卡', color: '#000000' }], tag: 2 });
            }
            if (types.indexOf(3) != -1) {
                that.list.push({ index: 2, title: '其他个人储蓄账户',
                    desc: '提供新的结算人证件、银行卡、授权委托书',
                    linkText: '授权委托书模板下载', icon: 'weex_tips', tag: 3 });
            }
        },
        imageForItem: function imageForItem(item) {
            var imgName = 'weex_unselected';
            if (that.checkedSection != -1) {
                var selectedItem = that.list[that.checkedSection];
                imgName = item.index == selectedItem.index ? 'weex_selected' : 'weex_unselected';
            }
            return _utils2.default.imageWithName(imgName);
        },
        imageNameWithSrc: function imageNameWithSrc(src) {
            return _utils2.default.imageWithName(src);
        },
        sectionSelected: function sectionSelected(i) {
            that.checkedSection = i;
        },
        linkClick: function linkClick(item) {
            route.openURL({
                url: _utils2.default.getLocalRouter('bankcard/attorney/demo'),
                params: { upload: false, inHand: false, demoUrl: 'weex_attorney_demo_personal' }
            });
        },
        submitClick: function submitClick() {
            // /app/page/bankcard/add 添加银行卡
            // 其他个人 /bankcard/ID/input
            if (!weex.config.data || that.checkedSection == -1) {
                return;
            }
            var params = _typeof(weex.config.data) == 'object' ? weex.config.data : JSON.parse(weex.config.data);
            // 1 对公企业账户   2 法人个人储蓄账户   3 其他个人账户
            var item = that.list[that.checkedSection];
            // route.nativeLog('\n当前选中：' + JSON.stringify(item));
            params['selectType'] = item.index + 1;

            if (item.index == 0) {
                route.openURL({ url: _utils2.default.getWosaiRouter('app/page/bankcard/add'), params: params });
            } else if (item.index == 1) {
                route.openURL({ url: _utils2.default.getWosaiRouter('app/page/bankcard/add'), params: params });
            } else if (item.index == 2) {
                route.openURL({ url: _utils2.default.getLocalRouter('bankcard/ID/input'), params: { data: params } });
            }
        }
    },
    created: function created() {
        that = this;
        that.isIOS = _utils2.default.isIOS();
        this.applyNavibar();
        this.regNotification();
        this.initialData();

        var openapi = weex.requireModule('wsOpenApi');
        var user = openapi.getUserInfoSync();
        // var isCompany = user.merchant.bank_account.type.integerValue == 2;
    }
};

/***/ }),

/***/ 146:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('scroller', [_vm._m(0), _vm._l((_vm.list), function(item, i) {
    return _c('div', {
      key: i
    }, [_c('div', {
      staticStyle: {
        backgroundColor: "white"
      },
      on: {
        "click": function($event) {
          _vm.sectionSelected(i)
        }
      }
    }, [_c('div', {
      staticClass: ["cell-header"]
    }, [_c('text', {
      staticClass: ["title-cell"]
    }, [_vm._v(_vm._s(item.title))]), _c('text', {
      staticStyle: {
        flex: "1"
      }
    }), _c('image', {
      staticStyle: {
        width: "40px",
        height: "40px"
      },
      attrs: {
        "src": _vm.imageForItem(item)
      }
    })]), (i == _vm.checkedSection) ? _c('div', {
      staticClass: ["cell-layer"]
    }, [_c('text', {
      staticClass: ["cell-tips"]
    }, [_vm._v("变更要求：")]), (item.index == 2) ? _c('text', {
      staticClass: ["desc"]
    }, [_vm._v(_vm._s(item.desc))]) : _vm._e(), (item.index != 2) ? _c('richtext', {
      staticClass: ["desc"]
    }, _vm._l((item.desc), function(text) {
      return _c('span', {
        staticClass: ["span-div"],
        style: {
          'color': text.color
        }
      }, [_vm._v(_vm._s(text.text))])
    })) : _vm._e(), (item.desc2) ? _c('text', {
      staticClass: ["desc", "desc2"]
    }, [_vm._v(_vm._s(item.desc2))]) : _vm._e(), _c('div', {
      staticClass: ["link-layer"],
      on: {
        "click": function($event) {
          _vm.linkClick(item)
        }
      }
    }, [(item.icon) ? _c('image', {
      staticStyle: {
        width: "26px",
        height: "26px"
      },
      attrs: {
        "src": _vm.imageNameWithSrc(item.icon)
      }
    }) : _vm._e(), (item.linkText) ? _c('text', {
      staticClass: ["link"]
    }, [_vm._v(_vm._s(item.linkText))]) : _vm._e()])], 1) : _vm._e()])])
  })], 2), _c('div', {
    staticClass: ["btnSubmit"],
    on: {
      "click": _vm.submitClick
    }
  }, [_c('text', {
    staticClass: ["btn-title"]
  }, [_vm._v("准备好了")])])])
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('text', {
    staticClass: ["title-top"]
  }, [_vm._v("选择新的结算账户类型")])])
}]}
module.exports.render._withStripped = true

/***/ })

/******/ });