// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 115);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = / ^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 115:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _csbQrcode = __webpack_require__(116);

var _csbQrcode2 = _interopRequireDefault(_csbQrcode);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_csbQrcode2.default.el = '#root';
new Vue(_csbQrcode2.default);

/***/ }),

/***/ 116:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(117)
)

/* script */
__vue_exports__ = __webpack_require__(118)

/* template */
var __vue_template__ = __webpack_require__(119)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/matrixme/Documents/weex/shouqianba.weex/src/pages/csb/csb-qrcode.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-6670a6ec"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 117:
/***/ (function(module, exports) {

module.exports = {
  "qrcode-wrap": {
    "paddingTop": "60",
    "flexDirection": "column",
    "alignItems": "center",
    "textAlign": "center",
    "backgroundColor": "#F6F6F6"
  },
  "panel-wrap": {
    "width": "640",
    "textAlign": "center",
    "backgroundColor": "#FFFFFF"
  },
  "panel-title": {
    "marginTop": "50",
    "fontSize": "30",
    "color": "#666666",
    "textAlign": "center"
  },
  "panel-amount-unit": {
    "fontSize": "60",
    "paddingBottom": "8",
    "color": "#262626"
  },
  "panel-amount": {
    "marginLeft": "6",
    "fontSize": "90",
    "fontWeight": "bold",
    "color": "#262626"
  },
  "panel-inline": {
    "marginTop": "30",
    "flexDirection": "row",
    "alignItems": "flex-end",
    "justifyContent": "center"
  },
  "panel-image-div": {
    "marginTop": "50",
    "marginBottom": "100",
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "panel-image": {
    "height": "400",
    "width": "400"
  },
  "paymethod-wrap": {
    "marginTop": "70",
    "flexDirection": "row",
    "textAlign": "center"
  },
  "icon-paymethod": {
    "height": "80",
    "width": "80",
    "marginRight": "80"
  },
  "icon-paymethod-last": {
    "height": "80",
    "width": "80"
  },
  "desc-wrap": {
    "marginTop": "40",
    "marginBottom": "75",
    "flexDirection": "column",
    "textAlign": "center"
  },
  "desc": {
    "fontSize": "26",
    "color": "#9B9B9B",
    "textAlign": "center"
  },
  "btn-confirm": {
    "backgroundColor": "#D9AF5C",
    "borderRadius": "8",
    "marginLeft": "56",
    "marginRight": "56",
    "marginTop": "60",
    "height": "96",
    "width": "640",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "btn-research": {
    "borderWidth": "2",
    "height": "96",
    "width": "640",
    "borderColor": "#D9AF5C",
    "borderRadius": "8",
    "marginLeft": "56",
    "marginRight": "56",
    "marginTop": "40",
    "justifyContent": "center",
    "alignItems": "center"
  }
}

/***/ }),

/***/ 118:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _csbApi = __webpack_require__(76);

var _csbApi2 = _interopRequireDefault(_csbApi);

var _userApi = __webpack_require__(5);

var _userApi2 = _interopRequireDefault(_userApi);

var _qrcodefail = __webpack_require__(47);

var _qrcodefail2 = _interopRequireDefault(_qrcodefail);

var _transactionfail = __webpack_require__(27);

var _transactionfail2 = _interopRequireDefault(_transactionfail);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var nav = weex.requireModule('wsNavibar'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var stream = weex.requireModule('stream');
var notification = weex.requireModule('wsNotification');
var route = weex.requireModule('wsRoute');
var openapi = weex.requireModule('wsOpenApi');
var wsUI = weex.requireModule('wsUI');
var wsWorkflow = weex.requireModule('wsWorkflow');
var device = weex.requireModule('wsDevice');
var flowID = 'workflow_id_csb_qrcode';
var that;
var link;
var terminalParams;
var intervalLoop;
var startTime;
var fourMin = 4 * 60 * 1000;
var fiveMin = 5 * 60 * 1000;
var currentScreenBrightness;
var sysInfo = device.getSystemInfoSync();
var ostype = sysInfo["platform"] === "iOS" ? 1 : 0;

exports.default = {
    components: {
        "panel-qrfail": _qrcodefail2.default,
        "panel-tsfail": _transactionfail2.default
    },
    data: function data() {
        return {
            errCode: 0, // 0.二维码加载成功 1.二维码加载失败 2.查询订单错误
            searchBtn: false,
            amount: '0',
            logo: '',
            qrImage: '',
            fail_title: '',
            fail_img: '',
            fail_desc: '',
            isNetError: false,
            isUpset: false,
            iconAlipay: _utils2.default.imageWithName('weex_alipay'),
            iconWechatpay: _utils2.default.imageWithName('weex_wechatpay'),
            iconUnionpay: _utils2.default.imageWithName('weex_unionpay')
        };
    },
    methods: {
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "二维码收款",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });

            nav.applyNavibarRightBtn({ items: [{ title: '使用帮助', bgColor: '#ffffff', color: '#D9AF5C' }] }, function (ret) {
                that.showHelp();
            });
        },
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {
                nav.nativeLog('\n========viewwillappear');
                that.applyNavibar();
                if (that.errCode == 2) {
                    that.searchBtn = false;
                    return;
                }
                that.getLogo();

                currentScreenBrightness = device.getScreenBrightnessSync();
                device.setScreenBrightness(1.0);
                device.startAccelerometer(function (sensor) {
                    if (!that.isUpset //当前没有翻转
                    && (ostype == 1 && sensor.data.y >= 3.0 && sensor.data.z < 0 || //IOS
                    ostype == 0 && sensor.data.y <= -3.0 && sensor.data.z > 0)) {
                        //ANDROID
                        that.isUpset = true;
                        that.doAnimation();
                    } else if (that.isUpset //当前已翻转
                    && (ostype == 1 && sensor.data.y < -2.0 && sensor.data.z < 0 || //IOS
                    ostype == 0 && sensor.data.y > 2.0 && sensor.data.z > 0)) {
                        //ANDROID
                        that.isUpset = false;
                        that.doAnimation();
                    }
                });
            });
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwilldisappear' }, function (ret) {
                if (intervalLoop) {
                    clearInterval(intervalLoop);
                }
                device.setScreenBrightness(currentScreenBrightness);
                device.stopAccelerometer();
            });
        },
        fetchOrder: function fetchOrder(callback) {
            _csbApi2.default.fetchOrder({
                current_secret: terminalParams.current_secret,
                sn: terminalParams.sn,
                client_sn: terminalParams.client_sn
            }, function (ret) {
                if (callback) {
                    callback();
                }
                // route.nativeLog('\n***********最终结果：' + JSON.stringify(ret));
                var data = ret.data;
                that.isNetError = ret.status == 500;
                if (that.isNetError) {
                    //网络异常
                    that.errCode = 2;
                    that.searchBtn = false;
                    that.fail_title = '网络超时';
                    that.fail_img = _utils2.default.imageWithName('weex_no_internet');
                    that.fail_desc = 'App网络超时，未能查询到付款结果，请检查网络设置，手机网络正常后，App将自动获取最新的付款结果。';
                } else if (ret.status != 'FAIL' && ret.status != -1 && !data) {
                    //订单存在
                    if (intervalLoop) {
                        clearInterval(intervalLoop);
                    }
                    that.errCode = 0;

                    var dict = { total_amount: weex.config.total_amount, store_sn: weex.config.store_sn, remark: weex.config.remark };
                    dict.bundle_url = 'csb-qrcode';
                    wsWorkflow.setFlowCacheData({
                        cacheKey: flowID,
                        cacheValue: dict
                    });
                    route.openURL({ url: "wsweex://local/csb/process", params: { terminal: terminalParams, return_data: ret } });
                } else {
                    that.handleState();
                }
            });
        },
        getQrcode: function getQrcode() {
            route.openURL({ url: "wosaifunc://qrcode/get", params: {
                    text: link,
                    logo: that.logo,
                    size: 200
                } }, function (result) {
                if (result.data) {
                    that.errCode = 0;
                    // that.qrImage = SQBUTILS.getImageByBase64(result.data);
                    that.qrImage = result.data.url;
                    startTime = new Date();
                    if (intervalLoop) {
                        clearInterval(intervalLoop);
                    }
                    intervalLoop = setInterval(function () {
                        that.fetchOrder();
                    }, 1000);
                } else {
                    that.errCode = 1;
                }
            });
        },
        createQRLink: function createQRLink() {
            route.openURL({ url: 'wosaifunc://api/terminal/active', params: { store_sn: weex.config.store_sn } }, function (retTer) {
                if (retTer.data) {
                    retTer.data.total_amount = weex.config.total_amount;
                    terminalParams = retTer.data;
                    retTer.data.remark = weex.config.remark;
                    route.openURL({ url: 'wosaifunc://pay/link/get', params: retTer.data }, function (retLink) {
                        if (retLink.data) {
                            link = retLink.data;
                            // nav.nativeLog('\n======weex中获取的二维码链接：' + link);
                            that.getQrcode();
                        } else {
                            that.errCode = 1;
                        }
                    });
                } else {
                    that.errCode = 1;
                }
            });
        },
        getLogo: function getLogo() {
            var userInfo = openapi.getUserInfoSync();
            if (userInfo.merchant.logo && userInfo.merchant.logo.length > 0) {
                that.logo = userInfo.merchant.logo;
            } else {
                that.logo = "weex_qr_logo_default";
            }
            that.createQRLink();
        },
        doAnimation: function doAnimation() {
            if (that.errCode != 0) {
                return;
            }
            // nav.nativeLog('\n开始动画');
            nav.hide(that.isUpset);
            var ref1 = this.$refs.qrcode;
            var animation = weex.requireModule('animation');
            animation.transition(ref1, {
                styles: {
                    transform: that.isUpset ? 'rotate(180deg)' : 'rotate(0deg)',
                    transformOrigin: 'center center'
                },
                duration: 800, //ms
                timingFunction: 'ease',
                needLayout: false,
                delay: 0 //ms
            }, function () {});

            var ref2 = this.$refs.paymethod;
            animation.transition(ref2, {
                styles: {
                    transform: that.isUpset ? 'rotate(180deg)' : 'rotate(0deg)',
                    transformOrigin: 'center center'
                },
                duration: 0, //ms
                timingFunction: 'ease',
                needLayout: false,
                delay: 0 //ms
            }, function () {});
        },
        showHelp: function showHelp() {
            route.openURL({ url: "wosaifunc://advertisement/show", params: {
                    image_url: "weex_receipt_help"
                } });
        },
        handleState: function handleState() {
            var timeSpace = new Date() - startTime;
            if (timeSpace < fourMin) {
                //没到四分钟，显示二维码界面
                that.errCode = 0;
            } else if (timeSpace < fiveMin) {
                //四分钟超时页面
                that.errCode = 2;
                that.searchBtn = true;
                that.fail_title = '交易超时';
                that.fail_img = _utils2.default.imageWithName('weex_nodata');
                that.fail_desc = '未查询到支付结果，请与顾客确认是否付款成功，如顾客已付款请1分钟后再查。';
            } else {
                //五分钟超时页面
                that.errCode = 2;
                that.searchBtn = false;
                that.fail_title = '交易超时';
                that.fail_img = _utils2.default.imageWithName('weex_nodata');
                that.fail_desc = '暂无法查询到支付结果，如顾客已付款，请明日在App账本中查看是否收到该款项。';
                if (intervalLoop) {
                    clearInterval(intervalLoop);
                }
            }
        },
        confirmClick: function confirmClick() {
            if (that.isNetError) {
                route.openURL({ url: _utils2.default.getfuncRouter('app/settings') });
            } else {
                route.pop();
            }
        },
        researchOrderClick: function researchOrderClick() {
            wsUI.showLoading();
            that.fetchOrder(function () {
                wsUI.hideLoading();
            });
        }
    },
    created: function created() {
        that = this;
        this.regNotification();
        this.amount = _utils2.default.centToYuan(parseInt(weex.config.total_amount));
        this.applyNavibar();

        wsWorkflow.setWorkFlowID({
            workflowID: flowID
        });
        wsWorkflow.setBackWorkFlowID({
            backWorkflowID: 'workflow_id_pay_keyboard',
            params: { clearText: true }
        });
    }
};

/***/ }),

/***/ 119:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["qrcode-wrap"]
  }, [(_vm.errCode == 0) ? _c('div', {
    ref: "qrcode",
    staticClass: ["panel-wrap"]
  }, [_c('text', {
    staticClass: ["panel-title"]
  }, [_vm._v("顾客扫二维码向我付款")]), _c('div', {
    staticClass: ["panel-inline"]
  }, [_c('text', {
    staticClass: ["panel-amount-unit"]
  }, [_vm._v("¥")]), _c('text', {
    staticClass: ["panel-amount"]
  }, [_vm._v(_vm._s(_vm.amount))])]), _c('div', {
    staticClass: ["panel-image-div"]
  }, [_c('image', {
    staticClass: ["panel-image"],
    attrs: {
      "src": _vm.qrImage
    }
  })])]) : _vm._e(), (_vm.errCode == 0) ? _c('div', {
    ref: "paymethod"
  }, [_c('div', {
    staticClass: ["paymethod-wrap"]
  }, [_c('image', {
    staticClass: ["icon-paymethod"],
    attrs: {
      "src": _vm.iconUnionpay
    }
  }), _c('image', {
    staticClass: ["icon-paymethod"],
    attrs: {
      "src": _vm.iconAlipay
    }
  }), _c('image', {
    staticClass: ["icon-paymethod-last"],
    attrs: {
      "src": _vm.iconWechatpay
    }
  })]), (!_vm.isUpset) ? _c('div', {
    staticClass: ["desc-wrap"]
  }, [_c('text', {
    staticClass: ["desc"]
  }, [_vm._v("请顾客使用云闪付、支付宝、微信")]), _c('text', {
    staticClass: ["desc"]
  }, [_vm._v("扫描以上二维码完成支付")])]) : _vm._e(), (_vm.isUpset) ? _c('div', {
    staticClass: ["desc-wrap"]
  }, [_c('text', {
    staticClass: ["desc"]
  }, [_vm._v("请用以上App扫码支付")])]) : _vm._e()]) : _vm._e(), (_vm.errCode == 1) ? _c('panel-qrfail', {
    attrs: {
      "amount": _vm.amount
    },
    on: {
      "clickQrRetry": _vm.createQRLink
    }
  }) : _vm._e(), (_vm.errCode == 2) ? _c('panel-tsfail', {
    attrs: {
      "title": _vm.fail_title,
      "img": _vm.fail_img,
      "desc": _vm.fail_desc
    }
  }) : _vm._e(), (_vm.errCode == 2) ? _c('div', {
    key: Math.random(),
    staticClass: ["btn-confirm"],
    on: {
      "click": _vm.confirmClick
    }
  }, [_c('text', {
    staticStyle: {
      color: "white",
      fontSize: "36px"
    }
  }, [_vm._v(_vm._s(_vm.isNetError ? '设置网络' : '确定'))])]) : _vm._e(), (_vm.errCode == 2 && _vm.searchBtn) ? _c('div', {
    key: Math.random(),
    staticClass: ["btn-research"],
    on: {
      "click": _vm.researchOrderClick
    }
  }, [_c('text', {
    staticStyle: {
      color: "#D9AF5C",
      fontSize: "36px"
    }
  }, [_vm._v("查询最新支付结果")])]) : _vm._e()], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 27:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(28)
)

/* script */
__vue_exports__ = __webpack_require__(29)

/* template */
var __vue_template__ = __webpack_require__(30)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/matrixme/Documents/weex/shouqianba.weex/src/components/csb/transactionfail.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-f967c902"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 28:
/***/ (function(module, exports) {

module.exports = {
  "panel-wrap": {
    "height": "720",
    "width": "640",
    "textAlign": "center",
    "backgroundColor": "#FFFFFF"
  },
  "panel-inline": {
    "marginTop": "80",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "panel-title": {
    "marginLeft": "16",
    "fontSize": "48",
    "color": "#262626"
  },
  "panel-image-tips": {
    "width": "48",
    "height": "48"
  },
  "panel-image-div": {
    "marginTop": "110",
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "panel-image": {
    "height": "190",
    "width": "224"
  },
  "panel-desc": {
    "marginTop": "40",
    "marginLeft": "80",
    "marginRight": "80",
    "fontSize": "26",
    "color": "#9B9B9B",
    "textAlign": "center"
  }
}

/***/ }),

/***/ 29:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  name: "panel-tsfail",
  props: {
    title: {
      type: String,
      default: function _default() {
        return "交易超时";
      }
    },
    img: {
      type: String,
      default: function _default() {
        return "";
      }
    },
    desc: {
      type: String,
      default: function _default() {
        return "";
      }
    }
  },
  data: function data() {
    return {
      img_tips: ""
    };
  },
  watch: {},
  computed: {},
  created: function created() {
    this.img_tips = _utils2.default.imageWithName('weex_tips_red');
    this.img = _utils2.default.imageWithName('weex_nodata');
  },
  methods: {}
}; //
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["panel-wrap"]
  }, [_c('div', {
    staticClass: ["panel-inline"]
  }, [_c('image', {
    staticClass: ["panel-image-tips"],
    attrs: {
      "src": _vm.img_tips
    }
  }), _c('text', {
    staticClass: ["panel-title"]
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["panel-image-div"]
  }, [_c('image', {
    staticClass: ["panel-image"],
    attrs: {
      "src": _vm.img
    }
  })]), _c('text', {
    staticClass: ["panel-desc"]
  }, [_vm._v(_vm._s(_vm.desc))])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 47:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(48)
)

/* script */
__vue_exports__ = __webpack_require__(49)

/* template */
var __vue_template__ = __webpack_require__(50)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/matrixme/Documents/weex/shouqianba.weex/src/components/csb/qrcodefail.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-c5ce450e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 48:
/***/ (function(module, exports) {

module.exports = {
  "panel-wrap": {
    "width": "640",
    "textAlign": "center",
    "backgroundColor": "#FFFFFF"
  },
  "panel-title": {
    "marginTop": "60",
    "fontSize": "30",
    "color": "#666666",
    "textAlign": "center"
  },
  "panel-amount-unit": {
    "fontSize": "60",
    "paddingBottom": "8",
    "color": "#262626"
  },
  "panel-amount": {
    "marginLeft": "6",
    "fontSize": "90",
    "color": "#262626"
  },
  "panel-inline": {
    "marginTop": "36",
    "flexDirection": "row",
    "alignItems": "flex-end",
    "justifyContent": "center"
  },
  "panel-image-div": {
    "marginTop": "92",
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "panel-image": {
    "height": "180",
    "width": "212"
  },
  "panel-desc": {
    "marginTop": "92",
    "marginLeft": "138",
    "marginRight": "138",
    "fontSize": "26",
    "color": "#9B9B9B",
    "textAlign": "center"
  },
  "panel-btn-div": {
    "marginTop": "56",
    "marginLeft": "240",
    "marginRight": "240",
    "marginBottom": "62",
    "paddingTop": "18",
    "paddingRight": "24",
    "paddingBottom": "18",
    "paddingLeft": "24",
    "boxSizing": "border-box",
    "borderColor": "#DAB05B",
    "borderStyle": "solid",
    "borderWidth": "2",
    "borderRadius": "4"
  },
  "panel-btn": {
    "fontSize": "26",
    "color": "#D9AF5C",
    "textAlign": "center"
  }
}

/***/ }),

/***/ 49:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  name: "panel-qrfail",
  props: {
    title: {
      type: String,
      default: function _default() {
        return "顾客扫二维码向我付款";
      }
    },
    amount: {
      type: String,
      default: function _default() {
        return "1.00";
      }
    },
    img: {
      type: String,
      default: function _default() {
        return "";
      }
    },
    desc: {
      type: String,
      default: function _default() {
        return "收款码加载失败，请检查网络，然后请重试";
      }
    },
    btn_text: {
      type: String,
      default: function _default() {
        return "立即重试";
      }
    }
  },
  data: function data() {},
  watch: {},
  computed: {},
  created: function created() {
    this.img = _utils2.default.imageWithName('weex_no_internet');
  },
  methods: {
    clickRetry: function clickRetry() {
      this.$emit("clickQrRetry");
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBUSERAPI = {
    fetchUserInfo: function fetchUserInfo(callback) {
        var stream = weex.requireModule('stream');
        var USERAPI = _utils2.default.getOriginalHost() + '/V2/Account/get';
        stream.fetch({
            method: 'GET',
            url: USERAPI,
            type: 'json'
        }, function (ret) {
            var wsOpenAPI = weex.requireModule('wsOpenApi');
            var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);

            wsOpenAPI.setUserInfoSync(newUser);
            callback(ret);
        });
    }
};

exports.default = SQBUSERAPI;

/***/ }),

/***/ 50:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["panel-wrap"]
  }, [_c('text', {
    staticClass: ["panel-title"]
  }, [_vm._v(_vm._s(_vm.title))]), _c('div', {
    staticClass: ["panel-inline"]
  }, [_c('text', {
    staticClass: ["panel-amount-unit"]
  }, [_vm._v("¥")]), _c('text', {
    staticClass: ["panel-amount"]
  }, [_vm._v(_vm._s(_vm.amount))])]), _c('div', {
    staticClass: ["panel-image-div"]
  }, [_c('image', {
    staticClass: ["panel-image"],
    attrs: {
      "src": _vm.img
    }
  })]), _c('text', {
    staticClass: ["panel-desc"]
  }, [_vm._v(_vm._s(_vm.desc))]), _c('div', {
    staticClass: ["panel-btn-div"],
    on: {
      "click": _vm.clickRetry
    }
  }, [_c('text', {
    staticClass: ["panel-btn"]
  }, [_vm._v(_vm._s(_vm.btn_text))])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 76:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBCSBAPI = {
    fetchOrder: function fetchOrder(params, callback) {
        var stream = weex.requireModule('stream');
        var wsUtil = weex.requireModule('wsUtil');
        var terminal_key = params.current_secret;
        var host = wsUtil.isDebug() ? 'https://upay-api.iwosai.com' : 'https://api.shouqianba.com';
        var API = host + '/upay/v2/query';

        var body = {
            client_sn: params.client_sn,
            terminal_sn: params.sn
        };
        var str = JSON.stringify(body);

        var sign = wsUtil.md5(str + terminal_key);
        var headers = {
            Authorization: params.sn + ' ' + sign,
            'Content-Type': 'application/json'
        };
        // wsUtil.nativeLog('\n-----地址：' + API);
        stream.fetch({
            method: 'POST',
            url: API,
            type: 'json',
            body: body,
            headers: headers
        }, function (ret) {
            // wsUtil.nativeLog('\n-----查询订单：' + JSON.stringify(ret));
            var data = ret.data ? ret.data : ret;
            var returnResult = ret;

            // 更改前请参考如下：
            // iOS无网络返回：{"status":-1,"data":"似乎已断开与互联网的连接。(-1009)","statusText":""}
            // Android无网络返回：{"statusText":"ERR_CONNECT_FAILED","status":-1}
            var jsonResult = JSON.stringify(ret);
            if (jsonResult.search('ERR_CONNECT_FAILED') != -1 || jsonResult.search('-1009') != -1) {
                //网络问题
                returnResult.status = 500;
                returnResult.statusText = 'ERR_CONNECT_FAILED';
            } else if (ret.status == -1 || !ret.ok) {
                //服务器问题
                returnResult.status = -1;
                returnResult.statusText = "ERR_SERVER";
            } else if (ret.status == '200') {
                returnResult = data;
                var response = data.biz_response;
                returnResult.status = data.result_code;
                if (data.result_code == '200') {
                    if (response.data && response.result_code != 'FAIL') {
                        returnResult = response.data;
                        returnResult.status = response.data.order_status;
                        returnResult.statusText = response.error_message;
                    } else {
                        returnResult = response;
                        returnResult.status = response.result_code;
                        returnResult.statusText = response.error_message;
                        returnResult.error_code = response.error_code;
                        returnResult.error_code_standard = response.error_code_standard;
                    }
                } else {
                    returnResult.statusText = data.error_message;
                    returnResult.data = data.error_message;
                }
            }
            // wsUtil.nativeLog('\n-----结果：' + JSON.stringify(returnResult));
            callback(returnResult);
        });
    }
};

exports.default = SQBCSBAPI;

/***/ })

/******/ });