// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 59);
/******/ })
/************************************************************************/
/******/ ({

/***/ 59:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _imagepreview = __webpack_require__(60);

var _imagepreview2 = _interopRequireDefault(_imagepreview);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_imagepreview2.default.el = '#root';
new Vue(_imagepreview2.default);

/***/ }),

/***/ 60:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(61)
)

/* script */
__vue_exports__ = __webpack_require__(62)

/* template */
var __vue_template__ = __webpack_require__(63)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "E:\\IdeaProjects\\shouqianba.weex\\src\\pages\\device\\imagepreview.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5deddda5"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 61:
/***/ (function(module, exports) {

module.exports = {
  "btnSave": {
    "marginLeft": "32",
    "marginRight": "32",
    "backgroundColor": "#D9AF5C",
    "borderRadius": "8",
    "height": "96",
    "justifyContent": "center",
    "alignItems": "center",
    "backgroundColor:active": "#DAA520"
  },
  "img": {
    "marginLeft": "15",
    "marginRight": "15",
    "marginBottom": "40",
    "marginTop": "40"
  }
}

/***/ }),

/***/ 62:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


//
//
//
//
//
//
//
//
//
//
//
//


var wsUI = weex.requireModule('wsUI');
var wsMedia = weex.requireModule('wsMedia');
var nav = weex.requireModule('wsNavibar');

module.exports = {
    components: {},
    data: function data() {
        return {
            imgUrl: '',
            imgHeight: 978
        };
    },
    methods: {
        saveClicked: function saveClicked() {
            if (this.imgUrl.length < 1) {
                wsUI.showToast({ title: '无效的地址' });
                return;
            }
            wsUI.showLoading({ title: '' });

            wsMedia.saveImageToPhotosAlbum({ src: this.imgUrl
            }, function (resultRet) {
                wsUI.hideLoading();

                wsUI.showToast({ title: '保存成功', duration: '2000' });
            });
        },
        applyNav: function applyNav() {
            nav.applyConfigure({
                title: weex.config.title ? weex.config.title : '查看大图',
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
        }
    },
    created: function created() {
        this.applyNav();

        this.imgHeight = (750 - 64) * 489.0 / 343.0;
        var params = weex.config;
        if (params.urls) {
            this.imgUrl = params.urls[0];
        }
    }
};

/***/ }),

/***/ 63:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      backgroundColor: "#F6F6F6"
    }
  }, [_c('image', {
    staticClass: ["img"],
    style: {
      height: _vm.imgHeight + 'px'
    },
    attrs: {
      "src": _vm.imgUrl
    }
  }), _c('div', {
    staticClass: ["btnSave"],
    on: {
      "click": _vm.saveClicked
    }
  }, [_c('text', {
    staticStyle: {
      color: "white",
      fontSize: "36px"
    }
  }, [_vm._v("保存到相册")])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });