// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 181);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = / ^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 181:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _booksetting = __webpack_require__(182);

var _booksetting2 = _interopRequireDefault(_booksetting);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_booksetting2.default.el = '#root';
new Vue(_booksetting2.default);

/***/ }),

/***/ 182:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(183)
)

/* script */
__vue_exports__ = __webpack_require__(184)

/* template */
var __vue_template__ = __webpack_require__(185)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/joan/Documents/wosai-android/shouqianba.weex/src/pages/setting/booksetting.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-b80ae198"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 183:
/***/ (function(module, exports) {

module.exports = {
  "list": {
    "backgroundColor": "#F6F6F6"
  },
  "refresh": {
    "alignItems": "center",
    "width": "750",
    "height": "100"
  },
  "cell-div": {
    "marginTop": "20",
    "backgroundColor": "#FFFFFF",
    "height": "88",
    "alignItems": "center",
    "flexDirection": "row",
    "paddingLeft": "32",
    "paddingRight": "32"
  },
  "title": {
    "fontSize": "30",
    "color": "#000000"
  },
  "detail": {
    "flex": 1,
    "textAlign": "right",
    "fontSize": "30",
    "color": "#9B9B9B"
  },
  "desc": {
    "fontSize": "26",
    "color": "#9B9B9B",
    "underline": "true",
    "marginLeft": "32",
    "marginRight": "20",
    "marginTop": "12",
    "paddingBottom": "2"
  },
  "switch": {
    "width": "80",
    "height": "48"
  },
  "indictor": {
    "marginLeft": "16",
    "width": "14",
    "height": "22"
  }
}

/***/ }),

/***/ 184:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _userApi = __webpack_require__(2);

var _userApi2 = _interopRequireDefault(_userApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var stream = weex.requireModule('stream');
var nav = weex.requireModule('wsNavibar');
var notification = weex.requireModule('wsNotification');
var ui = weex.requireModule('wsUI');
var picker = weex.requireModule('wsPicker');
var route = weex.requireModule('wsRoute');
var openapi = weex.requireModule('wsOpenApi');
var that;

module.exports = {
    components: {},
    data: function data() {
        return {
            isIOS: true,
            userInfo: {},
            refreshing: false,
            list: [],
            timeOffset: 0,
            withdraw_mode: 1 // 1.手动 2.手动+自动
        };
    },
    methods: {
        regNotification: function regNotification() {
            notification.registerNotification({ name: 'sqb.weexcontainer.viewwillappear' }, function (ret) {});
        },
        applyNavibar: function applyNavibar() {
            nav.applyConfigure({
                title: "账本设置",
                bgColor: "#ffffff",
                titleColor: "#2B2F38",
                fontSize: 17
            });
        },
        stateImage: function stateImage(state) {
            var img = state ? 'weex_switch_on' : 'weex_switch_off';
            return _utils2.default.imageWithName(img);
        },
        platImage: function platImage(img) {
            return _utils2.default.imageWithName(img);
        },
        toggle: function toggle(item) {
            that.requestModifyBookSwitch(item);
        },
        onrefresh: function onrefresh() {
            that.fetchData();
            that.refreshing = true;
        },
        showPickerView: function showPickerView(item) {
            if (item.img) {
                return;
            }
            var options = [];
            for (var i = 0; i < 24; i++) {
                var string = that.valueWithOffset(i);
                options.push(string);
            }
            picker.showPicker({
                options: options,
                currentIndex: that.timeOffset,
                cancelTitle: '取消'
            }, function (ret) {
                picker.hidePicker();
                // route.nativeLog('\n选择的是：' + JSON.stringify(ret));
                that.adjustTime(item, ret.data.index);
            });
        },
        fetchData: function fetchData() {
            var API = _utils2.default.getOriginalHost() + '/v3/setting/compactAccountBook';
            stream.fetch({
                method: 'GET',
                url: API,
                type: 'text'
            }, function (ret) {
                that.refreshing = false;
                if (ret.ok) {
                    var data = JSON.parse(ret.data);
                    that.list = [];
                    if (data.show) {
                        var dict = { title: '简洁账本', desc: '账本默认只显示收款成功和有退款的收款记录，让您对账更高效'
                        };

                        dict.enable = data.enable ? data.enable : false;
                        dict.img = that.stateImage(dict.enable);
                        that.list.push(dict);
                    }

                    that.fetchTime();
                    // nav.nativeLog('\n=====数据：' + JSON.stringify(that.list));
                }
            });
        },
        requestModifyBookSwitch: function requestModifyBookSwitch(item) {
            ui.showLoading();
            var MODIFYAPI = _utils2.default.getOriginalHost() + '/v3/setting/compactAccountBook';
            stream.fetch({
                method: 'POST',
                url: MODIFYAPI,
                type: 'json',
                body: { enable: !item.enable }
            }, function (ret) {
                ui.hideLoading();
                if (ret.ok) {
                    item.enable = !item.enable;
                    item.img = that.stateImage(item.enable);
                    // nav.nativeLog('\n=====修改：' + JSON.stringify(ret.data));
                }
            });
        },
        requestModifyTime: function requestModifyTime(index) {
            ui.showLoading();
            var MODIFYAPI = _utils2.default.getOriginalHost() + '/v4/merchantGray/update';
            stream.fetch({
                method: 'POST',
                url: MODIFYAPI,
                type: 'json',
                body: { value: index, type: 3 }
            }, function (ret) {
                notification.postNotification({ name: 'com.SQB.net.notification.period.updated' });
                // nav.nativeLog('\n=====提交结果：' + JSON.stringify(ret));
                ui.hideLoading();
                if (ret.ok) {
                    if (that.list.length > 1) {
                        var dict = that.list[1];
                        dict.detail = that.valueWithOffset(index);

                        that.timeOffset = index;
                    }
                }
            });
        },
        getRichData: function getRichData(i, desc) {
            var richData = [];
            if (i == 1) {
                if (desc.length < 4) {
                    return '';
                }
                var start = desc.length - 4;
                var end = desc.length;
                richData.push({ 'start': start.toString(), 'end': end.toString(), 'color': '#D9AF5C' });
            }
            return JSON.stringify(richData);
        },
        valueWithOffset: function valueWithOffset(offset) {
            var string = '00:00:00 至 当日23:59:59';
            if (offset > 0) {
                string = offset.toString() + ':00:00 至 次日' + (offset - 1).toString() + ':59:59';
            }
            return string;
        },
        fetchTime: function fetchTime() {
            // 只有老板账户可设置账本时间 
            if (that.userInfo.admin.role != 'super_admin') {
                return;
            }
            var API = _utils2.default.getOriginalHost() + '/v4/merchantGray/query';
            stream.fetch({
                method: 'GET',
                url: API,
                type: 'json',
                body: { type: 3 }
            }, function (ret) {
                ui.hideLoading();
                // nav.nativeLog('\n上次结果：' + JSON.stringify(ret.data));
                if (ret.ok) {
                    var value = ret.data.value;
                    that.timeOffset = value;

                    var string = that.valueWithOffset(value);
                    that.fetchUserInfo(string);
                }
            });
        },
        adjustTime: function adjustTime(item, index) {
            var string = that.valueWithOffset(index).replace(' 至 ', '—');
            var start = index;
            var end = start == 0 ? 23 : start - 1;
            var content = '调整后，自动提现发起时间将同步调整为' + end + ':59:59之后，预计提现到账时间顺延至后一日23:59:59之前';
            if (that.withdraw_mode == 1) {
                // 手动提现不显示此文案
                content = '';
            }
            route.openURL({
                url: 'wosaifunc://alert/bill',
                params: {
                    title: '提示',
                    content1: '每日经营对账周期将调整为',
                    emphasis: string,
                    content2: content,
                    options: ['取消', '确认调整'] }
            }, function (ret) {
                if (ret.data.index == 1) {
                    that.requestModifyTime(index);
                    picker.hidePicker();
                } else {
                    that.showPickerView(item);
                }
            });
        },
        showDemo: function showDemo(e) {
            // route.nativeLog('\n====' + JSON.stringify(e));
            route.openURL(_utils2.default.getLocalRouter('setting/book/demo'));
        },
        fetchUserInfo: function fetchUserInfo(detail) {
            _userApi2.default.fetchUserInfo(function (ret) {
                if (ret.ok) {
                    var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);
                    that.userInfo = newUser;
                    if (!ret.data.merchant) {
                        return;
                    }
                    if (!ret.data.merchant.withdraw_mode) {
                        return;
                    }
                    that.withdraw_mode = ret.data.merchant.withdraw_mode;
                }
                var desc = '每日交易汇总的起止时间，跨度必须为24小时。设置后，账本、报表、对账单均按您的设定周期进行汇总统计。适合夜宵等凌晨营业的商户设置，以方便对账。';
                if (that.withdraw_mode != 1) {
                    desc = '每日交易汇总的起止时间，跨度必须为24小时。设置后，账本、报表、对账单均按您的设定周期进行汇总统计。同时将在对账周期结束后发起自动提现，提现预计到账时间为提现后的次日。适合夜宵等凌晨营业的商户设置，以方便对账。';
                }
                if (that.isIOS) {
                    desc += '查看示例';
                }
                var dict = {
                    title: '每日经营对账周期',
                    detail: detail,
                    indictor: that.platImage('weex_indictor'),
                    desc: desc };

                that.list.push(dict);
            });
        }
    },
    created: function created() {
        that = this;
        that.isIOS = _utils2.default.isIOS();
        that.userInfo = openapi.getUserInfoSync();
        that.withdraw_mode = that.userInfo.merchant.withdraw_mode;
        this.applyNavibar();
        this.regNotification();
        this.fetchData();
    }
};

/***/ }),

/***/ 185:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    staticClass: ["list"]
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh
    }
  }, [_c('image', {
    staticStyle: {
      width: "48px",
      height: "88px"
    },
    attrs: {
      "src": "https://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif"
    }
  })]), _vm._l((_vm.list), function(item, i) {
    return _c('div', {
      key: i
    }, [_c('div', {
      staticClass: ["cell-div"],
      on: {
        "click": function($event) {
          _vm.showPickerView(item)
        }
      }
    }, [_c('text', {
      staticClass: ["title"]
    }, [_vm._v(_vm._s(item.title))]), _c('text', {
      staticClass: ["detail"]
    }, [_vm._v(_vm._s(item.detail ? item.detail : ''))]), (item.img) ? _c('image', {
      staticClass: ["switch"],
      attrs: {
        "src": item.img ? item.img : ''
      },
      on: {
        "click": function($event) {
          _vm.toggle(item)
        }
      }
    }) : _vm._e(), (item.indictor) ? _c('image', {
      staticClass: ["indictor"],
      attrs: {
        "src": item.indictor ? item.indictor : ''
      }
    }) : _vm._e()]), _c('div', [(i == 0) ? _c('text', {
      staticClass: ["desc"]
    }, [_vm._v(_vm._s(item.desc ? item.desc : ''))]) : _vm._e(), (i == 1 && _vm.isIOS) ? _c('richLabel', {
      staticClass: ["desc"],
      attrs: {
        "text": item.desc,
        "normalColor": "#9B9B9B",
        "richData": _vm.getRichData(i, item.desc)
      },
      on: {
        "richClick": _vm.showDemo
      }
    }) : _vm._e(), (i == 1 && !_vm.isIOS) ? _c('richtext', {
      staticClass: ["desc"],
      on: {
        "itemclick": _vm.showDemo
      }
    }, [_c('span', [_c('span', {
      staticStyle: {
        color: "#9B9B9B"
      }
    }, [_vm._v(_vm._s(item.desc))]), _c('a', {
      attrs: {
        "pseudoRef": "21"
      }
    }, [_c('span', {
      staticStyle: {
        color: "#D9AF5C",
        textDecoration: "underline"
      }
    }, [_vm._v("查看示例")])])])]) : _vm._e()], 1)])
  })], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SQBUSERAPI = {
    fetchUserInfo: function fetchUserInfo(callback) {
        var stream = weex.requireModule('stream');
        var USERAPI = _utils2.default.getOriginalHost() + '/V2/Account/get';
        stream.fetch({
            method: 'GET',
            url: USERAPI,
            type: 'json'
        }, function (ret) {
            var wsOpenAPI = weex.requireModule('wsOpenApi');
            var newUser = _typeof(ret.data) == 'object' ? ret.data : JSON.parse(ret.data);

            wsOpenAPI.setUserInfoSync(newUser);
            callback(ret);
        });
    }
};

exports.default = SQBUSERAPI;

/***/ })

/******/ });