// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 196);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
// HillsDomain, Default_Host_URL
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#D9AF5C',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  },
  golden: {
    backgroundColor: '#D9AF5C'
  },
  goldhigh: {
    backgroundColor: '#CD962E'
  }
};

/** 动态模块样式枚举 */
var SQBModuleStyle = exports.SQBModuleStyle = {
  Common: 0,
  HomeCollect: 1,
  HomeShort: 2,
  HomeCommon: 3,
  HomeAD: 4,
  HomeMessage: 5,
  MineRights: 6,
  MineTotal: 7,
  MineAccount: 8
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#D9AF5C'
  },
  green: {
    color: '#FFFFFF'
  },
  golden: {
    color: '#FFFFFF'
  },
  goldhigh: {
    color: '#FFFFFF'
  }
};

var SQBUtil = {
  /** 校验只要是数字（包含正负整数，0以及正负浮点数）就返回true */
  isNumber: function isNumber(num) {
    var regPos = /^\d+(\.\d+)?$/; //非负浮点数
    var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
    if (regPos.test(num) || regNeg.test(num)) {
      return true;
    } else {
      return false;
    }
  },

  /** 校验正负正数就返回true */
  isIntNum: function isIntNum(val) {
    var regPos = / ^\d+$/; // 非负整数
    var regNeg = /^\-[1-9][0-9]*$/; // 负整数
    if (regPos.test(val) || regNeg.test(val)) {
      return true;
    } else {
      return false;
    }
  },
  trim: function trim(str) {
    // 去除字符串两头空格
    return str.replace(/^\s+|\s+$/g, '');
  },
  trimAll: function trimAll(str) {
    // 去除所有空格
    return str.replace(/\s+/g, '');
  },
  isPhoneNumber: function isPhoneNumber(str) {
    // 手机号码验证
    var reg = /1[0-9]{10}/;
    return reg.test(str);
  },
  isEmail: function isEmail(str) {
    // 邮箱验证
    var reg = /[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}/;
    return reg.test(reg);
  },

  /**
   * 将date格式化成fmt
   * @param fmt 格式化，如'yyyy-MM-dd hh:mm:ss
   * @param date Date
   */
  dateWithFormat: function dateWithFormat(fmt, date) {
    var o = {
      'M+': date.getMonth() + 1, //月份
      'd+': date.getDate(), //日
      'h+': date.getHours(), //小时
      'm+': date.getMinutes(), //分
      's+': date.getSeconds(), //秒
      'q+': Math.floor((date.getMonth() + 3) / 3), //季度
      'S': date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }return fmt;
  },

  /**
   * 时间格式转换（）
   * @param {*} e Date
   */
  dateFormat: function dateFormat(e) {
    var time = new Date(e);
    var today = new Date();
    var y = time.getFullYear();
    var ty = today.getFullYear();
    var m = appendZero(time.getMonth() + 1);
    var tm = today.getMonth() + 1;
    var d = appendZero(time.getDate());
    var td = today.getDate();
    var h = appendZero(time.getHours());
    var mm = appendZero(time.getMinutes());
    var s = appendZero(time.getSeconds());
    var day = '';
    if (y != ty) {
      day += y + '年';
    }
    day += m + '月' + d + '日';
    if (y == ty && m == tm && d == td) {
      day = '今天';
    } else {
      var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
      var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
      if (newDate.getFullYear() == y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
        day = '昨天';
      }
    }
    var result = day + ' ' + h + ':' + mm;

    return result;
  },
  getHosts: function getHosts() {
    // HillsDomain, Default_Host_URL
    var openapi = weex.requireModule('wsOpenApi');
    return openapi.getHosts();
  },
  getHillHost: function getHillHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 0) {
      host = hosts[0];
    }
    return host;
  },
  getOriginalHost: function getOriginalHost() {
    var hosts = this.getHosts();
    var host = 'https://mapi.shouqianba.com';
    if (hosts.length > 1) {
      host = hosts[1];
    }
    return host;
  },
  getModuleStyle: function getModuleStyle(style) {
    var array = ['COMMON_ITEM_1', 'HOME_COLLECT_1', 'HOME_SHORT_1', 'HOME_COMMON_1', 'HOME_AD_1', 'HOME_MESSAGE', 'ME_CARD_1', 'ME_TOTAL_1', 'ME_ACCOUNT_1'];
    return array.indexOf(style);
  },
  getRoleName: function getRoleName(role) {
    // 解析角色名
    var roleName = '角色';
    if (role === 'super_admin') {
      roleName = '老板';
    } else if (role === 'admin') {
      roleName = '店长';
    } else if (role === 'cashier') {
      roleName = '收银员';
    }
    return roleName;
  },
  isIOS: function isIOS() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    var isIOS = sysInfo['platform'] === 'iOS';
    return isIOS;
  },

  /**
   * 是否支持生物识别类型
   * @param {是否支持生物识别类型} type 类型:'touch','face'
   */
  isSupportBiometry: function isSupportBiometry(type) {
    var biometry = weex.requireModule('wsBiometry');
    var biometrics = biometry.getSupportBiometrySync();
    for (var i = 0; i < biometrics.length; i++) {
      if (biometrics[i] === type) {
        return true;
      }
    }
    return false;
  },
  getVersion: function getVersion() {
    var device = weex.requireModule('wsDevice');
    var sysInfo = device.getSystemInfoSync();
    return sysInfo.version;
  },
  imageWithName: function imageWithName(name) {
    var isIOS = this.isIOS();
    return 'local:///' + (isIOS ? name + '.png' : name);
  },
  getWosaiRouter: function getWosaiRouter(str) {
    return 'wosaishouqianba://' + str;
  },
  getLocalRouter: function getLocalRouter(str) {
    return 'wsweex://local/' + str;
  },
  getfuncRouter: function getfuncRouter(str) {
    return 'wosaifunc://' + str;
  },
  isStringEmpty: function isStringEmpty(str) {
    return str === null || str === undefined || str === '';
  },
  isEmptyDictionary: function isEmptyDictionary(obj) {
    if (JSON.stringify(obj) == '{}') {
      return true;
    }
    return false;
  },
  centToYuan: function centToYuan(cent) {
    if (typeof cent !== 'number' || isNaN(cent)) return null;
    return (cent / 100).toFixed(2);
  },
  getImageByBase64: function getImageByBase64(str) {
    return 'data:image/png;base64,' + str;
  }
};

exports.default = SQBUtil;

/***/ }),

/***/ 196:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _settings = __webpack_require__(197);

var _settings2 = _interopRequireDefault(_settings);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_settings2.default.el = '#root';
new Vue(_settings2.default);

/***/ }),

/***/ 197:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(198)
)

/* script */
__vue_exports__ = __webpack_require__(199)

/* template */
var __vue_template__ = __webpack_require__(206)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/yejinxin/code/wosai/shouqianba.weex/src/pages/setting/settings.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-35577086"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 198:
/***/ (function(module, exports) {

module.exports = {
  "refresh": {
    "alignItems": "center",
    "width": "750",
    "height": "100"
  },
  "cell": {
    "backgroundColor": "#FFFFFF",
    "flexDirection": "column",
    "backgroundColor:active": "#f9f9f9"
  },
  "content": {
    "flexDirection": "row",
    "height": "88",
    "alignItems": "center",
    "backgroundColor": "#FFFFFF"
  },
  "title": {
    "marginLeft": "32",
    "flex": 1,
    "fontSize": "32",
    "color": "#000000"
  },
  "detail": {
    "fontSize": "26",
    "color": "#9b9b9b"
  },
  "line": {
    "height": "1",
    "marginLeft": "32",
    "marginRight": "0",
    "backgroundColor": "#efefef"
  },
  "indictor": {
    "marginRight": "32",
    "marginLeft": "16",
    "width": "14",
    "height": "22"
  },
  "button": {
    "width": "686",
    "marginLeft": "32",
    "marginRight": "32",
    "marginBottom": "32",
    "marginTop": "90",
    "justifyContent": "center",
    "backgroundColor:active": "#f9f9f9"
  }
}

/***/ }),

/***/ 199:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _wxcButton = __webpack_require__(200);

var _wxcButton2 = _interopRequireDefault(_wxcButton);

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var that = undefined;
// var maps = new Map(); //子模块集合
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var flag = 0;
var timer = undefined;

var nav = weex.requireModule("wsNavibar");
var stream = weex.requireModule("stream");
var notification = weex.requireModule("wsNotification");
var route = weex.requireModule("wsRoute");
var openapi = weex.requireModule("wsOpenApi");
var modal = weex.requireModule("modal");
var cache = weex.requireModule("wsStorage");

var userInfo = openapi.getUserInfoSync();
var cellphone = userInfo.admin.cellphone;
if (cellphone) {
  cache.getStorage({ key: cellphone + "-settingsDataList" }, function (ret) {
    if (ret.data) {
      that.list = ret.data;
      that.cacheList = ret.data;
    }
  });
}

module.exports = {
  components: { WxcButton: _wxcButton2.default },
  data: function data() {
    return {
      refreshing: false,
      isDisable: false,
      nodes: [],
      list: [],
      cacheList: [],
      imgIndictor: "local:///weex_indictor.png",
      btnStyle: {
        height: "96px",
        backgroundColor: "#f9f9f9",
        borderColor: "#d23f31",
        borderWidth: "2px",
        // borderStyle: solid,
        borderRadius: "8px"
      },
      textStyle: {
        fontSize: "36px",
        color: "#d23f31"
      }
    };
  },
  created: function created() {
    that = this;
    that.refreshNavibar();
    that.regNotification();
    that.refreshImgByPlatform();
    //that.getPageById("50000");
    that.getPageById(weex.config.id);
  },
  methods: {
    /**
     * 生成单个红点列表
     */
    designBadge: function designBadge(code) {
      var pos = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
      var display = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
      var offsetx = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
      var offsety = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;

      var obj = {
        code: code,
        position: pos,
        display: display,
        offset: { x: offsetx, y: offsety }
      };
      return [obj];
    },
    refreshImgByPlatform: function refreshImgByPlatform() {
      that.imgIndictor = _utils2.default.imageWithName("weex_indictor");
    },
    refreshNavibar: function refreshNavibar() {
      nav.applyConfigure({
        title: "设置",
        bgColor: "#ffffff",
        titleColor: "#000000",
        fontSize: 17
      });
    },
    regNotification: function regNotification() {
      notification.registerNotification({ name: "sqb.weexcontainer.viewwillappear" }, function (ret) {
        that.refreshNavibar();
      });
    },
    onrefresh: function onrefresh(event) {
      flag = 0;
      this.refreshing = true;
      this.getPageById(weex.config.id);
    },
    isFooter: function isFooter(e) {
      return e == this.list.length - 1;
    },
    stopAnimation: function stopAnimation() {
      // 停止刷新动画
      if (that.refreshing) {
        that.refreshing = false;
      }
      clearTimeout(timer);
    },
    getPageById: function getPageById(pageId) {
      timer = setTimeout(function () {
        that.stopAnimation();
      }, 10000);
      var api = _utils2.default.getOriginalHost() + "/v4/page/node?pageId=" + pageId;
      stream.fetch({
        method: "GET",
        url: api,
        type: "text"
      }, function (ret) {
        that.refreshing = false;
        if (ret.ok && ret.data) {
          var retData = JSON.parse(ret.data);
          // if (retData.children.length > 0) {
          //   that.list = [];
          // }

          if (retData.children && retData.children.length > 0) {
            that.nodes = retData.children;
            var tempModuleList = [];
            for (var i = 0; i < that.nodes.length; i++) {
              var n = that.nodes[i];
              notification.nativeLog("n.data.id:" + n.data.id);

              n.index = i;
              if (!n.lazy) {
                if (n.children && n.children.length > 0) {
                  var moduleData = [];
                  for (var j = 0; j < n.children.length; j++) {
                    moduleData.push(n.children[j].data);
                  }
                  that.handleModuleData(moduleData);
                  for (var j = 0; j < moduleData.length; j++) {
                    tempModuleList.push(moduleData[j]);
                  }
                }
                if (i == that.nodes.length - 1) {
                  notification.nativeLog("tempModuleList" + JSON.stringify(tempModuleList));

                  that.list = tempModuleList;
                  that.cacheList = tempModuleList;
                  that.setStorage();
                }
              } else {
                //var fieldId = n.data.id;
                that.fetchModule(n);
              }
            }
          } else {
            // cache.nativeLog("cacheList: " + JSON.stringify(that.cacheList));
            // that.list = that.cacheList;
          }
        } else {
            // notification.nativeLog("cacheList: " + JSON.stringify(that.cacheList));
            // that.list = that.cacheList;
          }
      });
    },
    fetchModule: function fetchModule(n) {
      //maps.set(fieldId, {});
      var subapi = _utils2.default.getOriginalHost() + "/v4/module?fieldId=" + n.data.id;
      notification.nativeLog("subapi:" + subapi);
      stream.fetch({
        method: "GET",
        url: subapi,
        type: "text"
      }, function (ret) {
        flag++;
        if (ret.ok) {
          var retData = JSON.parse(ret.data);
          if (!n.children) {
            n.children = [];
          }
          that.handleModuleData(retData);
          for (var i = 0; i < retData.length; i++) {
            var subnode = retData[i];
            n.children.push(subnode);
          }
          // maps.set(fieldId, retData);

          if (flag == that.nodes.length) {
            that.stopAnimation();
            var tempList = [];
            for (var i = 0; i < that.nodes.length; i++) {
              var nod = that.nodes[i];
              for (var j = 0; j < nod.children.length; j++) {
                var sub = nod.children[j];
                tempList.push(sub);
              }
            }
            that.list = tempList;
            that.cacheList = tempList;
            that.setStorage();
            // maps.forEach((value, key) => {
            //   for (let index = 0; index < value.length; index++) {
            //     that.list.push(value[index]);
            //   }
            // });

            // for (var key in maps) {
            //   notification.nativeLog("maps:" + maps.get(key).id);
            //   that.list.push(maps.get(key));
            // }
            // }
          }
        }
      });
    },
    handleModuleData: function handleModuleData(retData) {
      for (var i = 0; i < retData.length; i++) {
        var data = retData[i];
        data.isFirst = i == 0;
        data.isLast = i == retData.length - 1;
        data.show = true;
        if (data.id === "500061") {
          if (_utils2.default.isSupportBiometry("touch") && _utils2.default.isSupportBiometry("face")) {
            data.name = "指纹设置/面容设置";
          } else if (_utils2.default.isSupportBiometry("touch")) {
            data.name = "指纹设置";
          } else if (_utils2.default.isSupportBiometry("face")) {
            data.name = "面容设置";
          } else {
            data.show = false;
          }
        } else if (data.id === "500041") {
          data.letters = "版本 " + _utils2.default.getVersion();
        } else if (data.id === "500062") {
          data.letters = "登录手机号、密码";
        } else if (data.id === "500033") {
          // 只有老板账户可看到交易设置
          // if (userInfo && (userInfo.admin.role != 'super_admin' || userInfo.store_list.length == 1)) {  
          //   data.show = false;
          // }
        }
      }
    },
    setStorage: function setStorage() {
      if (cellphone) {
        cache.setStorage({
          key: cellphone + "-settingsDataList",
          data: that.list
        });
      }
    },
    onDetail: function onDetail(e, index) {
      var _this = this;

      this.isDisable = true;
      setTimeout(function () {
        _this.isDisable = false;
      }, 500);
      if (!e.subpage) {
        return;
      }
      var url;
      if (e.subpage.indexOf("?") != -1) {
        url = e.subpage + "&moduleName=" + e.name;
      } else {
        url = e.subpage + "?moduleName=" + e.name;
      }
      openapi.addTrack({
        name: "ClickModule",
        params: {
          module_ID: e.id,
          module_name: e.name
        }
      });
      route.openURL(url);
    },
    logout: function logout() {
      route.openURL({ url: "wosaifunc://logout" });
    }
  }
};

/***/ }),

/***/ 200:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(201);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 201:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(202)
)

/* script */
__vue_exports__ = __webpack_require__(203)

/* template */
var __vue_template__ = __webpack_require__(205)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/yejinxin/code/wosai/shouqianba.weex/node_modules/weex-ui/packages/wxc-button/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-6273a8fc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 202:
/***/ (function(module, exports) {

module.exports = {
  "wxc-btn": {
    "alignItems": "center",
    "justifyContent": "center",
    "borderRadius": "12",
    "opacity": 1
  },
  "wxc-btn-highlight": {
    "opacity:active": 0.8
  },
  "btn-text": {
    "textOverflow": "ellipsis",
    "lines": 1,
    "color": "#ffffff"
  }
}

/***/ }),

/***/ 203:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//
//
//
//
//
//
//
//
//
//
//

var _type = __webpack_require__(204);

exports.default = {
  props: {
    text: {
      type: String,
      default: '确认'
    },
    size: {
      type: String,
      default: 'full'
    },
    type: {
      type: String,
      default: 'red'
    },
    disabled: {
      type: Boolean,
      default: false
    },
    isHighlight: {
      type: Boolean,
      default: false
    },
    btnStyle: Object,
    textStyle: Object,
    disabledStyle: Object
  },
  computed: {
    mrBtnStyle: function mrBtnStyle() {
      var type = this.type,
          disabled = this.disabled,
          btnStyle = this.btnStyle,
          size = this.size,
          disabledStyle = this.disabledStyle;


      var mrBtnStyle = _extends({}, _type.STYLE_MAP[type], _type.BUTTON_STYLE_MAP[size], btnStyle);

      var disabledInStyle = { opacity: 0.2 };
      if (type === 'white') {
        disabledInStyle = { backgroundColor: 'rgba(0, 0, 0, 0.1)' };
      }

      return disabled ? _extends({}, mrBtnStyle, disabledInStyle, disabledStyle, {
        borderWidth: 0
      }) : mrBtnStyle;
    },
    mrTextStyle: function mrTextStyle() {
      var type = this.type,
          disabled = this.disabled,
          textStyle = this.textStyle,
          size = this.size;

      var mrTextStyle = _extends({}, _type.TEXT_STYLE_MAP[type], textStyle, _type.TEXT_FONTSIZE_STYLE_MAP[size]);
      return disabled ? _extends({}, mrTextStyle, { color: '#FFFFFF' }) : mrTextStyle;
    }
  },
  methods: {
    onClicked: function onClicked(e) {
      var type = this.type,
          disabled = this.disabled;

      this.$emit('wxcButtonClicked', { e: e, type: type, disabled: disabled });
    }
  }
};

/***/ }),

/***/ 204:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#A5A5A5',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  }
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#3D3D3D'
  },
  green: {
    color: '#FFFFFF'
  }
};

var BUTTON_STYLE_MAP = exports.BUTTON_STYLE_MAP = {
  full: {
    width: '702px',
    height: '88px'
  },
  big: {
    width: '339px',
    height: '70px'
  },
  medium: {
    width: '218px',
    height: '60px'
  },
  small: {
    width: '157px',
    height: '44px'
  }
};

var TEXT_FONTSIZE_STYLE_MAP = exports.TEXT_FONTSIZE_STYLE_MAP = {
  full: {
    fontSize: '36px'
  },
  big: {
    fontSize: '32px'
  },
  medium: {
    fontSize: '28px'
  },
  small: {
    fontSize: '24px'
  }
};

/***/ }),

/***/ 205:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    class: ['wxc-btn', _vm.isHighlight && !_vm.disabled && 'wxc-btn-highlight'],
    style: _vm.mrBtnStyle,
    attrs: {
      "accessible": true,
      "ariaLabel": _vm.text
    },
    on: {
      "click": _vm.onClicked
    }
  }, [_c('text', {
    staticClass: ["btn-text"],
    style: _vm.mrTextStyle
  }, [_vm._v(_vm._s(_vm.text))])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 206:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      backgroundColor: "#F6F6F6"
    }
  }, [_c('list', {
    staticClass: ["container"],
    staticStyle: {
      width: "750px",
      backgroundColor: "#F6F6F6"
    }
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh
    }
  }, [_c('image', {
    staticStyle: {
      width: "48px",
      height: "88px"
    },
    attrs: {
      "src": "http://shouqianba.oss-cn-hangzhou.aliyuncs.com/icon/refresh_loading.gif"
    }
  })]), _vm._l((_vm.list), function(item, index) {
    return _c('cell', {
      key: index,
      ref: 'cell' + index,
      refInFor: true,
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [(item.isFirst) ? _c('text', {
      staticStyle: {
        height: "20px",
        backgroundColor: "#F6F6F6"
      }
    }) : _vm._e(), (item.show) ? _c('div', {
      staticClass: ["content"],
      attrs: {
        "disabled": _vm.isDisable,
        "dataBadge": _vm.designBadge(item.scripts, 5, 0)
      },
      on: {
        "click": function($event) {
          _vm.onDetail(item, index)
        }
      }
    }, [_c('text', {
      staticClass: ["title"]
    }, [_vm._v(_vm._s(item.name))]), _c('text', {
      staticClass: ["detail"],
      attrs: {
        "dataBadge": _vm.designBadge(item.scripts, 5)
      }
    }, [_vm._v(_vm._s(item.letters))]), _c('image', {
      staticClass: ["indictor"],
      attrs: {
        "src": _vm.imgIndictor
      }
    })]) : _vm._e(), (!item.isLast) ? _c('div', {
      staticClass: ["line"]
    }) : _vm._e()])
  }), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', [_c('wxc-button', {
    staticClass: ["button"],
    attrs: {
      "text": "退出登录",
      "btnStyle": _vm.btnStyle,
      "textStyle": _vm.textStyle
    },
    on: {
      "wxcButtonClicked": _vm.logout
    }
  })], 1)])], 2)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });